#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x1070c45c, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xf4bd10af, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x569c5a5d, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x5fc0ed79, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0xeac4dbd8, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x5a7bb2d4, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x5a605aac, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x00c65b77, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xd9bbeff1, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0xd58d2bb5, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x290f8260, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x473dd4fd, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xaed2b565, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xb6703e43, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x950757f3, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0xf4ad5e4b, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x949b1470, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x5d322f6f, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x2437c301, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0xe222c786, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x2e212d43, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x253672d5, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xc7d2b0f5, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x0e6c3938, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x5bf01271, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x74d6cae2, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x15ad193a, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x81d5709c, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x59597a9e, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x16c50949, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xc67b0279, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xa510566a, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0xaf22aa35, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x1da9b302, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x34c8ac1f, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x2c157b37, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x9c3fb628, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0xc45e01e3, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x8d4c1d20, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x77c3b695, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0xc6b5859c, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x7bc71dd2, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0xd192063b, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xaa008523, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x72530d4a, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x3470c972, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x1ec97155, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xb8e540b5, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x6274902c, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0xd7756745, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0xe67a85f9, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0xaffcc535, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x20b1add3, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0xb8119035, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x46751311, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x1cf809a6, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x373f3a00, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0xc8cad27f, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0xe6cec939, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x9f333117, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x134fbb92, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xce6e2e65, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xd0580ee2, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x87f252e3, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x21a3a374, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x46c33a62, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x7089d949, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x44d13269, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x7f597f48, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0xd5ef2fb3, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x953ab286, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x20f97c22, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x121aedd0, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x93b2fefd, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x880e8408, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x007f2ad8, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x69c7f0f8, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0xf49ef9eb, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xa01bb1dc, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x70894b84, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x99f9bdff, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0xbe840652, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x9cc5a2f4, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0xc76609f9, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x80fb274e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x745a981, "xa_erase" },
	{ 0x56d3922b, "bpf_trace_run3" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5abb475f, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9b459854, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x9a2ccd25, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x329ca349, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xddcad84a, "seq_printf" },
	{ 0xe7a00b6f, "device_match_name" },
	{ 0x202e8d9, "pci_walk_bus" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x523ce97a, "__devm_add_action" },
	{ 0xcf914210, "pci_find_dvsec_capability" },
	{ 0xc077e5e, "device_find_child_by_name" },
	{ 0xbff6921b, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbfc2d738, "pci_write_config_word" },
	{ 0x5286b54a, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xd1ecaa3b, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xee4d4111, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x55af8883, "pci_bus_type" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xdbc82372, "bus_register" },
	{ 0xc9288895, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x808fd566, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa19dbc29, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xa3e26343, "dev_set_name" },
	{ 0xb10f79bf, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x82e88843, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xa4fd5b01, "cdev_device_del" },
	{ 0xcfa9d7fa, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0xb67b5aba, "device_unregister" },
	{ 0xc1a7d6ef, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4b3710ab, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8d9d78fa, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x394376b3, "device_initialize" },
	{ 0x44eeaf3a, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xade09d, "pcpu_hot" },
	{ 0x5fa78365, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1c861537, "bpf_trace_run2" },
	{ 0xd82e7693, "devm_remove_action" },
	{ 0x800a084a, "get_device" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8f113d76, "dev_driver_string" },
	{ 0xa47f4bb3, "trace_event_buffer_commit" },
	{ 0xa3b447a5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5a22bcb0, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x8f92b13a, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0xaecdcdee, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe221155c, "bus_for_each_dev" },
	{ 0xa2b9b343, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd9c0f854, "compat_ptr_ioctl" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x85ce46a5, "perf_trace_run_bpf_submit" },
	{ 0x617913e3, "sysfs_update_group" },
	{ 0xcfa3073e, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xfd666b33, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x32e9c137, "debugfs_create_bool" },
	{ 0x599cd012, "bus_find_device" },
	{ 0x5794577d, "device_add" },
	{ 0xa7a9791, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x3d1166b5, "noop_llseek" },
	{ 0x5ae669cc, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd827544d, "kernfs_find_and_get_ns" },
	{ 0x37d08fa8, "debugfs_remove" },
	{ 0xaffb4ac3, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x632c0cb4, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xd3a7371f, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf1d391f7, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x779db50, "devm_release_action" },
	{ 0x491e8270, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb61d6fc2, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9de986c0, "device_for_each_child_reverse_from" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0F0C7624FE85BA2D320BB9C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
