#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fpga_image_info_alloc, "_gpl", "");
KSYMTAB_FUNC(fpga_image_info_free, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_load, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(of_fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_put, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_lock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unlock, "_gpl", "");
KSYMTAB_FUNC(__fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(__fpga_mgr_register, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unregister, "_gpl", "");
KSYMTAB_FUNC(__devm_fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(__devm_fpga_mgr_register, "_gpl", "");

SYMBOL_CRC(fpga_image_info_alloc, 0xcd2d28bc, "_gpl");
SYMBOL_CRC(fpga_image_info_free, 0x10bc6ebb, "_gpl");
SYMBOL_CRC(fpga_mgr_load, 0xd4eadd76, "_gpl");
SYMBOL_CRC(fpga_mgr_get, 0x47e1028e, "_gpl");
SYMBOL_CRC(of_fpga_mgr_get, 0xcacace48, "_gpl");
SYMBOL_CRC(fpga_mgr_put, 0x2ab6e4b6, "_gpl");
SYMBOL_CRC(fpga_mgr_lock, 0xb8e63ba5, "_gpl");
SYMBOL_CRC(fpga_mgr_unlock, 0x5047dba9, "_gpl");
SYMBOL_CRC(__fpga_mgr_register_full, 0xe2ac8b9b, "_gpl");
SYMBOL_CRC(__fpga_mgr_register, 0x21eba2b9, "_gpl");
SYMBOL_CRC(fpga_mgr_unregister, 0xc55a6f9e, "_gpl");
SYMBOL_CRC(__devm_fpga_mgr_register_full, 0x2cb4ad26, "_gpl");
SYMBOL_CRC(__devm_fpga_mgr_register, 0x4ba78c06, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x800a084a, "get_device" },
	{ 0xa19dbc29, "devm_kmalloc" },
	{ 0xaecdcdee, "put_device" },
	{ 0xfd666b33, "devm_kfree" },
	{ 0xd6a06be3, "sg_miter_start" },
	{ 0x4a2bb951, "sg_miter_next" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x88cc2a12, "sg_miter_stop" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2c1e8163, "device_match_of_node" },
	{ 0xc1792210, "class_find_device" },
	{ 0xedfee466, "try_module_get" },
	{ 0xfc24188, "module_put" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x89ae64be, "_dev_info" },
	{ 0xb67b5aba, "device_unregister" },
	{ 0x122c3a7e, "_printk" },
	{ 0xae410f1f, "class_register" },
	{ 0xeea75c3d, "class_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x754d539c, "strlen" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa3e26343, "dev_set_name" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x574618b5, "device_register" },
	{ 0x95f6b712, "__devres_alloc_node" },
	{ 0x37632186, "devres_add" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xf0169b61, "sg_miter_skip" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7a2194, "vmalloc_to_page" },
	{ 0x78a3eedc, "sg_alloc_table_from_pages_segment" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x66e2027d, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BFF17D5F207ADE6D0FB5855");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
