#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dae2c7b, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x69daf5ec, "pcim_enable_device" },
	{ 0x5c52bf24, "pci_request_regions" },
	{ 0xa0f26b, "__devm_drm_dev_alloc" },
	{ 0x8d9d78fa, "devm_ioremap" },
	{ 0xd6933949, "drmm_mode_config_init" },
	{ 0xf930ab8c, "drm_universal_plane_init" },
	{ 0x9ddb043f, "drm_mode_config_reset" },
	{ 0x93ce12bb, "drm_dev_register" },
	{ 0x837c510d, "drm_fbdev_generic_setup" },
	{ 0xd759b1ea, "drm_plane_enable_fb_damage_clips" },
	{ 0x89850e18, "drm_crtc_init_with_planes" },
	{ 0xe38779fe, "drm_encoder_init" },
	{ 0x1b9baf06, "drm_connector_init" },
	{ 0x5ae2f723, "drm_connector_attach_encoder" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x605d825d, "__pci_register_driver" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x72416e66, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0xfefdbe09, "__drm_gem_reset_shadow_plane" },
	{ 0x497cdb01, "drm_atomic_helper_check_plane_state" },
	{ 0x8cdcee3b, "drm_dev_enter" },
	{ 0x848d372e, "iowrite8" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb19b445, "ioread8" },
	{ 0x3317c004, "drm_atomic_helper_damage_iter_init" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0x31d38400, "drm_fb_blit" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x881ba001, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xf75f8c09, "drm_gem_shmem_dumb_create" },
	{ 0x3d1166b5, "noop_llseek" },
	{ 0x978e8c03, "drm_read" },
	{ 0x9969827a, "drm_poll" },
	{ 0x74388541, "drm_ioctl" },
	{ 0x764780c8, "drm_compat_ioctl" },
	{ 0xc3928aab, "drm_gem_mmap" },
	{ 0xb76615da, "drm_open" },
	{ 0x943031d7, "drm_release" },
	{ 0x6daaa113, "drm_gem_fb_create_with_dirty" },
	{ 0x9282f231, "drm_atomic_helper_check" },
	{ 0x6f63c2f1, "drm_atomic_helper_commit" },
	{ 0x3af0ba17, "drm_atomic_helper_connector_reset" },
	{ 0xe77b2a96, "drm_helper_probe_single_connector_modes" },
	{ 0xe9f5f414, "drm_connector_cleanup" },
	{ 0xda26ad3, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x7243dd96, "drm_atomic_helper_connector_destroy_state" },
	{ 0xf295b420, "drm_encoder_cleanup" },
	{ 0x17f153d2, "drm_atomic_helper_crtc_reset" },
	{ 0x6183aea6, "drm_crtc_cleanup" },
	{ 0x3e64c93d, "drm_atomic_helper_set_config" },
	{ 0xdef86bd2, "drm_atomic_helper_page_flip" },
	{ 0x4166ad21, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0x8fb49b5e, "drm_atomic_helper_crtc_destroy_state" },
	{ 0xd134d099, "drm_atomic_helper_update_plane" },
	{ 0x182f7a9e, "drm_atomic_helper_disable_plane" },
	{ 0x1bccfb48, "drm_plane_cleanup" },
	{ 0xf357c51a, "drm_gem_begin_shadow_fb_access" },
	{ 0x2bf0c993, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4bb2e70d, "drm_dev_unplug" },
	{ 0x85a0e8f7, "drm_atomic_helper_shutdown" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd7790a46, "drm_add_modes_noedid" },
	{ 0x6501cfce, "drm_set_preferred_mode" },
	{ 0xd0c2a89e, "drm_atomic_helper_check_crtc_primary_plane" },
	{ 0xec90e639, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x37a0cba, "kfree" },
	{ 0xc07d8ed3, "pci_unregister_driver" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001013d000000B8sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001013d000000B8sv00005853sd00000001bc*sc*i*");

MODULE_INFO(srcversion, "D39B139ECA962D920759377");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
