#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(intel_th_driver_register, "_gpl", "");
KSYMTAB_FUNC(intel_th_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(intel_th_output_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_alloc, "_gpl", "");
KSYMTAB_FUNC(intel_th_free, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_switch, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_disable, "_gpl", "");
KSYMTAB_FUNC(intel_th_set_output, "_gpl", "");

SYMBOL_CRC(intel_th_driver_register, 0xa8a1f80e, "_gpl");
SYMBOL_CRC(intel_th_driver_unregister, 0x01ec2d75, "_gpl");
SYMBOL_CRC(intel_th_output_enable, 0x4a1492ef, "_gpl");
SYMBOL_CRC(intel_th_alloc, 0xf3116b34, "_gpl");
SYMBOL_CRC(intel_th_free, 0x65f39960, "_gpl");
SYMBOL_CRC(intel_th_trace_enable, 0x0b2e4e87, "_gpl");
SYMBOL_CRC(intel_th_trace_switch, 0x2bbd1fc9, "_gpl");
SYMBOL_CRC(intel_th_trace_disable, 0xf00ec8ee, "_gpl");
SYMBOL_CRC(intel_th_set_output, 0x5f67bb98, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b188a8d, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaecdcdee, "put_device" },
	{ 0x12a646bc, "devm_free_irq" },
	{ 0x6bb6bbae, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfc24188, "module_put" },
	{ 0xcfa3073e, "bus_unregister" },
	{ 0x599cd012, "bus_find_device" },
	{ 0x5794577d, "device_add" },
	{ 0x3d1166b5, "noop_llseek" },
	{ 0xffb7c514, "ida_free" },
	{ 0xd3a7371f, "driver_unregister" },
	{ 0x335e4ebf, "sysfs_create_group" },
	{ 0x491e8270, "device_del" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa5ff424f, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6e2b8d9c, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x619d013e, "dma_set_coherent_mask" },
	{ 0x4046fce4, "sysfs_remove_group" },
	{ 0xa38a277f, "pm_runtime_forbid" },
	{ 0xaa6152c4, "pm_runtime_allow" },
	{ 0xdc6f792f, "__pm_runtime_resume" },
	{ 0x4d56bab6, "param_ops_bool" },
	{ 0x1f81060e, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xbff6921b, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x6360c523, "__pm_runtime_disable" },
	{ 0xd1ecaa3b, "driver_register" },
	{ 0x4d8bba0c, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdbc82372, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xedfee466, "try_module_get" },
	{ 0xbaf457c7, "devm_request_threaded_irq" },
	{ 0xa3e26343, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0x394376b3, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5fa78365, "device_for_each_child" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "05E9DF6B439E34AC93E7153");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
