#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtrs_clt_get_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_put_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_open, "", "");
KSYMTAB_FUNC(rtrs_clt_close, "", "");
KSYMTAB_FUNC(rtrs_clt_request, "", "");
KSYMTAB_FUNC(rtrs_clt_rdma_cq_direct, "", "");
KSYMTAB_FUNC(rtrs_clt_query, "", "");

SYMBOL_CRC(rtrs_clt_get_permit, 0x1b8d620c, "");
SYMBOL_CRC(rtrs_clt_put_permit, 0x9cb74771, "");
SYMBOL_CRC(rtrs_clt_open, 0x9d1e2fa6, "");
SYMBOL_CRC(rtrs_clt_close, 0xf9cc8987, "");
SYMBOL_CRC(rtrs_clt_request, 0x207f46a8, "");
SYMBOL_CRC(rtrs_clt_rdma_cq_direct, 0x9ac127ad, "");
SYMBOL_CRC(rtrs_clt_query, 0xb84f467e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1934912b, "rtrs_ib_dev_find_or_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf8e61cfc, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xaecdcdee, "put_device" },
	{ 0x711252fc, "rtrs_rdma_dev_pd_deinit" },
	{ 0xa916b694, "strnlen" },
	{ 0xeeef6778, "rdma_resolve_route" },
	{ 0xf67dfcb2, "rtrs_iu_free" },
	{ 0xc74b2010, "ib_map_mr_sg" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x85ce46a5, "perf_trace_run_bpf_submit" },
	{ 0x96db9c4, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5794577d, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7f7eb7a1, "kobj_sysfs_ops" },
	{ 0x30ef93fa, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x632c0cb4, "trace_event_reg" },
	{ 0xe3caa20d, "iov_iter_kvec" },
	{ 0x3dbbfa4a, "rtrs_iu_post_recv" },
	{ 0x35c8d425, "kobject_init_and_add" },
	{ 0xeea75c3d, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x335e4ebf, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1c1e9684, "sysfs_remove_file_self" },
	{ 0x205ea90f, "bpf_trace_run1" },
	{ 0x491e8270, "device_del" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb934d008, "dma_sync_single_for_cpu" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x354ae0b5, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd0437df7, "rdma_connect_locked" },
	{ 0x276ba0ca, "rdma_set_reuseaddr" },
	{ 0x87830141, "kobject_create_and_add" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x4046fce4, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xdd64e639, "strscpy" },
	{ 0x43d91d95, "ib_dma_virt_map_sg" },
	{ 0x960a3a27, "kobject_del" },
	{ 0x9b459854, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9f6e0dd2, "rdma_destroy_id" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe7e25657, "rtrs_start_hb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2f80fd6b, "kobject_uevent" },
	{ 0xfee58d95, "_copy_from_iter" },
	{ 0xda4d5966, "ib_drain_qp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5a6f522f, "dma_unmap_sg_attrs" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x75505214, "rtrs_cq_qp_create" },
	{ 0x9f62bfe3, "rtrs_ib_dev_put" },
	{ 0x754d539c, "strlen" },
	{ 0x34745825, "rtrs_init_hb" },
	{ 0x11307cf3, "rdma_consumer_reject_data" },
	{ 0x435ddac0, "rtrs_stop_hb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xcfd0506c, "rtrs_send_hb_ack" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd01da5ee, "rtrs_iu_alloc" },
	{ 0xae410f1f, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x403a38a6, "dma_map_sg_attrs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7338c641, "kobject_put" },
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x87ed3246, "rdma_reject_msg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa3e26343, "dev_set_name" },
	{ 0x887302f3, "rtrs_addr_to_sockaddr" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x82e88843, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb67b5aba, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc1a7d6ef, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4b3710ab, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x82e38244, "rdma_resolve_addr" },
	{ 0x499861d9, "dma_sync_single_for_device" },
	{ 0x394376b3, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x44eeaf3a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ced9a73, "rtrs_post_recv_empty" },
	{ 0xade09d, "pcpu_hot" },
	{ 0x30a26eb9, "ib_dereg_mr_user" },
	{ 0xb5914da3, "ib_process_cq_direct" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x148e636c, "rtrs_iu_post_rdma_write_imm" },
	{ 0xa3573ca7, "rtrs_iu_post_send" },
	{ 0xe2964344, "__wake_up" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x39c8277b, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa47f4bb3, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8a196108, "rtrs_rdma_dev_pd_init" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "C8BFD2215BFC6B8D05AF73D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
