#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x05747084, "");
SYMBOL_CRC(r5c_journal_mode_set, 0xe80f2b83, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca63cbdd, "bio_chain" },
	{ 0x30872ec0, "__blk_trace_note_message" },
	{ 0xb429d1f2, "blkdev_issue_zeroout" },
	{ 0x7976e1c3, "disk_stack_limits" },
	{ 0xaa87cf19, "__cpuhp_state_add_instance" },
	{ 0x80b344d8, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x2d041683, "md_do_sync" },
	{ 0x3ff12b2d, "async_raid6_2data_recov" },
	{ 0x1d03fded, "bio_add_page" },
	{ 0x82a003d3, "__SCK__tp_func_block_unplug" },
	{ 0xff98694d, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe12aeff, "md_update_sb" },
	{ 0x56dbd158, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x335e4ebf, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0x59b79d4d, "md_flush_request" },
	{ 0xcd192bec, "bio_init" },
	{ 0x106818a9, "md_register_thread" },
	{ 0xfb578fc5, "memset" },
	{ 0x9be5b2f4, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xa7b9cbcb, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xcc5806cb, "md_account_bio" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x16a06eeb, "md_write_inc" },
	{ 0x41383367, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd5b42adf, "unregister_md_personality" },
	{ 0xca08fd42, "blk_queue_max_write_zeroes_sectors" },
	{ 0x1280adb, "md_bitmap_unplug" },
	{ 0xe61df1c2, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4d56bab6, "param_ops_bool" },
	{ 0xa6851d55, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x821b209e, "async_syndrome_val" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x1fae1a53, "alloc_pages" },
	{ 0xf99f7fa5, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0xddcad84a, "seq_printf" },
	{ 0xbd53f869, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x2915024e, "blk_queue_io_min" },
	{ 0x9b6717fe, "md_check_recovery" },
	{ 0xdb4876d5, "md_bitmap_endwrite" },
	{ 0x97046439, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb0cf77e9, "blkdev_issue_flush" },
	{ 0x71ce6596, "mddev_suspend" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x91e14d7c, "badblocks_check" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x9d6ee63, "blk_queue_max_hw_sectors" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x94ec0b32, "rdev_set_badblocks" },
	{ 0x116e8245, "bio_alloc_bioset" },
	{ 0x5146b255, "blk_queue_io_opt" },
	{ 0xa3294c94, "async_raid6_datap_recov" },
	{ 0x6cb4484b, "submit_bio_wait" },
	{ 0x19ac0ff7, "__cpuhp_remove_state" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xfa1e40e6, "kmem_cache_destroy" },
	{ 0x7f69b8f6, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2a447572, "blkdev_issue_discard" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x6c9fd850, "set_disk_ro" },
	{ 0x78cd58a6, "register_md_personality" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x49c3ad63, "__bio_add_page" },
	{ 0x8e3c70a6, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7cdb2ac5, "md_bitmap_resize" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xd4f7280e, "mddev_init_writes_pending" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5733aa92, "md_find_rdev_rcu" },
	{ 0x44f5fff, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x24e7326b, "md_bitmap_start_sync" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd0016d54, "md_bitmap_cond_end_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbe2333d2, "md_error" },
	{ 0xb60d17a3, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x15c85de3, "mempool_init" },
	{ 0xc27d01cc, "register_shrinker" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x20b8ace5, "md_bitmap_startwrite" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x495e62fb, "md_finish_reshape" },
	{ 0xade09d, "pcpu_hot" },
	{ 0x28e1abd2, "async_gen_syndrome" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x73dfc6e8, "md_unregister_thread" },
	{ 0x4d099a6e, "__put_devmap_managed_page_refs" },
	{ 0x900a68e3, "sync_page_io" },
	{ 0xf856a681, "md_bitmap_close_sync" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x4978c85f, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb708ca4c, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x89208e2e, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe19c0c61, "md_wakeup_thread" },
	{ 0x8fa8aca1, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xceee6cc5, "md_set_array_sectors" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xc2376566, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d3668ff, "rdev_clear_badblocks" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x7e1a63d5, "async_tx_quiesce" },
	{ 0xd9581c2f, "md_write_start" },
	{ 0x188fab4b, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x2a1b32d5, "unregister_shrinker" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x618911fc, "numa_node" },
	{ 0xc06bae77, "async_xor" },
	{ 0x4f55db2f, "__free_pages" },
	{ 0x3c35578e, "kmem_cache_alloc" },
	{ 0xcc60205f, "async_xor_offs" },
	{ 0xa813dfaf, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xee51b60d, "submit_bio" },
	{ 0x2f3c06a7, "blk_queue_flag_clear" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa2b9b343, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x43ffd8a3, "kthread_unpark" },
	{ 0xfcc18efb, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbbb1e03a, "md_done_sync" },
	{ 0xb3d818ed, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xfdcda069, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x75396667, "md_wait_for_blocked_rdev" },
	{ 0x4389d2d3, "__SCK__tp_func_block_bio_remap" },
	{ 0x97fa317c, "__cpuhp_setup_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf40388d6, "async_memcpy" },
	{ 0x30f9aa4c, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3e82f88, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x8dbce0ed, "mddev_unlock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa5057181, "__tracepoint_block_unplug" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "async_tx,md-mod,async_raid6_recov,raid6_pq,libcrc32c,async_pq,async_xor,async_memcpy");


MODULE_INFO(srcversion, "2719800A7E632A7B7088D4E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
