#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0x008e74e9, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0xa6d92efa, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0xa05ec2e9, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0x785efdf4, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0x604d7ecb, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0x7b89715f, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0x3ca7c55c, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0x8201e6a7, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0x957e8c8f, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0x34b3885b, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev, 0x755531f2, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0x540390c8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcf3263a, "i2c_verify_client" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x5286b54a, "debugfs_create_dir" },
	{ 0xd17d7d7e, "debugfs_create_file" },
	{ 0x4250e57, "single_open" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xddcad84a, "seq_printf" },
	{ 0x3c14ed4e, "fwnode_property_present" },
	{ 0x7516d5b0, "fwnode_graph_get_port_parent" },
	{ 0xc88fb447, "fwnode_handle_put" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3cc2ee21, "fwnode_handle_get" },
	{ 0x37d08fa8, "debugfs_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5b68c555, "fwnode_graph_get_remote_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0x49552970, "v4l2_device_unregister_subdev" },
	{ 0x2faf5642, "v4l2_subdev_put_privacy_led" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0x83133703, "__dev_fwnode" },
	{ 0x7f9f79db, "v4l2_device_register_subdev" },
	{ 0xe459520, "media_create_ancillary_link" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0xb9759db, "seq_lseek" },
	{ 0xee5cdceb, "seq_read" },
	{ 0x43ad2be8, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc");


MODULE_INFO(srcversion, "86502B47ACF1830AE1D5A4B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
