#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x23b0bd30, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0x7339a979, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x368fecf9, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0x8d5a7e88, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x27d43722, "_gpl");
SYMBOL_CRC(m_can_class_register, 0xe2e1b893, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0xfef4ea36, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0xf77d837a, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0xed00d15c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9bf9e201, "free_candev" },
	{ 0xc5dd4da3, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0xf678ec43, "can_get_echo_skb" },
	{ 0xe201a183, "can_free_echo_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa042f1b, "netdev_warn" },
	{ 0x5819cc09, "unregister_candev" },
	{ 0x16b51f15, "can_rx_offload_del" },
	{ 0x4bb58e37, "devm_clk_get" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdc6f792f, "__pm_runtime_resume" },
	{ 0x4d8bba0c, "__pm_runtime_idle" },
	{ 0x8cc4733b, "pinctrl_pm_select_default_state" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x6b2bd73d, "netif_device_attach" },
	{ 0xc252b7de, "register_candev" },
	{ 0x89ae64be, "_dev_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7bd2f952, "can_rx_offload_add_manual" },
	{ 0x6f1d7cc2, "netif_napi_add_weight" },
	{ 0xf0dfa3c0, "phy_power_on" },
	{ 0xc2860f55, "open_candev" },
	{ 0xf0f641aa, "can_rx_offload_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x95474dfb, "napi_disable" },
	{ 0x4dcfcd32, "close_candev" },
	{ 0xa8975417, "phy_power_off" },
	{ 0xb3b64509, "napi_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x252efa0e, "netdev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x79ea7eba, "netif_tx_wake_queue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xeb21e918, "pinctrl_pm_select_sleep_state" },
	{ 0x58e6e61b, "netif_device_detach" },
	{ 0x67d36e8f, "alloc_can_err_skb" },
	{ 0xe610f56d, "can_rx_offload_queue_timestamp" },
	{ 0x2aae7d15, "netif_receive_skb" },
	{ 0x5d41960b, "__dynamic_netdev_dbg" },
	{ 0xf12d91e6, "can_bus_off" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0xa9afc570, "can_put_echo_skb" },
	{ 0x822d3ff1, "kfree_skb_reason" },
	{ 0x2cbc760, "can_dropped_invalid_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96b80504, "netdev_printk" },
	{ 0x2035cf2f, "alloc_canfd_skb" },
	{ 0x20cf8b2b, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xeee1f47e, "napi_complete_done" },
	{ 0xa6257aa, "napi_schedule_prep" },
	{ 0x781435f4, "__napi_schedule" },
	{ 0xb140e41f, "can_rx_offload_threaded_irq_finish" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0x79b393f2, "ethtool_op_get_ts_info" },
	{ 0xcd4e2754, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x83133703, "__dev_fwnode" },
	{ 0xd1cf63f, "fwnode_property_read_u32_array" },
	{ 0x9b533277, "alloc_candev_mqs" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "8C1040751604804BC3DA521");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
