#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x429c7238, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x76f67497, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb454a486, "netif_set_real_num_rx_queues" },
	{ 0x822d3ff1, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x872d947e, "skb_push" },
	{ 0xee1bf7fe, "dma_alloc_attrs" },
	{ 0xb3b64509, "napi_enable" },
	{ 0x2aae7d15, "netif_receive_skb" },
	{ 0x95922d3e, "register_netdev" },
	{ 0x35be5c02, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x403e9bb5, "ethtool_op_get_link" },
	{ 0x14a7b890, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x42d00a2f, "pci_iounmap" },
	{ 0x2b823cbb, "pci_restore_state" },
	{ 0x79ea7eba, "netif_tx_wake_queue" },
	{ 0xb934d008, "dma_sync_single_for_cpu" },
	{ 0x71a479e9, "devm_hwmon_device_register_with_groups" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x3924ab95, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf55080ac, "__pskb_pull_tail" },
	{ 0x345c7481, "netif_tx_lock" },
	{ 0xd38d1f7e, "__netdev_alloc_skb" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x619d013e, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x8512700d, "dma_free_attrs" },
	{ 0xec392d2e, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa1723e4, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1fae1a53, "alloc_pages" },
	{ 0xf99f7fa5, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6fcc22cb, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2690bf1e, "skb_clone" },
	{ 0x9a5f20a, "__hw_addr_sync_dev" },
	{ 0x83ff0e7d, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xbfca37bc, "netif_carrier_on" },
	{ 0x44da89bb, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6155ca4b, "pci_disable_device" },
	{ 0xb2bd4c37, "dma_set_mask" },
	{ 0xbce44f84, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xa6257aa, "napi_schedule_prep" },
	{ 0x1119741d, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0x95474dfb, "napi_disable" },
	{ 0x60aef364, "dev_kfree_skb_any_reason" },
	{ 0x258be7f9, "_dev_printk" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x84112dd0, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x20521296, "pci_write_config_dword" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x4a1e0b18, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc77aaf70, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8c7d31f0, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xce25fb6f, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x9ef3bc2, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9029f154, "skb_copy_bits" },
	{ 0x39245c96, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x56489eb8, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb10f79bf, "param_ops_ushort" },
	{ 0xf73f08e7, "consume_skb" },
	{ 0xc67b2968, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6f1d7cc2, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x645b13b5, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xac253b75, "ndo_dflt_bridge_getlink" },
	{ 0x4d63a0a8, "unregister_netdev" },
	{ 0x4e02b8f1, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7f59fe81, "dma_unmap_page_attrs" },
	{ 0x66e2027d, "request_firmware" },
	{ 0x605d825d, "__pci_register_driver" },
	{ 0xd989ab78, "pci_num_vf" },
	{ 0x5c52bf24, "pci_request_regions" },
	{ 0xd6ac7119, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xf8533591, "pci_sriov_get_totalvfs" },
	{ 0xade09d, "pcpu_hot" },
	{ 0x4d099a6e, "__put_devmap_managed_page_refs" },
	{ 0x51bf7e73, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb5b75e84, "udp_tunnel_nic_ops" },
	{ 0xb175a67b, "__netif_napi_del" },
	{ 0xfe34a4fc, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc07d8ed3, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x62fa6082, "pskb_expand_head" },
	{ 0x8f113d76, "dev_driver_string" },
	{ 0x3dbb3f63, "dev_addr_mod" },
	{ 0xb06b27d6, "eth_type_trans" },
	{ 0xa3b447a5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3e8f95f8, "dma_map_page_attrs" },
	{ 0xeee1f47e, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x781435f4, "__napi_schedule" },
	{ 0xce260503, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x58e6e61b, "netif_device_detach" },
	{ 0x6df51839, "__hw_addr_unsync_dev" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x6b2bd73d, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x1546e447, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xbe21b085, "netif_set_real_num_tx_queues" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "54F7FBA3F6C66A05A883538");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
