#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0xc6991e5c, "");
SYMBOL_CRC(prestera_device_unregister, 0xe8100dde, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3dbb3f63, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb06b27d6, "eth_type_trans" },
	{ 0xd2242dbd, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3e8f95f8, "dma_map_page_attrs" },
	{ 0xeee1f47e, "napi_complete_done" },
	{ 0x1bf9fa88, "switchdev_handle_port_obj_del" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xac9c12f6, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x781435f4, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x35f39b75, "__alloc_skb" },
	{ 0x70721212, "switchdev_bridge_port_offload" },
	{ 0xbdcd686c, "flow_block_cb_incref" },
	{ 0xbcf71d29, "flow_rule_match_ports_range" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xad4fa657, "free_fib_info" },
	{ 0x7222228d, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x374dc773, "vlan_dev_real_dev" },
	{ 0x5708f5bd, "__dev_get_by_index" },
	{ 0xbc27bfa4, "devlink_port_unregister" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x96db9c4, "init_net" },
	{ 0xbe3dba51, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x822d3ff1, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x70847761, "flow_block_cb_decref" },
	{ 0x872d947e, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xb3b64509, "napi_enable" },
	{ 0x95922d3e, "register_netdev" },
	{ 0x1c8499a3, "unregister_fib_notifier" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x35be5c02, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x403e9bb5, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xd109091c, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x7ea8aabd, "flow_rule_match_ports" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf55080ac, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x4febd89f, "devlink_trap_report" },
	{ 0x178ea0b8, "__neigh_event_send" },
	{ 0xe1c276e8, "flow_block_cb_alloc" },
	{ 0x162370, "switchdev_handle_port_obj_add" },
	{ 0x10a48858, "fib_alias_hw_flags_set" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x696f8a4e, "__neigh_create" },
	{ 0x6a851794, "netdev_walk_all_upper_dev_rcu" },
	{ 0x41383367, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x556f5a9b, "neigh_destroy" },
	{ 0xebab8cae, "br_multicast_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x6effe583, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x98c443c0, "netdev_master_upper_dev_get_rcu" },
	{ 0x91135e2c, "devlink_traps_register" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x7708425f, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6fcc22cb, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd8d223ab, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xed95080a, "devlink_priv" },
	{ 0xf5719388, "devlink_port_register_with_ops" },
	{ 0xbfca37bc, "netif_carrier_on" },
	{ 0x96a1b2d6, "netdev_has_any_upper_dev" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x9baf7f19, "devlink_trap_groups_register" },
	{ 0xd0186bd7, "arp_tbl" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xd786d98a, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x34602f3, "netdev_walk_all_lower_dev" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xa6257aa, "napi_schedule_prep" },
	{ 0xa886ebb0, "__fib_lookup" },
	{ 0x95474dfb, "napi_disable" },
	{ 0x60aef364, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xe06868cf, "devlink_trap_groups_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaf2f0b19, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xcd5affb9, "init_dummy_netdev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x8658e654, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc77aaf70, "alloc_etherdev_mqs" },
	{ 0x74107634, "netdev_lower_get_next" },
	{ 0x2ac48b2e, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x89d79028, "br_vlan_enabled" },
	{ 0xce25fb6f, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa5123a0e, "devlink_unregister" },
	{ 0xa21dea92, "dma_pool_create" },
	{ 0x91512561, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc77c0ae3, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x34d07e0d, "register_fib_notifier" },
	{ 0x78ed7b87, "l3mdev_fib_table_rcu" },
	{ 0x6f1d7cc2, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x4d63a0a8, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x7f59fe81, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x499861d9, "dma_sync_single_for_device" },
	{ 0x57cdd9ef, "flow_rule_match_eth_addrs" },
	{ 0xb58c770b, "devlink_port_attrs_set" },
	{ 0xdd9561f1, "flow_block_cb_priv" },
	{ 0xba67997c, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x574124d9, "devlink_alloc_ns" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xe035336c, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xade09d, "pcpu_hot" },
	{ 0x549b066f, "devlink_free" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xa042f1b, "netdev_warn" },
	{ 0x38d9fd24, "flow_rule_match_ipv4_addrs" },
	{ 0xb175a67b, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xdec3a106, "fib_table_lookup" },
	{ 0x87d2e992, "skb_pull_rcsum" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x252efa0e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x62fa6082, "pskb_expand_head" },
	{ 0x67c0ca2, "switchdev_handle_port_attr_set" },
	{ 0x4b55d86, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x8f113d76, "dev_driver_string" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "2C978E552BC421FEE35C380");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
