#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x35e1654a, "genphy_soft_reset" },
	{ 0x4fb8794f, "bcm_phy_write_exp" },
	{ 0xefbfbb32, "bcm_phy_write_misc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2c9d5a4f, "bcm_phy_read_exp" },
	{ 0xc1950e52, "bcm_phy_read_misc" },
	{ 0x6910b32d, "bcm_phy_read_shadow" },
	{ 0x176e3e69, "bcm_phy_write_shadow" },
	{ 0xdc1f7a39, "bcm_phy_enable_apd" },
	{ 0x5f108998, "bcm_phy_28nm_a0b0_afe_config_init" },
	{ 0x79d7ffb7, "bcm_phy_r_rc_cal_reset" },
	{ 0x24ce1ba6, "bcm_phy_enable_jumbo" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x38d2ae7b, "__mdiobus_read" },
	{ 0xee47f82c, "__mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc0fccc0a, "bcm_phy_get_strings" },
	{ 0x3d743ddb, "genphy_read_status" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44a164cc, "phy_drivers_register" },
	{ 0x1783d512, "mdiobus_write" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x506e5236, "bcm_phy_downshift_set" },
	{ 0xab8e3c2d, "bcm_phy_set_eee" },
	{ 0xfca6d35b, "genphy_restart_aneg" },
	{ 0x40ba046e, "bcm_phy_downshift_get" },
	{ 0xef1cb52a, "__genphy_config_aneg" },
	{ 0x659bfd80, "bcm_phy_get_stats" },
	{ 0xa19dbc29, "devm_kmalloc" },
	{ 0xc5dd93fc, "bcm_phy_get_sset_count" },
	{ 0x8450bae, "devm_clk_get_optional_enabled" },
	{ 0x681fbffd, "mdiobus_read" },
	{ 0x741760c4, "phy_drivers_unregister" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0011010110010000010100110001????");
MODULE_ALIAS("mdio:0011010110010000010100110101????");
MODULE_ALIAS("mdio:0011010110010000010100110100????");
MODULE_ALIAS("mdio:1010111000000010010100101000????");
MODULE_ALIAS("mdio:1010111000000010010100010010????");
MODULE_ALIAS("mdio:1010111000000010010100011001????");
MODULE_ALIAS("mdio:1010111000000010010100001001????");
MODULE_ALIAS("mdio:1010111000000010010100111011????");
MODULE_ALIAS("mdio:1010111000000010010100011010????");
MODULE_ALIAS("mdio:1010111000000010010100100110????");
MODULE_ALIAS("mdio:0110000000001101100001001001????");
MODULE_ALIAS("mdio:0110000000001101100001100101????");
MODULE_ALIAS("mdio:0110000000001101100001001011????");
MODULE_ALIAS("mdio:0110000000001101100001101011????");
MODULE_ALIAS("mdio:0110000000001101100001110011????");
MODULE_ALIAS("mdio:1010111000000010010100101110????");
MODULE_ALIAS("mdio:0110000000001101100001001000????");
MODULE_ALIAS("mdio:0110000000001101100001110101????");
MODULE_ALIAS("mdio:0110000000001101100001010001????");
MODULE_ALIAS("mdio:0011010110010000010100110011????");

MODULE_INFO(srcversion, "38444A2C9546839A97CE810");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
