#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0xc2bb5f58, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x2b743dac, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x8905d64b, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0xd279c1e3, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x189a0c7d, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0xaaa04d36, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x31e54a15, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0xf0f78d7a, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xebce5d8f, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x280d9b7a, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x8f4ef54f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7d1c9504, "usbnet_unlink_rx_urbs" },
	{ 0x3c9b7755, "usbnet_write_cmd" },
	{ 0xade09d, "pcpu_hot" },
	{ 0x345c7481, "netif_tx_lock" },
	{ 0x6371e52, "usbnet_start_xmit" },
	{ 0xfe34a4fc, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xe462d287, "usbnet_read_cmd" },
	{ 0xd38d1f7e, "__netdev_alloc_skb" },
	{ 0x91512561, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8892fb92, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x4fe9101e, "cdc_parse_cdc_header" },
	{ 0xe11bc720, "usb_ifnum_to_if" },
	{ 0x6fbb2fe7, "usb_driver_claim_interface" },
	{ 0x94550027, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbd1dd1d0, "usbnet_get_ethernet_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x35f39b75, "__alloc_skb" },
	{ 0xcaf5f6e3, "usbnet_manage_power" },
	{ 0x111b48e3, "usbnet_cdc_update_filter" },
	{ 0x810e3a58, "usbnet_open" },
	{ 0x3b59f8d8, "usbnet_stop" },
	{ 0x38813bad, "usbnet_set_rx_mode" },
	{ 0x9d719d70, "eth_mac_addr" },
	{ 0x51bf7e73, "eth_validate_addr" },
	{ 0x9df110e1, "usbnet_tx_timeout" },
	{ 0xe59c0e13, "dev_get_tstats64" },
	{ 0x24fede21, "usbnet_get_drvinfo" },
	{ 0x8b8caf71, "usbnet_get_msglevel" },
	{ 0x2301ec29, "usbnet_set_msglevel" },
	{ 0xb2a27722, "usbnet_nway_reset" },
	{ 0xaf0a0093, "usbnet_get_link" },
	{ 0x79b393f2, "ethtool_op_get_ts_info" },
	{ 0xe1371692, "usbnet_get_link_ksettings_internal" },
	{ 0x6b7720dc, "usbnet_probe" },
	{ 0x7c550730, "usbnet_disconnect" },
	{ 0xb86693b, "usbnet_suspend" },
	{ 0xd8fea97, "usbnet_resume" },
	{ 0x4d56bab6, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x60aef364, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc70eba53, "usb_driver_release_interface" },
	{ 0xc3c87f6f, "usb_altnum_to_altsetting" },
	{ 0x5d41960b, "__dynamic_netdev_dbg" },
	{ 0x1867514, "usb_register_driver" },
	{ 0xdeddaa5d, "usb_deregister" },
	{ 0x9c1212f3, "usbnet_link_change" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x7e382a30, "usbnet_update_max_qlen" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
