#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0x8756505a, "_gpl");
SYMBOL_CRC(rndis_command, 0x4c29bf64, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0x4abeab83, "_gpl");
SYMBOL_CRC(rndis_unbind, 0xb2a97005, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0x3e322f68, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0xd61ba38c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x38d50bf2, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa437809f, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x89ae64be, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x70501fe2, "usbnet_generic_cdc_bind" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0xc70eba53, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d41960b, "__dynamic_netdev_dbg" },
	{ 0x3dbb3f63, "dev_addr_mod" },
	{ 0xbe3dba51, "skb_pull" },
	{ 0xfe1e8f16, "skb_trim" },
	{ 0xe4653e17, "usbnet_cdc_zte_rx_fixup" },
	{ 0x2690bf1e, "skb_clone" },
	{ 0x8892fb92, "usbnet_skb_return" },
	{ 0x222e680c, "skb_copy_expand" },
	{ 0x60aef364, "dev_kfree_skb_any_reason" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1867514, "usb_register_driver" },
	{ 0xdeddaa5d, "usb_deregister" },
	{ 0xe84818a3, "usbnet_cdc_unbind" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6b7720dc, "usbnet_probe" },
	{ 0x7c550730, "usbnet_disconnect" },
	{ 0xb86693b, "usbnet_suspend" },
	{ 0xd8fea97, "usbnet_resume" },
	{ 0x810e3a58, "usbnet_open" },
	{ 0x3b59f8d8, "usbnet_stop" },
	{ 0x6371e52, "usbnet_start_xmit" },
	{ 0x9d719d70, "eth_mac_addr" },
	{ 0x51bf7e73, "eth_validate_addr" },
	{ 0x9df110e1, "usbnet_tx_timeout" },
	{ 0xe59c0e13, "dev_get_tstats64" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "usbcore,cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
