#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0x56bd638d, "_gpl");
SYMBOL_CRC(mt76s_rr, 0xb7c0a844, "_gpl");
SYMBOL_CRC(mt76s_wr, 0xadcb0ff7, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x19875537, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0x95d63809, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0x34398712, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x6d94b227, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x025c8c8f, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0x3ce9c947, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x760a420a, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0x72714be1, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0x11da1f72, "_gpl");
SYMBOL_CRC(mt76s_init, 0xd101e573, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0xd0767019, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x13693280, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0x3f37bfe6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6cad52e5, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0xade09d, "pcpu_hot" },
	{ 0x4d099a6e, "__put_devmap_managed_page_refs" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdd7f4544, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x62fa6082, "pskb_expand_head" },
	{ 0x9d97c0d0, "mt76_tx_status_check" },
	{ 0x21206d51, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc8b65002, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x35f39b75, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9a01c0f, "sdio_readsb" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb53e9b12, "__SCK__tp_func_dev_irq" },
	{ 0xf9c3068b, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x207755df, "kthread_stop" },
	{ 0xc2ecfc18, "__alloc_pages" },
	{ 0x364f7fbb, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x262c96e1, "mt76_queue_tx_complete" },
	{ 0x57ed2c2a, "kthread_create_on_node" },
	{ 0x1935d6a0, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb0afde9c, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf99f7fa5, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7a683680, "sdio_claim_irq" },
	{ 0x3ab44979, "mt76_skb_adjust_pad" },
	{ 0xee5c0c5d, "sdio_enable_func" },
	{ 0x2ac40757, "sdio_writesb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb9086cf, "sdio_release_host" },
	{ 0x8884f4e9, "sdio_disable_func" },
	{ 0x4cbafb99, "sdio_set_block_size" },
	{ 0xa19dbc29, "devm_kmalloc" },
	{ 0x91512561, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4f388ff8, "sdio_claim_host" },
	{ 0xf73f08e7, "consume_skb" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "AA117E2B53EB7C5F85743D4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
