#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66e2027d, "request_firmware" },
	{ 0x1867514, "usb_register_driver" },
	{ 0xba3df537, "mt76_get_txpower" },
	{ 0x48c040d0, "mt76_wake_tx_queue" },
	{ 0xd0244649, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd79e6980, "mt76x02_sta_ps" },
	{ 0xe290ae1e, "mt76u_resume_rx" },
	{ 0xc7cabd02, "mt76x02_sta_rate_tbl_update" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x400239a2, "mt76_alloc_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x99836fe, "usb_put_dev" },
	{ 0x3593fc0c, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x44b82ba0, "mt76x02_update_channel" },
	{ 0x51be4032, "usb_get_dev" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x18763734, "mt76x02_configure_filter" },
	{ 0x102820bb, "mt76_free_device" },
	{ 0x73a46e58, "mt76x0_chip_onoff" },
	{ 0x2f2dda42, "mt76x02_queue_rx_skb" },
	{ 0x265bbff6, "mt76u_queues_deinit" },
	{ 0x9f176a95, "ieee80211_queue_delayed_work" },
	{ 0xd6835c0b, "mt76x0_config" },
	{ 0x3b95668d, "mt76x0_register_device" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x39ac9e9d, "mt76x02u_mcu_fw_reset" },
	{ 0xf4419657, "mt76x0_phy_calibrate" },
	{ 0xfbbf123e, "mt76_set_tim" },
	{ 0x4f73aa2a, "mt76x02_sw_scan_complete" },
	{ 0x1515f0a4, "mt76x02_tx" },
	{ 0xefc8fd1, "mt76x02_sta_remove" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdeddaa5d, "usb_deregister" },
	{ 0xd100964f, "mt76x02_tx_status_data" },
	{ 0xb2f0985b, "mt76x02_sta_add" },
	{ 0x5b74cf7b, "mt76x0_mac_stop" },
	{ 0x2544ea7, "mt76x02u_mcu_fw_send_data" },
	{ 0x7e77acca, "mt76u_init" },
	{ 0x9ace3910, "mt76_get_survey" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x38b03c93, "mt76x02u_init_mcu" },
	{ 0x5212a1d4, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x46b0fc63, "mt76x02_set_rts_threshold" },
	{ 0x151d3c34, "mt76_sta_state" },
	{ 0xbf20f741, "mt76x0_init_hardware" },
	{ 0x14a18025, "mt76x02u_mac_start" },
	{ 0x5ff4d93d, "mt76x02_bss_info_changed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x95ee1b2c, "mt76u_alloc_queues" },
	{ 0xef48c971, "mt76u_stop_tx" },
	{ 0xc129f945, "mt76x02u_init_beacon_config" },
	{ 0x5a78e187, "ieee80211_unregister_hw" },
	{ 0xda122d10, "mt76u_vendor_request" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xffd0a907, "mt76x02_add_interface" },
	{ 0xe63cb280, "____mt76_poll_msec" },
	{ 0x16a5e778, "mt76x02u_exit_beacon_config" },
	{ 0x84115055, "mt76u_stop_rx" },
	{ 0x459c92f, "mt76x02_ampdu_action" },
	{ 0xa875a498, "mt76x02_conf_tx" },
	{ 0xc64f6b9b, "mt76_sw_scan" },
	{ 0x20078a6e, "mt76_sta_pre_rcu_remove" },
	{ 0xa83e0eaa, "__mt76_poll" },
	{ 0x7be4033, "mt76x02_remove_interface" },
	{ 0x82d68be4, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa19dbc29, "devm_kmalloc" },
	{ 0x165f9bdf, "mt76x0_set_sar_specs" },
	{ 0x5bcf7a07, "firmware_request_nowarn" },
	{ 0xa250450c, "mt76x02_set_ethtool_fwver" },
	{ 0x2b69e51c, "mt76x02_set_key" },
	{ 0xdbed82cc, "mt76_release_buffered_frames" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mt76,mt76x02-lib,mt76-usb,mt76x0-common,mac80211,mt76x02-usb");

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p010Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "B0140B81FEF358466AC448A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
