#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b0b05dc, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xacb97a13, "rt2800_mcu_request" },
	{ 0x8d801b07, "rt2800mmio_toggle_irq" },
	{ 0xaf26521d, "rt2800mmio_enable_radio" },
	{ 0xe95fe98b, "rt2x00pci_remove" },
	{ 0x13dedefb, "rt2x00pci_pm_ops" },
	{ 0x6373eb4e, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0xe47c1506, "rt2800mmio_probe_hw" },
	{ 0x5b25446a, "rt2800_check_firmware" },
	{ 0xae14deb1, "rt2800_load_firmware" },
	{ 0x7977c06c, "rt2x00mmio_initialize" },
	{ 0x8a925572, "rt2x00mmio_uninitialize" },
	{ 0xc01e15e3, "rt2800mmio_get_entry_state" },
	{ 0x3670dfc4, "rt2800mmio_clear_entry" },
	{ 0x53c0bd74, "rt2800_rfkill_poll" },
	{ 0x79735c37, "rt2800_link_stats" },
	{ 0x8d573dca, "rt2800_reset_tuner" },
	{ 0x164d9f74, "rt2800_link_tuner" },
	{ 0x679c0cda, "rt2800_gain_calibration" },
	{ 0xba15f9d4, "rt2800_vco_calibration" },
	{ 0x536dc276, "rt2800_watchdog" },
	{ 0x935052a4, "rt2800mmio_start_queue" },
	{ 0xe5a1e57a, "rt2800mmio_kick_queue" },
	{ 0x7daea61b, "rt2800mmio_stop_queue" },
	{ 0x9c4fe617, "rt2800mmio_flush_queue" },
	{ 0xeed29c70, "rt2800mmio_write_tx_desc" },
	{ 0x335ca03, "rt2800_write_tx_data" },
	{ 0x9a06cb92, "rt2800_write_beacon" },
	{ 0x79f005b6, "rt2800_clear_beacon" },
	{ 0x55be3f32, "rt2800mmio_fill_rxdone" },
	{ 0xca52dae0, "rt2800_config_shared_key" },
	{ 0x99f58018, "rt2800_config_pairwise_key" },
	{ 0x73569a03, "rt2800_config_filter" },
	{ 0xf9d6aa05, "rt2800_config_intf" },
	{ 0xa3777fcd, "rt2800_config_erp" },
	{ 0xd24d6175, "rt2800_config_ant" },
	{ 0x868eea1, "rt2800_config" },
	{ 0x70fc4898, "rt2800_pre_reset_hw" },
	{ 0x3c52e398, "rt2x00mmio_regbusy_read" },
	{ 0xbd16513e, "rt2800mmio_init_registers" },
	{ 0x126a3378, "rt2800mmio_get_txwi" },
	{ 0x98430502, "rt2800mmio_get_dma_done" },
	{ 0x1b936d0e, "rt2x00mac_tx" },
	{ 0xff517423, "rt2x00mac_start" },
	{ 0xbf39a201, "rt2x00mac_stop" },
	{ 0x4f19fbaa, "rt2x00mac_add_interface" },
	{ 0x52d85c49, "rt2x00mac_remove_interface" },
	{ 0x4dedc189, "rt2x00mac_config" },
	{ 0xc0ed4da1, "rt2x00mac_bss_info_changed" },
	{ 0x210f022b, "rt2x00mac_configure_filter" },
	{ 0x93c69efa, "rt2x00mac_set_key" },
	{ 0xd8c4d479, "rt2x00mac_sw_scan_start" },
	{ 0x938d7787, "rt2x00mac_sw_scan_complete" },
	{ 0x6760949d, "rt2x00mac_get_stats" },
	{ 0xe069dfe7, "rt2800_get_key_seq" },
	{ 0x3f409f9e, "rt2800_set_rts_threshold" },
	{ 0x11bc86b7, "rt2800_sta_add" },
	{ 0xbf062e08, "rt2800_sta_remove" },
	{ 0x3a7da538, "rt2800_conf_tx" },
	{ 0x4bc5ce04, "rt2800_get_tsf" },
	{ 0x62c56f6a, "rt2800_ampdu_action" },
	{ 0xd521fb7, "rt2800_get_survey" },
	{ 0xf56592d1, "rt2x00mac_rfkill_poll" },
	{ 0xc43addbe, "rt2x00mac_flush" },
	{ 0x5d57cab9, "rt2x00mac_get_ringparam" },
	{ 0x5d2675bc, "rt2x00mac_tx_frames_pending" },
	{ 0x5e9a9a5e, "rt2x00mac_reconfig_complete" },
	{ 0xa9a17f18, "ieee80211_handle_wake_tx_queue" },
	{ 0x4d56bab6, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x605d825d, "__pci_register_driver" },
	{ 0x8c075bee, "rt2x00pci_probe" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xc07d8ed3, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xa2f0b639, "rt2800_efuse_detect" },
	{ 0x4e3c4e21, "rt2800_read_eeprom_efuse" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "eeprom_93cx6,rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E9BF56BB404C69688673417");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
