#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_should_fail, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x1352db47, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x518b1afd, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x779b6cac, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xba24afa7, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x5ab2c9a6, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xd0e900b7, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x727541fd, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0xf6cb24c3, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xad82f408, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x8f0d8127, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x08c46aa3, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xfb5e86ab, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xe3f7483d, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xf616c22c, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xf6f00aae, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xa77e1939, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x5a5e645b, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x8ec567be, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x9b79a1f5, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x572e2db8, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xf6c0cadf, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xec380944, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x5aa9eddf, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x5d13674d, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xf93c27ed, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x9b4fe8ee, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x3c0b00bc, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x1f28eb55, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xc877edaf, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xa91f4ea9, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x20465bdb, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x2f005302, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x5a78c693, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x3aad72c4, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x4e2afc86, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x6a960741, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x83f879b6, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x7bf77c72, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x3a104f16, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xcbfb5421, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xf244c539, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x7c4c6d88, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x975356b8, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x911c3b4f, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x2d450f0f, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xf03d56f0, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x73176c26, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xb2116ca0, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x224a8d5b, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x4f937390, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x87a3b662, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x5f137663, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x84ea2dfe, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x00489aa7, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x7eb5d83a, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x7452160e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0xf905f84d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x822f3801, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0xec459666, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2a328b5c, "blk_mq_free_request" },
	{ 0x3d2fe5b2, "disk_set_zoned" },
	{ 0x618911fc, "numa_node" },
	{ 0x4f55db2f, "__free_pages" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x56c08218, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfc24188, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa2b9b343, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd9c0f854, "compat_ptr_ioctl" },
	{ 0x994cfc2c, "t10_pi_type3_crc" },
	{ 0xcdc4246a, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x1d7e1c1a, "blk_mq_quiesce_tagset" },
	{ 0xdd37dd26, "kobject_uevent_env" },
	{ 0xfdcda069, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x85ce46a5, "perf_trace_run_bpf_submit" },
	{ 0x4389d2d3, "__SCK__tp_func_block_bio_remap" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xbe9fe65c, "blk_revalidate_disk_zones" },
	{ 0x32e9c137, "debugfs_create_bool" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5794577d, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xeacebea2, "blk_rq_map_user_io" },
	{ 0xa7a9791, "sysfs_remove_link" },
	{ 0x4e168018, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x815b09d0, "hwmon_device_register_with_info" },
	{ 0x43606ca8, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x30f9aa4c, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6601c689, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x780dbe72, "blk_sync_queue" },
	{ 0x25f7bc8e, "bdev_start_io_acct" },
	{ 0x985c1d5, "bio_integrity_add_page" },
	{ 0x37d08fa8, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xccd3f8cf, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x632c0cb4, "trace_event_reg" },
	{ 0xed824c0b, "blk_mq_alloc_request_hctx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2a456c9a, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x398155fe, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb42f0136, "del_gendisk" },
	{ 0x56dbd158, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf1fb63e4, "bio_integrity_alloc" },
	{ 0x77dc6647, "blk_queue_max_discard_segments" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0xfbb6ed79, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xc4a99eff, "blk_put_queue" },
	{ 0x205ea90f, "bpf_trace_run1" },
	{ 0x491e8270, "device_del" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x24921c4c, "blk_mq_wait_quiesce_done" },
	{ 0xfe8324ee, "param_ops_charp" },
	{ 0xa7b9cbcb, "blk_queue_max_segments" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3703f88e, "io_uring_cmd_do_in_task_lazy" },
	{ 0xe527ae47, "blk_mq_init_queue" },
	{ 0x9387387e, "debugfs_create_x16" },
	{ 0x15b553c0, "io_uring_cmd_done" },
	{ 0x66ff0ba2, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4564af8b, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x745a981, "xa_erase" },
	{ 0x56d3922b, "bpf_trace_run3" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x21922e95, "blk_queue_virt_boundary" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb74f67d4, "blk_mq_complete_request" },
	{ 0x683f8827, "blk_queue_chunk_sectors" },
	{ 0xca08fd42, "blk_queue_max_write_zeroes_sectors" },
	{ 0x5af742b4, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9b459854, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4d56bab6, "param_ops_bool" },
	{ 0xb00b1e1c, "blk_mq_destroy_queue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xe97654ac, "blk_freeze_queue_start" },
	{ 0x8593f8bc, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x1fae1a53, "alloc_pages" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x49305bce, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2915024e, "blk_queue_io_min" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xe0e044c2, "hwmon_device_unregister" },
	{ 0x97046439, "__tracepoint_block_bio_remap" },
	{ 0x2d8652be, "blk_mq_unfreeze_queue" },
	{ 0xc0eb0a0a, "blk_mq_tagset_busy_iter" },
	{ 0xb1723344, "blkdev_compat_ptr_ioctl" },
	{ 0x2756171, "blk_rq_map_user_iov" },
	{ 0x4f1ee6b8, "setup_fault_attr" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x9d6ee63, "blk_queue_max_hw_sectors" },
	{ 0xaa6fd27d, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x5fa696f0, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xed8749c5, "blk_mq_freeze_queue_wait" },
	{ 0x5286b54a, "debugfs_create_dir" },
	{ 0x33a5c923, "fault_create_debugfs_attr" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x5146b255, "blk_queue_io_opt" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9eeb0e13, "blk_mq_requeue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xee4d4111, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc73051bb, "bdev_end_io_acct" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x9bd008b0, "blk_steal_bios" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x5fbe7545, "set_capacity_and_notify" },
	{ 0xcfa1170b, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x6c9fd850, "set_disk_ro" },
	{ 0xf8be92ce, "__blk_alloc_disk" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xbc051986, "blk_integrity_register" },
	{ 0xedfee466, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x2a35c787, "device_remove_file_self" },
	{ 0x39245c96, "param_ops_uint" },
	{ 0x2eecca19, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x99d46fbb, "blk_queue_logical_block_size" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa3e26343, "dev_set_name" },
	{ 0xfc6cc333, "ext_pi_type3_crc64" },
	{ 0xc43ead5e, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x478c8b9f, "disk_update_readahead" },
	{ 0x271625d3, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x2f6d212b, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x82e88843, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xae797c51, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa4fd5b01, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xc1a7d6ef, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x55a3a73f, "class_destroy" },
	{ 0x4b3710ab, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6a4fa33f, "should_fail" },
	{ 0x394376b3, "device_initialize" },
	{ 0x1316676a, "blk_mq_unquiesce_queue" },
	{ 0xd4845d27, "t10_pi_type1_crc" },
	{ 0xcb03ad08, "blk_queue_dma_alignment" },
	{ 0xf3b4ff64, "blk_mq_quiesce_queue" },
	{ 0x44eeaf3a, "trace_event_raw_init" },
	{ 0xbe49c44e, "ext_pi_type1_crc64" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xade09d, "pcpu_hot" },
	{ 0xabafb458, "blk_queue_write_cache" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1c861537, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x52dbd400, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0xf995452d, "param_ops_byte" },
	{ 0x800a084a, "get_device" },
	{ 0x781edfc2, "blk_mq_end_request" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x51a33c82, "__blk_mq_alloc_disk" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x82f4710f, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x79b79fc6, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5a6dcd79, "blk_mq_alloc_tag_set" },
	{ 0xa6cae10, "blk_rq_is_poll" },
	{ 0xa47f4bb3, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x347eb4d7, "put_disk" },
	{ 0x8f92b13a, "cdev_device_add" },
	{ 0x1143a95f, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8972a44e, "blk_queue_physical_block_size" },
	{ 0x63c29225, "blk_execute_rq" },
	{ 0xaecdcdee, "put_device" },
	{ 0x7d29ca40, "blk_mq_unquiesce_tagset" },
	{ 0xd951580d, "blk_queue_max_zone_append_sectors" },
	{ 0xa916b694, "strnlen" },
	{ 0xa6805aba, "kmalloc_node_trace" },
	{ 0x188fab4b, "blk_queue_flag_set" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "t10-pi");


MODULE_INFO(srcversion, "82681A711BF369D8A1500EB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
