#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x5089a5ed, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x2fa510aa, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xe968cc46, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x6f06aaae, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xdc09eeed, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x9656fc8c, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xb99e5ed7, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x7c6518cf, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xcc3897a5, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x1e328d22, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x9919629d, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xfbba5285, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0xdd8af66e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaecdcdee, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x89ae64be, "_dev_info" },
	{ 0xfc24188, "module_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x57bc19d2, "down_write" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x5d77fa68, "device_create" },
	{ 0x6601c689, "class_create" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x9166fada, "strncpy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9b79a1f5, "__nvme_submit_sync_cmd" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x7d8f1267, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xee5cdceb, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0xbfdf8d99, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddcad84a, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xdd693ec5, "seq_puts" },
	{ 0x43ad2be8, "single_release" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x4250e57, "single_open" },
	{ 0x53b954a2, "up_read" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xedfee466, "try_module_get" },
	{ 0xd55e3b43, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x55a3a73f, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "EF6FD496D85CDAB3B9D815C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
