#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0x1bc8d97a, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x23c6bdb7, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0x8b60e496, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xb9e924e4, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x926beded, "");
SYMBOL_CRC(sas_resume_ha, 0x36e25ddc, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x4b85d7a2, "");
SYMBOL_CRC(sas_suspend_ha, 0x46cb4650, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x71637669, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x31fe2393, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xf9819d95, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x71364473, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xb30efdca, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x7a1221c7, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x52ea2e43, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x4abea7c3, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x20e9c56a, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xaf696af6, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x058a3ed2, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x11530e1d, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xf41fe0f7, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0xd54318e0, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xd436fa92, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x94b1fcb5, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x35ecbd7d, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xdd27bf67, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x885537fa, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x0f550a72, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x4d694d81, "_gpl");
SYMBOL_CRC(sas_query_task, 0x316fcdec, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x7a98ff42, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xe9a9993c, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x6eb0197e, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xb22ae77a, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xb41b5b6a, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0xb21acf6c, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0xde1655cb, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xb87cc6d9, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0xb0a54c9a, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0x68a2747d, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50cf7585, "hex2bin" },
	{ 0x628aa9ef, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaecdcdee, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x349a30f9, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x3c35578e, "kmem_cache_alloc" },
	{ 0x89ae64be, "_dev_info" },
	{ 0xd804d71f, "sas_phy_free" },
	{ 0x91ad127e, "scsi_eh_finish_cmd" },
	{ 0xd4611120, "ata_noop_qc_prep" },
	{ 0xe23b4240, "ata_sas_port_alloc" },
	{ 0xb01cd5b0, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0xb64981d8, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x15f44f3b, "sas_port_mark_backlink" },
	{ 0x3e82f88, "kmem_cache_free" },
	{ 0x91e651c4, "ata_link_abort" },
	{ 0xa2c30582, "ata_std_qc_defer" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x28234041, "ata_scsi_port_error_handler" },
	{ 0xf9829f95, "ata_change_queue_depth" },
	{ 0x26e5f537, "ata_port_probe" },
	{ 0xcbc816d, "ata_std_error_handler" },
	{ 0x7efb7b11, "ata_port_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8857abf5, "sas_end_device_alloc" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x66a373b9, "sas_read_port_mode_page" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x539fa58b, "sas_expander_alloc" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0xa74cf70a, "sas_rphy_delete" },
	{ 0x1c1712e8, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9626005, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x438ad178, "scsi_host_busy" },
	{ 0x92d3587e, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5b5ab051, "ata_sas_port_suspend" },
	{ 0xfc05e5b3, "sas_rphy_add" },
	{ 0xdc6f792f, "__pm_runtime_resume" },
	{ 0xbaff1321, "sas_port_delete_phy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x536e5562, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x455036be, "sas_port_add_phy" },
	{ 0xec7ad31f, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xd388f965, "ata_sas_slave_configure" },
	{ 0xc0eb0a0a, "blk_mq_tagset_busy_iter" },
	{ 0xba55dc3c, "scsi_done" },
	{ 0x2a0d88dc, "scsi_unblock_requests" },
	{ 0x6f1df803, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x6028038b, "ata_host_put" },
	{ 0x895fde8d, "sas_port_free" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xadee798f, "ata_std_sched_eh" },
	{ 0x2c891605, "scsi_block_requests" },
	{ 0x86b6e53e, "blk_abort_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xbaf860f4, "sas_remove_children" },
	{ 0x1f2a94f5, "scsi_change_queue_depth" },
	{ 0x4d8bba0c, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1444d383, "ata_port_wait_eh" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xfa1e40e6, "kmem_cache_destroy" },
	{ 0x5a72d01a, "ata_qc_complete" },
	{ 0x2e29e00a, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6732284d, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xe3d499dd, "bsg_job_done" },
	{ 0xb5f07e7b, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x6e6c9472, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x615c7b4c, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x52a2547e, "scsi_schedule_eh" },
	{ 0x66e2027d, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xf4531063, "ata_host_init" },
	{ 0x17e8edd8, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x6644c49c, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x9bff2f1, "sas_port_get_phy" },
	{ 0xa1eab7c1, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xade09d, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x4978c85f, "kmem_cache_create" },
	{ 0x800a084a, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x70df6af2, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas,libata,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "0778E19128D011B35CDB20B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
