#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0x2a574483, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x244c245c, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0x2ab74073, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0xcf60f034, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0x83201678, "");
SYMBOL_CRC(cdns_read_ping_status, 0x3d75c0f5, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0x59af6f6c, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0x0c2ec5ee, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0xccbe9f30, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x0c649a26, "");
SYMBOL_CRC(sdw_cdns_init, 0xff7e7ec4, "");
SYMBOL_CRC(cdns_bus_conf, 0x6245e462, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0xf0dc7620, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0x73b80b2d, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0x0cec7629, "");
SYMBOL_CRC(sdw_cdns_probe, 0x9651f24f, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0xe13070f8, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0xb3dba48b, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x58b97da0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb9759db, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1ebcff24, "sdw_handle_slave_status" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x89ae64be, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x62fbb938, "debugfs_attr_read" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x2edede6, "simple_attr_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xee5cdceb, "seq_read" },
	{ 0xd17d7d7e, "debugfs_create_file" },
	{ 0xdc6f792f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xddcad84a, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x43ad2be8, "single_release" },
	{ 0x9a348a5c, "sdw_bread_no_pm_unlocked" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x8c18344, "__pm_runtime_suspend" },
	{ 0xeb2eb571, "param_ops_int" },
	{ 0x4250e57, "single_open" },
	{ 0x3baf6905, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x173c9efd, "sdw_bus_prep_clk_stop" },
	{ 0x30fd855a, "simple_attr_open" },
	{ 0x1b3a4ca8, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa19dbc29, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x13a7a95d, "sdw_bus_clk_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "5682E1637E2AD83D605AFE8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
