#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_local_unipro_ver, "", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0xc9f38873, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x75738f21, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0x574844ba, "");
SYMBOL_CRC(ufshcd_hold, 0xf8af6fbd, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x593449c3, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x76040374, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0xc194d988, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x06d74c50, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xbb6dcd69, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x2e417ab5, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x0d7be8ff, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x4f1dc628, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x3d8b0a36, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x66fb95d3, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x0435129e, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x57e08055, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x652e37ef, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0xb4040e9a, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0xaf80299a, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x70743649, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0xab121404, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0xdcae28ab, "");
SYMBOL_CRC(ufshcd_system_resume, 0x58997f39, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0xe47b613b, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0x55122b9b, "");
SYMBOL_CRC(ufshcd_remove, 0x9ce8bf51, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x63bf7f5f, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0xa849e2a1, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x603d0549, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x2eb62381, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x4fc0e29c, "");
SYMBOL_CRC(ufshcd_init, 0xd44e7e74, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xf4fd5905, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x9ce6a9f8, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0xd488fdaa, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0x6aafe303, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x9e705c1e, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x2afa4ca4, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x28a343df, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0xfc288536, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0xbc74269d, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0xa1543709, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0x1f2a94f5, "scsi_change_queue_depth" },
	{ 0x4d8bba0c, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xec29f9ca, "device_remove_file" },
	{ 0x403a38a6, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xae33132b, "scsi_dma_map" },
	{ 0x402512c8, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6168277b, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe56f539e, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x30fd855a, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x808fd566, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xbaf457c7, "devm_request_threaded_irq" },
	{ 0x1b3a4ca8, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa19dbc29, "devm_kmalloc" },
	{ 0x3ac286a8, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xef0b55d4, "scsi_autopm_put_device" },
	{ 0x49f89a86, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x940d6a17, "bsg_remove_queue" },
	{ 0xa3e26343, "dev_set_name" },
	{ 0xe3d499dd, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xffab736d, "dmam_alloc_attrs" },
	{ 0x82e88843, "trace_raw_output_prep" },
	{ 0x71731df3, "scsi_remove_host" },
	{ 0xcfa9d7fa, "bpf_trace_run6" },
	{ 0x2041de2, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc1a7d6ef, "__trace_trigger_soft_disabled" },
	{ 0x359a72bb, "blk_pm_runtime_init" },
	{ 0x4b3710ab, "trace_event_printf" },
	{ 0x501a8c9d, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7495b369, "sysfs_remove_groups" },
	{ 0xb5f1fbf6, "hwmon_notify_event" },
	{ 0xcf2a6966, "up" },
	{ 0x394376b3, "device_initialize" },
	{ 0xd1e32627, "sysfs_create_groups" },
	{ 0xf2fa9084, "dev_pm_opp_add" },
	{ 0x44eeaf3a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8583819d, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xade09d, "pcpu_hot" },
	{ 0xb9759db, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1c861537, "bpf_trace_run2" },
	{ 0x9d3a1955, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x800a084a, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4bb58e37, "devm_clk_get" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5a6dcd79, "blk_mq_alloc_tag_set" },
	{ 0xd3dc1fc, "scsi_device_set_state" },
	{ 0x5c4c25f4, "devfreq_add_device" },
	{ 0x8f113d76, "dev_driver_string" },
	{ 0xa47f4bb3, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b188a8d, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xc48e0a92, "scsi_register_driver" },
	{ 0x19b95ec5, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8dbe00f6, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xaecdcdee, "put_device" },
	{ 0x7d29ca40, "blk_mq_unquiesce_tagset" },
	{ 0x2a328b5c, "blk_mq_free_request" },
	{ 0x7e3167ae, "device_property_read_u32_array" },
	{ 0x6aa8fa73, "devm_regulator_get" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x6b0477b3, "scsi_device_put" },
	{ 0xc7cfc3a4, "device_create_file" },
	{ 0x1d7e1c1a, "blk_mq_quiesce_tagset" },
	{ 0x62fbb938, "debugfs_attr_read" },
	{ 0xfc72df05, "regulator_set_load" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x85ce46a5, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xfd666b33, "devm_kfree" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xb89a0dcd, "blk_queue_update_dma_alignment" },
	{ 0xdadebc32, "devfreq_remove_device" },
	{ 0xa7738e81, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0x5794577d, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2edede6, "simple_attr_release" },
	{ 0x815b09d0, "hwmon_device_register_with_info" },
	{ 0x6626afca, "down" },
	{ 0xa4fe907c, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7b3b5e66, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdeb49935, "sdev_prefix_printk" },
	{ 0xedabe862, "scsi_scan_host" },
	{ 0x37d08fa8, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x632c0cb4, "trace_event_reg" },
	{ 0xcd38c9ec, "device_link_remove" },
	{ 0x2a456c9a, "blk_mq_alloc_request" },
	{ 0xd3a7371f, "driver_unregister" },
	{ 0x9e3ae4fa, "blk_queue_update_dma_pad" },
	{ 0x398155fe, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc4a99eff, "blk_put_queue" },
	{ 0x491e8270, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2b7b535d, "dmam_free_coherent" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x11af021c, "regulator_count_voltages" },
	{ 0x1c1712e8, "scsi_is_host_device" },
	{ 0x24921c4c, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd6b23a8b, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe527ae47, "blk_mq_init_queue" },
	{ 0x7d303808, "blk_mq_unique_tag" },
	{ 0x5917f1ca, "bpf_trace_run10" },
	{ 0xe6a1c0a3, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd83d5f27, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x619d013e, "dma_set_coherent_mask" },
	{ 0xdfc5205b, "scsi_print_command" },
	{ 0xee5cdceb, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xa38a277f, "pm_runtime_forbid" },
	{ 0xd17d7d7e, "debugfs_create_file" },
	{ 0x9e139f85, "param_set_uint_minmax" },
	{ 0xaa6152c4, "pm_runtime_allow" },
	{ 0x9b459854, "trace_event_buffer_reserve" },
	{ 0xdc6f792f, "__pm_runtime_resume" },
	{ 0x418d6937, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4d56bab6, "param_ops_bool" },
	{ 0xb00b1e1c, "blk_mq_destroy_queue" },
	{ 0x156e2c32, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xddcad84a, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xcb065dc7, "devm_blk_crypto_profile_init" },
	{ 0xe0e044c2, "hwmon_device_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xc0eb0a0a, "blk_mq_tagset_busy_iter" },
	{ 0xba55dc3c, "scsi_done" },
	{ 0x43ad2be8, "single_release" },
	{ 0x2a0d88dc, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xb2bd4c37, "dma_set_mask" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0x2cb8d844, "regulator_disable" },
	{ 0x9b8043cf, "dev_err_probe" },
	{ 0x5a6f522f, "dma_unmap_sg_attrs" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x640eb9df, "scsi_remove_device" },
	{ 0x2c891605, "scsi_block_requests" },
	{ 0x9db915b3, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x4250e57, "single_open" },
	{ 0x3706f7c1, "scsi_host_alloc" },
	{ 0x5777b6b2, "__scsi_add_device" },
	{ 0x8922f9f, "devfreq_resume_device" },
	{ 0x5286b54a, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcec71809, "device_link_add" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "212AAC6D46FA840C69609B0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
