#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x5650efc9, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xe8a781d8, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x1d0524ee, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x2ec030c4, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x63655fab, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x8ed22176, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x63f5f59f, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x56660530, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x623af6a2, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x890a0714, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x95dae864, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xe04f57e9, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x1043758d, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x2ff50443, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0xdd2d4361, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x02d1522f, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x1e782a8a, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x1c9de78c, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x3c37f8c8, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x671dc64c, "__tracepoint_mmap_lock_released" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa3b447a5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0xf51283c1, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3a63e101, "pci_user_write_config_word" },
	{ 0xf22c46da, "bus_register_notifier" },
	{ 0x89ae64be, "_dev_info" },
	{ 0xbbd0bcfa, "vfio_file_is_group" },
	{ 0x47b0f3f, "pci_msix_can_alloc_dyn" },
	{ 0xb4d23344, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc7eff11f, "pci_clear_master" },
	{ 0xe1f907ae, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xef7d1d3b, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x457721e8, "pci_write_vpd" },
	{ 0xe9eb1ba7, "vfio_virqfd_enable" },
	{ 0x320805d7, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaffb4ac3, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x3e20e437, "aperture_remove_conflicting_pci_devices" },
	{ 0x58970694, "vfio_unregister_group_dev" },
	{ 0x79e52c9d, "pci_map_rom" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcc73d21a, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x42d00a2f, "pci_iounmap" },
	{ 0x2b823cbb, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0xaaff9693, "pcie_get_mps" },
	{ 0x7957dc1d, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xe46bf432, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0xab4c620d, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x176042f3, "__mmap_lock_do_trace_start_locking" },
	{ 0xb2cd3fd4, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0xe2ebaa81, "_dev_notice" },
	{ 0xa38a277f, "pm_runtime_forbid" },
	{ 0xaa6152c4, "pm_runtime_allow" },
	{ 0xfafb59f5, "pci_reset_bus" },
	{ 0x58ac5b6f, "mmput" },
	{ 0xdc6f792f, "__pm_runtime_resume" },
	{ 0x8b37edf, "vfio_register_group_dev" },
	{ 0xecf778d0, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbbc75950, "pci_user_read_config_byte" },
	{ 0xdf60aea9, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x1128b91c, "__tracepoint_mmap_lock_start_locking" },
	{ 0xff0a72a7, "pci_get_class" },
	{ 0x702068f0, "pci_user_write_config_dword" },
	{ 0x442894f0, "pcie_capability_read_dword" },
	{ 0xc16f47d1, "__mmap_lock_do_trace_released" },
	{ 0x8bd0a73b, "pci_load_and_free_saved_state" },
	{ 0x83ff0e7d, "pci_disable_sriov" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0x6155ca4b, "pci_disable_device" },
	{ 0x3b01aebd, "pci_match_id" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x2e732caa, "pci_check_and_unmask_intx" },
	{ 0x5c0bab62, "pcie_set_readrq" },
	{ 0x202e8d9, "pci_walk_bus" },
	{ 0x9373e512, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x52cccdf5, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xf9cac3c3, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xa8b1e3d5, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x51f527cb, "vga_set_legacy_decoding" },
	{ 0x4f0cef2c, "pci_dev_unlock" },
	{ 0xbfc2d738, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf2f265f3, "pci_free_irq_vectors" },
	{ 0x84112dd0, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0x4d8bba0c, "__pm_runtime_idle" },
	{ 0x342969a8, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x55af8883, "pci_bus_type" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x8c7d31f0, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x20ad9708, "pci_read_vpd" },
	{ 0x3087cc2d, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x36312baf, "pci_request_selected_regions" },
	{ 0xf1bc6cfd, "pci_release_selected_regions" },
	{ 0x8996fbf7, "pci_user_write_config_byte" },
	{ 0x56489eb8, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x19d01a24, "pci_bus_max_busnr" },
	{ 0x5cb6db20, "pci_check_and_mask_intx" },
	{ 0xc67b2968, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xdd160c19, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x22bbffd7, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe28942c9, "pci_dev_put" },
	{ 0xa8259876, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xccc5b60a, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc5563d0d, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x35996f46, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0xd989ab78, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc1bcc828, "pci_user_read_config_dword" },
	{ 0xe9f90f2c, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fd6330a, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xee3cb28f, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x88ec1a17, "pci_probe_reset_slot" },
	{ 0x65a8774f, "zap_vma_ptes" },
	{ 0x11437e08, "pci_set_power_state" },
	{ 0x13d99fc7, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x94da833, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "D52E30ECC522D761BA67CAA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
