#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0xecd11189, "");
SYMBOL_CRC(w1_remove_master_device, 0x55767348, "");
SYMBOL_CRC(w1_register_family, 0x2c265f98, "");
SYMBOL_CRC(w1_unregister_family, 0xe9f0dab7, "");
SYMBOL_CRC(w1_touch_bit, 0xc6a1f368, "_gpl");
SYMBOL_CRC(w1_write_8, 0x34fdd339, "_gpl");
SYMBOL_CRC(w1_triplet, 0x1e2ed465, "_gpl");
SYMBOL_CRC(w1_read_8, 0xe61b4c51, "_gpl");
SYMBOL_CRC(w1_write_block, 0x1c1d0442, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x83587bda, "_gpl");
SYMBOL_CRC(w1_read_block, 0x41f9bf22, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x99e92832, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0xa7b7974a, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0xec9b9bd8, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0xb0f39892, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xddc2b104, "cn_netlink_send_mult" },
	{ 0xaecdcdee, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x668d173f, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0xcfa3073e, "bus_unregister" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x815b09d0, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd3a7371f, "driver_unregister" },
	{ 0x335e4ebf, "sysfs_create_group" },
	{ 0x207755df, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x574618b5, "device_register" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0x57ed2c2a, "kthread_create_on_node" },
	{ 0x41383367, "pv_ops" },
	{ 0x4046fce4, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2f80fd6b, "kobject_uevent" },
	{ 0xe0e044c2, "hwmon_device_unregister" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xeb2eb571, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd1ecaa3b, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x87b65674, "cn_add_callback" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdbc82372, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa3e26343, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb67b5aba, "device_unregister" },
	{ 0x7495b369, "sysfs_remove_groups" },
	{ 0xd1e32627, "sysfs_create_groups" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xade09d, "pcpu_hot" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x21206d51, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "209C80244BDFC77A7FAAFCD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
