#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xa09898fb, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x56fcd272, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x50808ff4, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x72900993, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xf1c6439e, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xc57bd0d9, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xd52d2ddc, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x4c568cb1, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x89399780, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x0efc989d, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xf9581ca6, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x8b37bbbe, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x27869777, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x77119192, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x4001db16, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xf0983ba6, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x1e1212f6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xae6195f4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x00b8bb5d, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xaffc040f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x8583722b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xa16fb1f4, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x540815b4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0xd0257bec, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x5684901d, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xd7907277, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x066a336c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x5cadcdf2, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x9ec0471f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x7bff62fb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0xe76bb199, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xfb1a4fc3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x6e157f5a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xc7e9037c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x22f2e313, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x6aab0952, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xefc7b116, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x62706448, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x33bcfed3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x04ce62b9, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x41fdae9d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x239ccdb0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xa83dfe76, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0xc6e29062, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xd1c6147d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x1ba146d7, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x35f629ef, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x08bc944b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x69748a94, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x62fe407f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x90de4829, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0xfde4d0f0, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x811bff4c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x48cdb503, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x1d55a0b0, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x4ba8469c, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x9ee1ed35, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x43f81ac3, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x1766c5d4, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xfa85d850, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x6ac6eb59, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x4552028c, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0xa97dcaf4, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x7e51c2f9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x1fe127a9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x9a4212a3, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x8d747b47, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x820ccd1f, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xc0768e98, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x0f2df5c4, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x6ee7f762, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x38765d81, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x1352013f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x85c3d638, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xc50be961, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x4810ae65, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x0ae78857, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x17a3a303, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x5afb1a8a, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x53f4ed27, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xeeed8e00, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x6d0a2681, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x47abddee, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xae1a5152, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x99db06f0, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xbd045a54, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xe23f9e7f, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xe60f9640, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xb106058e, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x32280ce4, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xc51cfc15, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x48bb4c8a, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xf141a8d3, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x339063f1, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x67c4afc3, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x2c298a45, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0xbba7c049, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x32f5b1dd, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x66f5ca93, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x0a4a0464, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x2fdc3427, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xe74ae903, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x0c37eb15, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x63fe46e0, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xdb382c73, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e82f88, "kmem_cache_free" },
	{ 0x199b4955, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x9b4f8d81, "xdr_stream_subsegment" },
	{ 0x80d4dc1e, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x48743a10, "nfs_fscache_open_file" },
	{ 0x92044255, "from_kgid" },
	{ 0x632c0cb4, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x3b9c88ce, "nfs_write_inode" },
	{ 0xc39df5cf, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xb94d7c08, "rpc_wake_up_first" },
	{ 0x803d4bf3, "alloc_nfs_open_context" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x11222047, "vfs_parse_fs_param" },
	{ 0x1bf31368, "nfs_path" },
	{ 0x6f2200d8, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x70c6dcc1, "nfs_create_rpc_client" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x553e79bf, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3bf12285, "rpc_sleep_on_timeout" },
	{ 0xb9887e4, "list_lru_count_one" },
	{ 0xc0908dd0, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xceec4413, "rpc_call_start" },
	{ 0xe69aaaf0, "xprt_setup_backchannel" },
	{ 0x205ea90f, "bpf_trace_run1" },
	{ 0x76244cba, "svc_create" },
	{ 0x94501da3, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x1a7ef9cf, "nfs_file_set_open_context" },
	{ 0x9c66d431, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xb5f50846, "rpc_call_sync" },
	{ 0xcc80034c, "from_kuid" },
	{ 0x37f8e82d, "rpc_put_task_async" },
	{ 0x5658da6f, "rpc_prepare_reply_pages" },
	{ 0xca2b6ddd, "rpc_queue_upcall" },
	{ 0xc3820073, "nfs_free_server" },
	{ 0x18a3ab5, "fc_mount" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0x36eb798e, "nfs_setattr" },
	{ 0x2364e46, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf1d95fcb, "nfs4_fs_type" },
	{ 0xa649306b, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x24b519bf, "rpc_delay" },
	{ 0x90c28ae6, "nfs_flock" },
	{ 0x11edd027, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1542786f, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x48c883a2, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xc4813c54, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x527d65c7, "rpc_exit" },
	{ 0xad5cf795, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x3d218ab3, "rpc_remove_pipe_dir_object" },
	{ 0xdbd25496, "nfs_may_open" },
	{ 0x9b917a49, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x8a803195, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x30ead736, "xdr_reserve_space" },
	{ 0xbc5813e5, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x57ed2c2a, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x27f21ad, "nfs_rmdir" },
	{ 0x56d3922b, "bpf_trace_run3" },
	{ 0xac6ca9ef, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe020e13e, "nfs_filemap_write_and_wait_range" },
	{ 0xd66cde99, "rpc_mkpipe_dentry" },
	{ 0xe91cdfac, "alloc_file_pseudo" },
	{ 0xdd64e639, "strscpy" },
	{ 0xf9ae9f9f, "rpc_mkpipe_data" },
	{ 0xa16bc2a8, "rpc_add_pipe_dir_object" },
	{ 0x240635d, "igrab" },
	{ 0xaef8396b, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6f1cece2, "nfs_async_iocounter_wait" },
	{ 0x3a2ca458, "nfs_file_read" },
	{ 0x9b459854, "trace_event_buffer_reserve" },
	{ 0x94080a2d, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4c2ef6e0, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc77af872, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4fb9afbf, "nfs_setattr_update_inode" },
	{ 0x9102525f, "nfs_instantiate" },
	{ 0x1c3bbc8a, "init_user_ns" },
	{ 0xa305ae70, "rpc_uaddr2sockaddr" },
	{ 0x4c0c8f67, "user_read" },
	{ 0x561669d8, "rpc_restart_call" },
	{ 0xaa901e44, "request_key_tag" },
	{ 0xb97045ad, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x1fae1a53, "alloc_pages" },
	{ 0x59d7a0e8, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x270822be, "svc_xprt_destroy_all" },
	{ 0xa20cb172, "generic_key_instantiate" },
	{ 0xc6aa7e14, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xea6c177c, "nfs_link" },
	{ 0xf99f7fa5, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3d737e7f, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x27447b55, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9df1317c, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3b68f2e7, "xdr_stream_move_subsegment" },
	{ 0x657e9f9d, "put_rpccred" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x5e060c9a, "nfs_post_op_update_inode_force_wcc" },
	{ 0xe4f83769, "nfs_pgheader_init" },
	{ 0xe9905b66, "put_nfs_open_context" },
	{ 0x31f2a4e5, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xef15fd2f, "nfs_show_devname" },
	{ 0xc016b8d3, "nfs_permission" },
	{ 0x53ecde77, "nfs_initiate_commit" },
	{ 0x6388cd23, "truncate_inode_pages_range" },
	{ 0xc44d2530, "__put_user_ns" },
	{ 0x4bfbbba2, "cred_fscmp" },
	{ 0xb9c03829, "rpc_unlink" },
	{ 0x6ed6c09c, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x381649e3, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0xa593097, "node_data" },
	{ 0xbeac529c, "nfs_probe_server" },
	{ 0xde8f5147, "nfs_setsecurity" },
	{ 0x5a937344, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xe3e382da, "rpc_clnt_test_and_add_xprt" },
	{ 0x3de20b69, "file_ra_state_init" },
	{ 0xd8b61438, "nfs_force_lookup_revalidate" },
	{ 0x5ae35329, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9c40e033, "rpc_clnt_add_xprt" },
	{ 0x5811308, "dget_parent" },
	{ 0x319db995, "from_kuid_munged" },
	{ 0x398eb951, "prepare_kernel_cred" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x333bc120, "nfs_alloc_server" },
	{ 0x9db8dcbe, "rpc_call_async" },
	{ 0xde9bc533, "security_dentry_init_security" },
	{ 0xe865dbeb, "filemap_write_and_wait_range" },
	{ 0x66a199e6, "nfs_server_insert_lists" },
	{ 0x8c8990a4, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0x4243dd0c, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xe01d30a4, "rpc_init_pipe_dir_object" },
	{ 0x56f4ba4e, "bpf_trace_run7" },
	{ 0xdf474c0f, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x6d12bfaa, "nfs_init_server_rpcclient" },
	{ 0x5ec360db, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x75bea0eb, "rpc_set_connect_timeout" },
	{ 0x3174ce03, "rpcauth_create" },
	{ 0x648dfc82, "list_lru_add" },
	{ 0x8b91855f, "xdr_stream_pos" },
	{ 0xf5ddcbc8, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x3eee4e44, "svc_xprt_create" },
	{ 0x328555bb, "nfs42_ssc_register" },
	{ 0x70b663cb, "rpc_wait_for_completion_task" },
	{ 0xc85a7889, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9caf5e71, "rpc_num_bc_slots" },
	{ 0x869761e6, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xd39d701f, "security_inode_listsecurity" },
	{ 0xc826f5d2, "nfs_fhget" },
	{ 0xc218bf5d, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x77920ebe, "locks_copy_lock" },
	{ 0xfa1e40e6, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x26a06612, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe9d65db4, "nfs_set_verifier" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x22c012c2, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2dd8cbef, "generic_copy_file_range" },
	{ 0xc6a0af36, "svc_generic_rpcbind_set" },
	{ 0xbdccf167, "nfs_clone_server" },
	{ 0x3ddff455, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x40d69d80, "filemap_fdatawrite" },
	{ 0x3a225f69, "nfs_show_stats" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x26d34bb4, "nfs_server_remove_lists" },
	{ 0x4796b124, "nfs42_ssc_unregister" },
	{ 0x1b6b4a77, "generic_listxattr" },
	{ 0xedfee466, "try_module_get" },
	{ 0xaa6f628e, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x8afc84c1, "nfs_writeback_update_inode" },
	{ 0x6dc0b487, "clear_inode" },
	{ 0x18e2272c, "inode_to_bdi" },
	{ 0x808fd566, "bpf_trace_run4" },
	{ 0xcf032808, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x39245c96, "param_ops_uint" },
	{ 0xb49a83d9, "user_revoke" },
	{ 0x18e1aaa9, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x696924c2, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x42bf8fe1, "list_lru_del" },
	{ 0x1e2a3a85, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd6be0bea, "rpc_clnt_probe_trunked_xprts" },
	{ 0xb87b1dee, "nfs_pageio_reset_read_mds" },
	{ 0x823c1354, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xce3211a9, "rpc_shutdown_client" },
	{ 0x2cf1fca1, "svc_bind" },
	{ 0x3885e262, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x7c2d3a2e, "nfs_free_inode" },
	{ 0xe2dadf02, "nfs_access_zap_cache" },
	{ 0x99adcced, "nfs_sb_deactive" },
	{ 0xa2b25066, "nfs_wb_all" },
	{ 0x168d52e7, "__break_lease" },
	{ 0xf36783f7, "nfs_pageio_init_write" },
	{ 0x17fcebf1, "svc_recv" },
	{ 0xf5cced02, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xf7ea5eb4, "xdr_inline_decode" },
	{ 0x1c0d0fb0, "nfs_pageio_init_read" },
	{ 0x82e88843, "trace_raw_output_prep" },
	{ 0x349859d0, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x192ed4e2, "nfs_init_commit" },
	{ 0x22b37d18, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xcfa9d7fa, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x6b0472c5, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc1a7d6ef, "__trace_trigger_soft_disabled" },
	{ 0xa24f4eb4, "nfs_mknod" },
	{ 0x4aa3b020, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd9319869, "nfs4_label_alloc" },
	{ 0x79f2d617, "rpc_localaddr" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x4b3710ab, "trace_event_printf" },
	{ 0x1afb3698, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xe5469083, "nfs_lock" },
	{ 0xca7d8764, "kthread_freezable_should_stop" },
	{ 0xe4c23355, "unregister_key_type" },
	{ 0x8406164d, "nfs_client_init_is_complete" },
	{ 0x59ca70dd, "nfs_file_splice_read" },
	{ 0xc27d01cc, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2d7ef382, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x44eeaf3a, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xfc10a763, "ihold" },
	{ 0xa1466360, "truncate_pagecache_range" },
	{ 0x8347591c, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d70c654, "invalidate_inode_pages2_range" },
	{ 0xa518cc56, "nfs_post_op_update_inode" },
	{ 0xdb4ac763, "svc_exit_thread" },
	{ 0xbdd86a0e, "iput" },
	{ 0x4d382f5a, "xdr_set_pagelen" },
	{ 0xade09d, "pcpu_hot" },
	{ 0xc1be7186, "nfs_pgio_header_free" },
	{ 0x64d65c5c, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xf017a4f8, "logfc" },
	{ 0x697b62a8, "nfs_pgio_header_alloc" },
	{ 0x4d099a6e, "__put_devmap_managed_page_refs" },
	{ 0xb00bddc0, "iter_file_splice_write" },
	{ 0x2497ccc, "rpc_pton" },
	{ 0x1c9609b0, "nfs_sb_active" },
	{ 0xe671b5e3, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xd6806d00, "rpc_wake_up_queued_task" },
	{ 0x1c861537, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x75e1d3d7, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb7dbb3af, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1ff71ac2, "_copy_from_pages" },
	{ 0x4356c9ba, "__module_get" },
	{ 0x4978c85f, "kmem_cache_create" },
	{ 0x8dddb4e5, "rpc_task_release_transport" },
	{ 0x36f3f679, "xdr_page_pos" },
	{ 0x5b81f1fb, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x4fb146de, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x382f4e07, "key_instantiate_and_link" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0xd25bda75, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1c1f545, "register_key_type" },
	{ 0x72a9b8f0, "rpc_sleep_on" },
	{ 0x170502d0, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdb562684, "nfs_pageio_resend" },
	{ 0x3e836d5f, "keyring_alloc" },
	{ 0x87e10fda, "vfs_setpos" },
	{ 0x7eef25ba, "nfs_create" },
	{ 0xb2a5161a, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdfafc787, "__put_cred" },
	{ 0xf217b1bc, "swapcache_mapping" },
	{ 0xb3234639, "nfs_statfs" },
	{ 0x21206d51, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x8c0bfe21, "rpc_max_bc_payload" },
	{ 0xa47f4bb3, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x9dd17960, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x668f5242, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x3a5a16ff, "nfs_mkdir" },
	{ 0xd871b9ad, "nfs_revalidate_inode" },
	{ 0xadf21359, "inode_newsize_ok" },
	{ 0x8b1886b8, "nfs_file_mmap" },
	{ 0xf448911c, "nfs_get_lock_context" },
	{ 0x2dfc7112, "d_drop" },
	{ 0x122c3a7e, "_printk" },
	{ 0x82349545, "nfs_set_cache_invalid" },
	{ 0x840366da, "rpc_release_client" },
	{ 0x3bb1ff94, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x971db078, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75e7d4e2, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x8fdf6a8f, "nfs_generic_pgio" },
	{ 0x299df9d5, "make_kuid" },
	{ 0x70e9fb79, "truncate_inode_pages_final" },
	{ 0x8048bc4a, "generic_setlease" },
	{ 0xc533a1a, "xprt_destroy_backchannel" },
	{ 0x91a4db9, "rpc_switch_client_transport" },
	{ 0xa49df3ae, "bc_svc_process" },
	{ 0xa916b694, "strnlen" },
	{ 0xc084afe4, "nfs_scan_commit_list" },
	{ 0x819af1c7, "xdr_stream_decode_string_dup" },
	{ 0xb72422a9, "nfs_commit_inode" },
	{ 0x4dd25e06, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x2a1b32d5, "unregister_shrinker" },
	{ 0x21486ed7, "rpc_destroy_pipe_data" },
	{ 0x34592d9c, "nfs_get_client" },
	{ 0x4f55db2f, "__free_pages" },
	{ 0x3c35578e, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xfeda8228, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x57e5e180, "nfs_atomic_open" },
	{ 0xe56e77d3, "rpc_pipe_generic_upcall" },
	{ 0xdafd5400, "nfs_file_fsync" },
	{ 0xfc24188, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf7325cf8, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x25dd3688, "nfs_put_lock_context" },
	{ 0xa77692c0, "nfs_rename" },
	{ 0xbc1598b9, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa7cec7a8, "nfs_sysfs_link_rpc_client" },
	{ 0x2ca7138b, "nfs_put_client" },
	{ 0xf9ba3d20, "nfs_show_options" },
	{ 0x8c96a95d, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x7c8612f5, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x4fae959a, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xca100c64, "get_nfs_open_context" },
	{ 0x85ce46a5, "perf_trace_run_bpf_submit" },
	{ 0x5d968a9f, "nfs_clear_verifier_delegated" },
	{ 0x6cffef8f, "nfs_sysfs_add_server" },
	{ 0xef7d1d3b, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1905ae48, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x68b201ab, "nfs_do_submount" },
	{ 0x1ac6acb4, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xf3131d0e, "request_key_with_auxdata" },
	{ 0x65874a08, "rpc_clone_client_set_auth" },
	{ 0x1ed2a6a0, "rpc_clone_client" },
	{ 0x693f939c, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x13742997, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x573d9bbf, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x36bcba86, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xabb3acd7, "put_fs_context" },
	{ 0xddce2d0c, "nfs_retry_commit" },
	{ 0xb06cb473, "nfs4_dentry_operations" },
	{ 0x9d34d94a, "__module_put_and_kthread_exit" },
	{ 0xa7d3e620, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x53538208, "nfs_client_for_each_server" },
	{ 0x5f960c6e, "nfs_clear_inode" },
	{ 0xbb2ed8a9, "rpc_sleep_on_priority" },
	{ 0xd97410f7, "nfs_invalidate_atime" },
	{ 0xa4fe907c, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0xb73d1927, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x6c76a8a5, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x23a4497c, "nfs_pageio_reset_write_mds" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,dns_resolver");


MODULE_INFO(srcversion, "D65C3DDB0226309D518FA74");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
