#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_rawmidi_drop_output, "", "");
KSYMTAB_FUNC(snd_rawmidi_drain_output, "", "");
KSYMTAB_FUNC(snd_rawmidi_drain_input, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_open, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_release, "", "");
KSYMTAB_FUNC(snd_rawmidi_info_select, "", "");
KSYMTAB_FUNC(snd_rawmidi_output_params, "", "");
KSYMTAB_FUNC(snd_rawmidi_input_params, "", "");
KSYMTAB_FUNC(snd_rawmidi_receive, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_read, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_empty, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_peek, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_ack, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit, "", "");
KSYMTAB_FUNC(snd_rawmidi_proceed, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_write, "", "");
KSYMTAB_FUNC(snd_rawmidi_init, "_gpl", "");
KSYMTAB_FUNC(snd_rawmidi_new, "", "");
KSYMTAB_FUNC(snd_rawmidi_free, "_gpl", "");
KSYMTAB_FUNC(snd_rawmidi_set_ops, "", "");

SYMBOL_CRC(snd_rawmidi_drop_output, 0x67e35260, "");
SYMBOL_CRC(snd_rawmidi_drain_output, 0xbf6499b3, "");
SYMBOL_CRC(snd_rawmidi_drain_input, 0x97eb980f, "");
SYMBOL_CRC(snd_rawmidi_kernel_open, 0x636da2d2, "");
SYMBOL_CRC(snd_rawmidi_kernel_release, 0xed0aff19, "");
SYMBOL_CRC(snd_rawmidi_info_select, 0xa7099f47, "");
SYMBOL_CRC(snd_rawmidi_output_params, 0xd3e03e31, "");
SYMBOL_CRC(snd_rawmidi_input_params, 0xcf009976, "");
SYMBOL_CRC(snd_rawmidi_receive, 0xbb1eb127, "");
SYMBOL_CRC(snd_rawmidi_kernel_read, 0xfe776e05, "");
SYMBOL_CRC(snd_rawmidi_transmit_empty, 0x5cc1ac75, "");
SYMBOL_CRC(snd_rawmidi_transmit_peek, 0x8afc02f3, "");
SYMBOL_CRC(snd_rawmidi_transmit_ack, 0x6936c5c7, "");
SYMBOL_CRC(snd_rawmidi_transmit, 0xe173c036, "");
SYMBOL_CRC(snd_rawmidi_proceed, 0x1d27c10e, "");
SYMBOL_CRC(snd_rawmidi_kernel_write, 0x5531da6c, "");
SYMBOL_CRC(snd_rawmidi_init, 0x896c3f6f, "_gpl");
SYMBOL_CRC(snd_rawmidi_new, 0x64a93e1c, "");
SYMBOL_CRC(snd_rawmidi_free, 0x4ae83632, "_gpl");
SYMBOL_CRC(snd_rawmidi_set_ops, 0x2343b8b1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaecdcdee, "put_device" },
	{ 0x3c5f1d77, "snd_ctl_register_ioctl" },
	{ 0x487abe34, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xfc24188, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x8f595b11, "snd_major" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x6e2249da, "snd_unregister_device" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xf1b64e01, "snd_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x78ba6982, "snd_device_new" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb3d9f6a2, "snd_ctl_unregister_ioctl" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x198788b4, "snd_lookup_oss_minor_data" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xddcad84a, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0xa00bcfb4, "snd_ctl_register_ioctl_compat" },
	{ 0x46ce8d59, "snd_info_create_card_entry" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xb13e6260, "stream_open" },
	{ 0x9f5f673f, "pid_vnr" },
	{ 0xee558ead, "snd_card_file_remove" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xeb2eb571, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x23cd3100, "snd_device_register" },
	{ 0xaae8d807, "snd_register_device" },
	{ 0x19cc4a4e, "put_pid" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xedfee466, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x34fb2a15, "snd_info_register" },
	{ 0xaeefeb48, "snd_ctl_unregister_ioctl_compat" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xa3e26343, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa9c54c74, "snd_seq_device_new" },
	{ 0xee87b5f2, "snd_ctl_get_preferred_subdevice" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x837057bf, "param_array_ops" },
	{ 0x18c379bf, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xade09d, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x741e4b13, "snd_unregister_oss_device" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xde85ec51, "snd_register_oss_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-seq-device");


MODULE_INFO(srcversion, "1EAD6E0D497F56B79BC74E0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
