#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_probe, "_gpl", "");
KSYMTAB_FUNC(cs35l41_remove, "_gpl", "");
KSYMTAB_DATA(cs35l41_pm_ops, "_gpl", "");

SYMBOL_CRC(cs35l41_probe, 0xcd764fc8, "_gpl");
SYMBOL_CRC(cs35l41_remove, 0xad8ce054, "_gpl");
SYMBOL_CRC(cs35l41_pm_ops, 0x7252b4e8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x62a08d99, "devm_gpiod_get_optional" },
	{ 0xdc3e3e22, "cs35l41_init_boost" },
	{ 0xa2271791, "cs35l41_enter_hibernate" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b188a8d, "__pm_runtime_set_status" },
	{ 0xb967a3b1, "devm_snd_soc_register_component" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6bb6bbae, "pm_runtime_enable" },
	{ 0x41e25dcd, "regulator_bulk_disable" },
	{ 0x7e3167ae, "device_property_read_u32_array" },
	{ 0x2958d22c, "snd_soc_get_enum_double" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x79165738, "snd_soc_info_volsw" },
	{ 0x7f514f45, "regmap_multi_reg_write_bypassed" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xaf3a973d, "wm_adsp_event" },
	{ 0xc35f6974, "snd_soc_dapm_put_volsw" },
	{ 0xd5eeba02, "cs35l41_test_key_unlock" },
	{ 0xb8b0933f, "cs35l41_test_key_lock" },
	{ 0xd7f54d49, "snd_pcm_hw_constraint_list" },
	{ 0xca5aaae8, "wm_adsp_fw_enum" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0xbbb3aeab, "wm_adsp2_component_probe" },
	{ 0x9b9f4230, "wm_adsp2_preloader_put" },
	{ 0x6ce19c7e, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdd422e3c, "wm_adsp2_preloader_get" },
	{ 0xf36e5a67, "snd_soc_info_enum_double" },
	{ 0xc67f8a, "regulator_bulk_enable" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0x4dd1c053, "devm_regulator_bulk_get" },
	{ 0x1aef6048, "snd_soc_info_volsw_sx" },
	{ 0x45763fbe, "cs35l41_otp_unpack" },
	{ 0x63e82bbb, "wm_adsp2_component_remove" },
	{ 0x4df3c97f, "snd_soc_get_volsw" },
	{ 0x6d616c8b, "cs35l41_exit_hibernate" },
	{ 0xaf5f401d, "regmap_read" },
	{ 0x816c1a59, "snd_soc_put_volsw" },
	{ 0x30b7294f, "wm_adsp_fw_get" },
	{ 0xdc6f792f, "__pm_runtime_resume" },
	{ 0xbe0fe68c, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x71891d83, "cs35l41_write_fs_errata" },
	{ 0x851dd23a, "snd_soc_dapm_new_controls" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xccbfde82, "cs35l41_configure_cs_dsp" },
	{ 0xaef90445, "_dev_crit" },
	{ 0xa46db472, "regmap_update_bits_base" },
	{ 0x9b8043cf, "dev_err_probe" },
	{ 0xb1d156e6, "snd_soc_dapm_get_volsw" },
	{ 0x8c18344, "__pm_runtime_suspend" },
	{ 0x7f0d8520, "snd_soc_dapm_get_enum_double" },
	{ 0x3a6d48ff, "__pm_runtime_use_autosuspend" },
	{ 0xcae6ce6b, "wm_halo_init" },
	{ 0x4543b14b, "wm_adsp_early_event" },
	{ 0x9f148b60, "cs35l41_set_channels" },
	{ 0x6360c523, "__pm_runtime_disable" },
	{ 0x36c475ff, "cs35l41_mdsync_up" },
	{ 0xa0d98e6e, "snd_soc_get_volsw_sx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x56216009, "snd_soc_dapm_put_enum_double" },
	{ 0x766a4543, "wm_adsp_fw_put" },
	{ 0xd3653c53, "device_property_present" },
	{ 0x952c6323, "cs35l41_global_enable" },
	{ 0xf6c01a96, "regcache_cache_only" },
	{ 0xbc71082b, "is_acpi_device_node" },
	{ 0xccec87cf, "regcache_sync" },
	{ 0xb9723f27, "regmap_write" },
	{ 0xbaf457c7, "devm_request_threaded_irq" },
	{ 0x56bcacf9, "snd_soc_put_volsw_sx" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x2041de2, "pm_runtime_set_autosuspend_delay" },
	{ 0x8360d4d6, "cs35l41_register_errata_patch" },
	{ 0x428f696, "gpiod_set_value_cansleep" },
	{ 0x37a0cba, "kfree" },
	{ 0x289e40aa, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4b6eaf58, "snd_soc_put_enum_double" },
	{ 0xe1c56c0d, "regcache_mark_dirty" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "1B8BD72A555B1E8A00618FD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
