#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0x1fa64302, "");
SYMBOL_CRC(hda_bus_ml_free, 0xbda880e2, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0x72af6cdf, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x386768db, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0x6d7299a0, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0x13a48da6, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0xb42b98f5, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0xccffed54, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0x6309cd34, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x33c292e9, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0xc770b722, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x5ec92dff, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0xfa60ca3d, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0xf3bdf449, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x8c56e7c5, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0x35842aa5, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x8fbaa558, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0xa35d714f, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0xdd8af275, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0xc696ed9b, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x1528ac3c, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x9b681ed6, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0x6781fe3c, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0x0cd309e6, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x43c690d6, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0x0a6304a1, "");
SYMBOL_CRC(hda_bus_ml_resume, 0x76e585ba, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0x734d4780, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0x7d7dead6, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0x2ccca699, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x905ef22e, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0x9ff038eb, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0xe7f6f317, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe396513c, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf12cb6a5, "snd_hdac_ext_bus_link_power_down" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x23af849, "snd_hdac_ext_bus_link_put" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "CCD9D213FCABB93A5DA79AE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
