#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0x1c0f37b3, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0xfc3551fa, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0x36e8f251, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0x4650e10c, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0x20210bbb, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0xc87cf83d, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0x65bfa61f, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0x1719a86e, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0x5da91ee3, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0x943b1b93, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0x5c2983f6, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0x013b78d3, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0x49fff778, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0xb62c703e, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0x371964d4, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0xb4b74c9d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa19dbc29, "devm_kmalloc" },
	{ 0x3ed5495c, "snd_hdac_bus_send_cmd" },
	{ 0x439109de, "snd_hdac_bus_get_response" },
	{ 0x4b11b586, "snd_hdac_bus_update_rirb" },
	{ 0xde3db64f, "snd_hdac_codec_modalias" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0x9a45a566, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaecdcdee, "put_device" },
	{ 0xcc57b27e, "snd_hdac_device_register" },
	{ 0xb2241c8e, "snd_hdac_i915_init" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x77116365, "snd_hdac_device_unregister" },
	{ 0x5ae669cc, "device_attach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x79465a58, "snd_hdac_bus_stop_cmd_io" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x6de3bc50, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69907be4, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcadc905c, "snd_hdac_acomp_exit" },
	{ 0xdc6f792f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4eb327ea, "snd_hda_codec_device_init" },
	{ 0x1af38b11, "snd_hdac_set_codec_wakeup" },
	{ 0xeb2eb571, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "A205C2CB2330050D7B9D983");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
