#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0xe0fbb427, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0xbf88b46b, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x779950ee, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0x96052f96, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0xa768124e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe904e101, "crypto_aead_decrypt" },
	{ 0xd5d3e2a1, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd559c0bd, "crypto_unregister_aeads" },
	{ 0xf1204a23, "cryptd_skcipher_child" },
	{ 0x2f9bbe79, "crypto_skcipher_decrypt" },
	{ 0x67ba1bd2, "cryptd_alloc_skcipher" },
	{ 0x50587cf8, "crypto_aead_setkey" },
	{ 0xe9db7ba4, "crypto_register_skcipher" },
	{ 0x2f28fb14, "crypto_aead_encrypt" },
	{ 0x1c03d4b8, "cryptd_aead_queued" },
	{ 0x7794c5b8, "crypto_unregister_skcipher" },
	{ 0x8db801b2, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x45e45ca5, "cryptd_skcipher_queued" },
	{ 0x5bdab6f9, "cryptd_free_aead" },
	{ 0x8a3adc02, "crypto_unregister_skciphers" },
	{ 0x4304bdfa, "cryptd_free_skcipher" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x47ecc32e, "crypto_skcipher_encrypt" },
	{ 0x9d898f49, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1d2989c7, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xf5d304cb, "crypto_register_aead" },
	{ 0x5c8742a8, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x4bf64030, "crypto_register_aeads" },
	{ 0xade09d, "pcpu_hot" },
	{ 0xb023a2dd, "crypto_aead_setauthsize" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "A67013E40B3002D74046BB4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
