#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_all_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_all_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(__mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x6a1a4fdc, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xe98be4f8, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0xc37dfd29, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x8772806d, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0xa7180880, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x49d4bdc8, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0xb7efd885, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0xb329895b, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x7cfd3d62, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0xe9ee227b, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xe29c5738, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x85e9bc1e, "_gpl");
SYMBOL_CRC(mhi_notify, 0x5fb3cd54, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0xf8a4bef0, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x607bd4c4, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x95be555d, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x44dacb5f, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x6fbe45a5, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x1e12547d, "_gpl");
SYMBOL_CRC(mhi_prepare_all_for_transfer, 0xf2cc6434, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0xc6930c7d, "_gpl");
SYMBOL_CRC(mhi_unprepare_all_from_transfer, 0xd39c4699, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xcca99245, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x5407431c, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x0a68a24a, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0x142dfee0, "_gpl");
SYMBOL_CRC(__mhi_power_down, 0x3d3d367e, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0xafe328a5, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x1bb818ec, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x3f5b6997, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x4267b6f4, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x0d227d08, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0xc38f3b2d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x5fa78365, "device_for_each_child" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x800a084a, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x8f113d76, "dev_driver_string" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3e8f95f8, "dma_map_page_attrs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xbb79e446, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xaecdcdee, "put_device" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcfa3073e, "bus_unregister" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xeb00821a, "device_wakeup_enable" },
	{ 0x5794577d, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xee1bf7fe, "dma_alloc_attrs" },
	{ 0x37d08fa8, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xffb7c514, "ida_free" },
	{ 0xd3a7371f, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x491e8270, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xee5cdceb, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd17d7d7e, "debugfs_create_file" },
	{ 0x8512700d, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xddcad84a, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdd693ec5, "seq_puts" },
	{ 0x43ad2be8, "single_release" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x4250e57, "single_open" },
	{ 0x5286b54a, "debugfs_create_dir" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd1ecaa3b, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xdbc82372, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x48112d76, "_raw_read_lock_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1b6cc219, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa3e26343, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa58af0a6, "_raw_read_unlock_irq" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7f59fe81, "dma_unmap_page_attrs" },
	{ 0x66e2027d, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x394376b3, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FA47CC6297D8B552720CAF2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
