#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0x4f5432e9, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x8cd2842a, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0xb1361d54, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x590fd7f7, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0x3952949a, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0xae5f250d, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x77fdbee3, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0xf3ace35a, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0xcef704a9, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0xf567a1d6, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0x19d69f48, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0xfb383d5c, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xc1250417, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0xcfd9b488, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x635fbad4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17e4560, "drm_helper_disable_unused_functions" },
	{ 0x8e712a70, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x902e65c9, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x49090617, "drm_fb_helper_fini" },
	{ 0x988296b6, "dma_mmap_pages" },
	{ 0x366aa421, "drm_client_framebuffer_delete" },
	{ 0x7b0461d7, "dma_free_pages" },
	{ 0xf5d2b38f, "drm_client_framebuffer_create" },
	{ 0x499861d9, "dma_sync_single_for_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x559f8974, "drm_fb_helper_fill_info" },
	{ 0x770598be, "drm_gem_create_mmap_offset" },
	{ 0xc9232f21, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8f113d76, "dev_driver_string" },
	{ 0x6f3de5d7, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9d13b17b, "fb_sys_write" },
	{ 0xb8eb2b97, "sys_imageblit" },
	{ 0x3317c004, "drm_atomic_helper_damage_iter_init" },
	{ 0xd0ea48a3, "drm_fb_helper_blank" },
	{ 0x36eb0391, "dma_alloc_pages" },
	{ 0x596d42c3, "drm_gem_private_object_init" },
	{ 0x6026a2d0, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa2a914b2, "sys_fillrect" },
	{ 0xfc24188, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x42c68dec, "drm_client_init" },
	{ 0x8409b099, "drm_gem_vm_close" },
	{ 0x81b2aaf7, "drm_gem_vm_open" },
	{ 0xd95a4879, "drm_fb_helper_prepare" },
	{ 0x57bc19d2, "down_write" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xfd4a009e, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xee1bf7fe, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x21685a7f, "drm_gem_handle_create" },
	{ 0x8310b600, "drm_gem_fb_get_obj" },
	{ 0x31f85f74, "__drm_dev_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11991ac4, "drm_fb_helper_pan_display" },
	{ 0x687cfc8b, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x76f7ca8a, "sys_copyarea" },
	{ 0x8512700d, "dma_free_attrs" },
	{ 0x28779e52, "drm_printf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x254824b2, "drm_client_buffer_vunmap" },
	{ 0x22159717, "fb_sys_read" },
	{ 0x275edde0, "drm_fb_helper_debug_leave" },
	{ 0x8642218e, "dma_buf_vmap_unlocked" },
	{ 0xb3a37edc, "dma_mmap_attrs" },
	{ 0x997510e3, "dma_get_sgtable_attrs" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x8fe8b7bf, "drm_fb_helper_initial_config" },
	{ 0x8d151be, "drm_fb_helper_unregister_info" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xb490fc11, "drm_fb_helper_ioctl" },
	{ 0xa5ce5073, "drm_fb_helper_set_par" },
	{ 0xdbecb04b, "drm_prime_gem_destroy" },
	{ 0x38c8bef9, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xedfee466, "try_module_get" },
	{ 0x3d5c9fd5, "drm_fb_helper_init" },
	{ 0x6e78bba1, "drm_fb_helper_debug_enter" },
	{ 0x9a3cafa, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x35cc0499, "drm_client_buffer_vmap" },
	{ 0x6964d791, "drm_fb_helper_lastclose" },
	{ 0x8ad577e1, "drm_fb_helper_setcmap" },
	{ 0x853b0098, "drm_fb_helper_alloc_info" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2ED1A1BB11B350C7F9853DB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
