#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x36f89eb9, "xen_front_pgdir_shbuf_map" },
	{ 0xe2027fb2, "xenbus_switch_state" },
	{ 0xc9232f21, "drm_gem_object_init" },
	{ 0xd6933949, "drmm_mode_config_init" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8351e6d8, "drm_crtc_send_vblank_event" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6f63c2f1, "drm_atomic_helper_commit" },
	{ 0x9282f231, "drm_atomic_helper_check" },
	{ 0x7243dd96, "drm_atomic_helper_connector_destroy_state" },
	{ 0x7d8902f0, "xen_front_pgdir_shbuf_free" },
	{ 0xc3928aab, "drm_gem_mmap" },
	{ 0xdf2d6951, "drm_mode_create" },
	{ 0x74388541, "drm_ioctl" },
	{ 0xd0458ccb, "xenbus_strstate" },
	{ 0xc98b8d6b, "xenbus_alloc_evtchn" },
	{ 0xbfc883b5, "xen_free_unpopulated_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x8409b099, "drm_gem_vm_close" },
	{ 0x81b2aaf7, "drm_gem_vm_open" },
	{ 0x4bb2e70d, "drm_dev_unplug" },
	{ 0x1b9baf06, "drm_connector_init" },
	{ 0x57bc19d2, "down_write" },
	{ 0x8e6340c4, "__xenbus_register_frontend" },
	{ 0xce807a25, "up_write" },
	{ 0x66cf2f64, "drm_display_mode_from_videomode" },
	{ 0x3d1166b5, "noop_llseek" },
	{ 0x978e8c03, "drm_read" },
	{ 0xfd4a009e, "drm_gem_object_release" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x46b1e0c6, "xen_front_pgdir_shbuf_alloc" },
	{ 0x8e53438e, "xenbus_unregister_driver" },
	{ 0x94bcaad5, "xen_front_pgdir_shbuf_unmap" },
	{ 0x5f591dbd, "vmap" },
	{ 0x21685a7f, "drm_gem_handle_create" },
	{ 0x33c26643, "xenbus_free_evtchn" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x463e28b2, "drm_prime_pages_to_sg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x63bb3938, "drm_dev_unregister" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x63d2d814, "drm_dev_put" },
	{ 0x47b8c0a3, "drm_gem_fb_create_with_funcs" },
	{ 0x34eab46d, "bind_evtchn_to_irqhandler" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xda26ad3, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xda92b0e7, "drm_simple_display_pipe_init" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0xe9f5f414, "drm_connector_cleanup" },
	{ 0x619d013e, "dma_set_coherent_mask" },
	{ 0xf9be832e, "devm_kasprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xef3f3de6, "vm_map_pages" },
	{ 0x9b651e51, "xenbus_teardown_ring" },
	{ 0xe77b2a96, "drm_helper_probe_single_connector_modes" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb0b3ec55, "xen_alloc_unpopulated_pages" },
	{ 0xb2bd4c37, "dma_set_mask" },
	{ 0x3af0ba17, "drm_atomic_helper_connector_reset" },
	{ 0x9ddb043f, "drm_mode_config_reset" },
	{ 0x612c70d0, "xenbus_setup_ring" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x7c3e16b7, "drm_mode_config_cleanup" },
	{ 0x87380708, "xenbus_dev_error" },
	{ 0x1e565001, "xenbus_frontend_closed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8797691f, "drm_dev_alloc" },
	{ 0x764cdfd7, "drm_gem_put_pages" },
	{ 0x764780c8, "drm_compat_ioctl" },
	{ 0x93ce12bb, "drm_dev_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x85cb2c45, "xen_has_pv_devices" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xdbecb04b, "drm_prime_gem_destroy" },
	{ 0x943031d7, "drm_release" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xa270db78, "drm_gem_fb_destroy" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0x2c2d8742, "drm_kms_helper_poll_fini" },
	{ 0xb76615da, "drm_open" },
	{ 0x9969827a, "drm_poll" },
	{ 0x8cdcee3b, "drm_dev_enter" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xc51592bc, "drm_gem_get_pages" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa19dbc29, "devm_kmalloc" },
	{ 0xaa6e2ca6, "drm_kms_helper_poll_init" },
	{ 0xa6257a2f, "complete" },
	{ 0x92c737db, "drm_mode_probed_add" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe6d244db, "xenbus_dev_fatal" },
	{ 0x85a0e8f7, "drm_atomic_helper_shutdown" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0xe3e91a7c, "xen_front_pgdir_shbuf_get_dir_start" },
	{ 0x4dcec973, "drm_prime_sg_to_page_array" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "xen-front-pgdir-shbuf");


MODULE_INFO(srcversion, "F8249050135F814EE237FBE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
