#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(inv_mpu_core_probe, "_gpl", "IIO_MPU6050");
KSYMTAB_DATA(inv_mpu_pmops, "_gpl", "IIO_MPU6050");

SYMBOL_CRC(inv_mpu_core_probe, 0xc652ef9b, "_gpl");
SYMBOL_CRC(inv_mpu_pmops, 0xb4d3d9e5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4356c9ba, "__module_get" },
	{ 0x800a084a, "get_device" },
	{ 0x19415b0b, "iio_device_id" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b188a8d, "__pm_runtime_set_status" },
	{ 0xcea7dfd7, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6bb6bbae, "pm_runtime_enable" },
	{ 0x6aa8fa73, "devm_regulator_get" },
	{ 0x7cfc601b, "iio_show_mount_matrix" },
	{ 0x1f41d965, "iio_device_claim_direct_mode" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x9473b3de, "irq_get_irq_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd27a87e4, "inv_sensors_timestamp_interrupt" },
	{ 0xf515045a, "inv_sensors_timestamp_apply_odr" },
	{ 0x34f37dc8, "__devm_iio_device_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa9b33c9c, "iio_read_mount_matrix" },
	{ 0x8723c6be, "devm_iio_device_alloc" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0xd29a770a, "devm_iio_trigger_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f76efe5, "inv_sensors_timestamp_update_odr" },
	{ 0x692b4496, "regmap_noinc_read" },
	{ 0xf9be832e, "devm_kasprintf" },
	{ 0xaf5f401d, "regmap_read" },
	{ 0x857ce772, "regmap_bulk_write" },
	{ 0xdc6f792f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5493ddbe, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2cb8d844, "regulator_disable" },
	{ 0x9b8043cf, "dev_err_probe" },
	{ 0xc7c58a0e, "iio_trigger_notify_done" },
	{ 0x8c18344, "__pm_runtime_suspend" },
	{ 0x523ce97a, "__devm_add_action" },
	{ 0x97c2ea82, "iio_read_const_attr" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x3a6d48ff, "__pm_runtime_use_autosuspend" },
	{ 0x6360c523, "__pm_runtime_disable" },
	{ 0x551f4402, "__devm_iio_trigger_alloc" },
	{ 0x4d8bba0c, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6168277b, "regulator_enable" },
	{ 0xb9723f27, "regmap_write" },
	{ 0xbaf457c7, "devm_request_threaded_irq" },
	{ 0xa19dbc29, "devm_kmalloc" },
	{ 0xf944f3b, "iio_buffer_enabled" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb1e83222, "devm_iio_triggered_buffer_setup_ext" },
	{ 0x448a356e, "regmap_get_device" },
	{ 0x2041de2, "pm_runtime_set_autosuspend_delay" },
	{ 0x6f5998c2, "iio_push_to_buffers" },
	{ 0x96848186, "scnprintf" },
	{ 0xbcd2b1ec, "iio_device_release_direct_mode" },
	{ 0x4c441c91, "inv_sensors_timestamp_init" },
	{ 0x2d6bcdcb, "iio_trigger_generic_data_rdy_poll" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "industrialio,inv_sensors_timestamp,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "C5F8968E95711543DBA16C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
