#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x8210f071, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x1e2f2582, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0xd8fe788f, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0x691be87a, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x5b33e8e4, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x53c62ce8, "_gpl");
SYMBOL_CRC(is_fw_load, 0xffe7b61b, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0xb6851efe, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0xb162873c, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0xf088df4c, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0xc6df4011, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0xee1fa75b, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0x698a2e41, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x4c0708f6, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0xf78ff22a, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0x38588989, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0xa32646ec, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0x52382a05, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x9e71cff1, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x4074087b, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x66074ac1, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x6133f92f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x50547227, "usb_clear_halt" },
	{ 0x99836fe, "usb_put_dev" },
	{ 0x509dd04d, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x77bd1bd2, "video_devdata" },
	{ 0xd4858cf3, "vb2_fop_release" },
	{ 0x8efbbae5, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x51be4032, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7f1a2e91, "usb_submit_urb" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x922eac20, "i2c_del_adapter" },
	{ 0x71669505, "media_device_register_entity" },
	{ 0xaffed10c, "media_device_cleanup" },
	{ 0x897e945f, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x7a3d3aec, "i2c_unregister_device" },
	{ 0xa5bc636d, "usb_free_coherent" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x38d50bf2, "usb_control_msg" },
	{ 0x4c9d71f1, "vb2_buffer_done" },
	{ 0x4f830eff, "vb2_plane_vaddr" },
	{ 0xc9a55e80, "v4l2_ctrl_subscribe_event" },
	{ 0x94550027, "usb_set_interface" },
	{ 0x76e697ba, "media_entity_pads_init" },
	{ 0x1f805dfd, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x949e2cc, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xdeddaa5d, "usb_deregister" },
	{ 0x771bfe24, "vb2_ioctl_qbuf" },
	{ 0x65797c30, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x39b6e4e5, "v4l2_s_ctrl" },
	{ 0xf798efbb, "i2c_mux_alloc" },
	{ 0xe041d8f, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd01b4614, "vb2_fop_read" },
	{ 0x1119909d, "v4l2_device_register" },
	{ 0xe71b1aa5, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x46cabe03, "rc_allocate_device" },
	{ 0x41383367, "pv_ops" },
	{ 0x366768f4, "usb_unlink_urb" },
	{ 0x4d894953, "media_entity_setup_link" },
	{ 0xdd64e639, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8f5b7fde, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x64a8f34c, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x121593d4, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x616c8263, "vb2_ioctl_streamon" },
	{ 0xdbb726a0, "v4l2_mc_create_media_graph" },
	{ 0x29b582ff, "vb2_fop_poll" },
	{ 0x1c3dfadd, "cx2341x_handler_init" },
	{ 0xa8c9476c, "cx2341x_handler_set_50hz" },
	{ 0x740e1c23, "__media_device_usb_init" },
	{ 0x3dc9541b, "v4l2_ctrl_handler_free" },
	{ 0xa88fd988, "i2c_transfer" },
	{ 0x1122fe22, "v4l2_device_unregister" },
	{ 0xb41c231a, "usb_reset_endpoint" },
	{ 0xb43c2ec, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x77be3156, "v4l2_subdev_call_wrappers" },
	{ 0xf78614c2, "v4l2_ctrl_log_status" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x7ddb1ab5, "v4l2_i2c_new_subdev" },
	{ 0xeb2eb571, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x828bf64f, "video_device_release_empty" },
	{ 0x76d28839, "i2c_mux_add_adapter" },
	{ 0x28047b0, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd32b13f, "v4l2_event_unsubscribe" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x22a5fbaa, "vb2_ioctl_reqbufs" },
	{ 0x25fd64e, "vb2_queue_init" },
	{ 0xeadfcaf2, "usb_alloc_urb" },
	{ 0x6e2d1bae, "v4l2_ctrl_poll" },
	{ 0xe0d2a5c1, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3132b36b, "media_device_unregister" },
	{ 0x1d5c9f30, "usb_free_urb" },
	{ 0xa19dbc29, "devm_kmalloc" },
	{ 0x9db4c608, "vb2_ioctl_streamoff" },
	{ 0xdf702e02, "v4l2_ctrl_radio_filter" },
	{ 0x912efbfa, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa0990315, "v4l2_ctrl_add_handler" },
	{ 0x66e2027d, "request_firmware" },
	{ 0xd959ba3d, "vb2_ops_wait_finish" },
	{ 0x1867514, "usb_register_driver" },
	{ 0x55f7fc8, "v4l2_ctrl_handler_init_class" },
	{ 0x837057bf, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2df96888, "__media_device_register" },
	{ 0xcd33aaaa, "vb2_ioctl_querybuf" },
	{ 0x7b2dd951, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf4d9f830, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "17CC9512E7BFCB0C27C8AAA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
