#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0x2b3a5c05, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0xc8375bc1, "");
SYMBOL_CRC(dvb_usb_device_exit, 0x9efcf169, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0xc048fb5d, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x037866b1, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0x1fcfe8f4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49b8b8ad, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x2df96888, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfd81e445, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe5445177, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0x50547227, "usb_clear_halt" },
	{ 0x509dd04d, "usb_bulk_msg" },
	{ 0x804bd666, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7f1a2e91, "usb_submit_urb" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x922eac20, "i2c_del_adapter" },
	{ 0xaffed10c, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0xa5bc636d, "usb_free_coherent" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x80a1322a, "rc_register_device" },
	{ 0x38d50bf2, "usb_control_msg" },
	{ 0xb2e97111, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4be92d04, "dvb_dmxdev_release" },
	{ 0xcce9eb1f, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x379c464c, "input_event" },
	{ 0xd5dd7ec8, "dvb_frontend_detach" },
	{ 0xe71b1aa5, "i2c_add_adapter" },
	{ 0x3297b31d, "dvb_net_release" },
	{ 0x46cabe03, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x72e26852, "dvb_unregister_frontend" },
	{ 0x121593d4, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x740e1c23, "__media_device_usb_init" },
	{ 0x6b324b1b, "dvb_register_frontend" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x998f62ef, "dvb_create_media_graph" },
	{ 0x47aa578c, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xeb2eb571, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x108d672, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29a07744, "input_allocate_device" },
	{ 0x1f7f0baf, "dvb_dmxdev_init" },
	{ 0xeadfcaf2, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3132b36b, "media_device_unregister" },
	{ 0x1d5c9f30, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x912efbfa, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x66e2027d, "request_firmware" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,usbcore,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
