#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_crop, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_compose, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_compat_ioctl32, "_gpl", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x2cbe350c, "");
SYMBOL_CRC(video_device_release, 0x62690680, "");
SYMBOL_CRC(video_device_release_empty, 0x828bf64f, "");
SYMBOL_CRC(video_devdata, 0x77bd1bd2, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0x8f5b7fde, "");
SYMBOL_CRC(video_unregister_device, 0x1f805dfd, "");
SYMBOL_CRC(video_device_pipeline_start, 0x78bd3ccd, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x4f3cb6e0, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0x3417b647, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0xe51d2ff6, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0x9a28254a, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0xa3ac105c, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0xe0d2a5c1, "");
SYMBOL_CRC(v4l2_device_register, 0x1119909d, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x7419781a, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x56058818, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x6d20fed3, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x1122fe22, "_gpl");
SYMBOL_CRC(v4l2_device_register_subdev, 0x7f9f79db, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0x392cafdb, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x49552970, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x1a1dcc1e, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0xe6e3f8d7, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0xf4d9f830, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0xae274242, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x2f7635c0, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0xd1b72ece, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0x1670a163, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0xfaef2901, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0x06dad202, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0x97efd947, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x9ed5d5fa, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x5023771b, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0x18217e8f, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0x5030f4b4, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0x0d32b13f, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0x690f2a72, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x440d9e25, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x88873e17, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x77be3156, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0xf3e58a53, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0xfe336036, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0xd8f538d8, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x9d10c910, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x9827fe5e, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0xde6e37d9, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0xca06b6cb, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0xdb199f97, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x3fcc1366, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x08254684, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0xae3dd8d6, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0xa1657280, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_format, 0xc86897a7, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_crop, 0xed6c9ccf, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_compose, 0xb5a337db, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0xcf754c8f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x65d7839c, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x4894cd55, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0x0d185a28, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0x20083101, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0xf57c3a33, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0xc5610b39, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x885b798a, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0xc98e2418, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x1983bd9d, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0x2faf5642, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x4332c707, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0x70331ad5, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0x815d53db, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0x24265750, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0x85476207, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0xb5796a34, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xc0b5d7b3, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x7be50acf, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x055f7fc8, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0x3dc9541b, "");
SYMBOL_CRC(v4l2_ctrl_find, 0x515483b7, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x204e9773, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0x5c45cc99, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x89456f3f, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x65d2d28e, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x085bc640, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0xb38f0d54, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0xa0990315, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0xdf702e02, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0xbb7ca6c0, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0xec0fc224, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0xc147e932, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x05eb47a7, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0x4bf6f79e, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x2699bb3c, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xb19e2752, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x375cc71d, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0xa2c9d17a, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0xa0cabf36, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0x9050d21d, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x1501e32d, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x39b6e4e5, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0xe7be3d4a, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x107ece07, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x05c7a44b, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0x56bbd862, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0xc8d042a6, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0x3d93ab4e, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0x16568746, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0xd8148e14, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x40253852, "");
SYMBOL_CRC(v4l2_queryctrl, 0x8eb844a6, "");
SYMBOL_CRC(v4l2_querymenu, 0xc4ce4859, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0xf78614c2, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x98ac8eaa, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0xbea6e0a9, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0xc9a55e80, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x3030298c, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x6e2d1bae, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0x805975cd, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x77a804a6, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0x153ce64b, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0x2f06fab1, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0x215faf98, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0xdbb726a0, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x1c8a9b5d, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x16ec170a, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x16924180, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0xa42f890e, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0xe41ade3a, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0xa1ecc85a, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0x5ccdb5fe, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x7d76d12d, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0xab38998f, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0x896f1c29, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0xb0c50242, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x56b2ba9e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x618e9636, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0x4e6ca9c1, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0x88edc453, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x19d55770, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0x83fda8c5, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0xf95f043f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x2c95449e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0x2cd28250, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0xcb574cf3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x4e2595f9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0xf44873fe, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x6878c857, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0x18ebecdc, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0x7ddb1ab5, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0x0afbcd52, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x949e2cc, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x574618b5, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x6815be3b, "media_pipeline_start" },
	{ 0x92627421, "media_pipeline_stop" },
	{ 0xfb578fc5, "memset" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x749df8ae, "media_get_pad_index" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9b459854, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x329ca349, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x50208dd6, "led_set_brightness" },
	{ 0xd12e3107, "media_graph_walk_start" },
	{ 0x437069de, "media_devnode_create" },
	{ 0x9b8043cf, "dev_err_probe" },
	{ 0xc3dd1bcb, "media_entity_get_fwnode_pad" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xc88fb447, "fwnode_handle_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xdc9b1e36, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xca912774, "__media_pipeline_start" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xae410f1f, "class_register" },
	{ 0x779b42ae, "led_sysfs_disable" },
	{ 0x6a243ffd, "media_entity_find_link" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x83133703, "__dev_fwnode" },
	{ 0x55af8883, "pci_bus_type" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xdabdd10b, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x95b0fdd3, "cdev_alloc" },
	{ 0x9299069c, "media_devnode_remove" },
	{ 0xedfee466, "try_module_get" },
	{ 0xe8e5ade3, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2d3f963c, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc8525262, "led_sysfs_enable" },
	{ 0xa3e26343, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5b68c555, "fwnode_graph_get_remote_endpoint" },
	{ 0x82e88843, "trace_raw_output_prep" },
	{ 0x10d559a, "spi_unregister_device" },
	{ 0xb67b5aba, "device_unregister" },
	{ 0xc1a7d6ef, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4b3710ab, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6815c5cb, "media_request_object_unbind" },
	{ 0x6c1544a2, "led_put" },
	{ 0x8a965fa9, "led_trigger_remove" },
	{ 0xa0d49358, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x44eeaf3a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4ef06f65, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xade09d, "pcpu_hot" },
	{ 0x7516d5b0, "fwnode_graph_get_port_parent" },
	{ 0x1c861537, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x800a084a, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5c9230f4, "media_create_intf_link" },
	{ 0x810a0f84, "media_create_pad_link" },
	{ 0xa47f4bb3, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xad387e0d, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xbc1e7156, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaecdcdee, "put_device" },
	{ 0x7ac6aefe, "i2c_new_scanned_device" },
	{ 0x25330134, "media_pad_pipeline" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xec15559f, "media_request_object_put" },
	{ 0xfc24188, "module_put" },
	{ 0x84fbcbdc, "media_pipeline_alloc_start" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x71669505, "media_device_register_entity" },
	{ 0xbfcb64eb, "media_request_get_by_fd" },
	{ 0xa8c99145, "cdev_add" },
	{ 0xf98379f0, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x85ce46a5, "perf_trace_run_bpf_submit" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x7a3d3aec, "i2c_unregister_device" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xaf7c75f, "media_request_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb59da3f2, "spi_new_device" },
	{ 0x632c0cb4, "trace_event_reg" },
	{ 0x4db650d8, "media_request_object_bind" },
	{ 0xeea75c3d, "class_unregister" },
	{ 0xb165ee99, "media_graph_walk_next" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "019E089B1110C46DAD727E8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
