#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nanddev_isbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_markbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_isreserved, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_erase, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_max_bad_blocks, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_update, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_get_block_status, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_set_block_status, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_prepare_io_req, "", "");
KSYMTAB_FUNC(nand_ecc_finish_io_req, "", "");
KSYMTAB_FUNC(nand_get_small_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_hamming_ooblayout, "_gpl", "");
KSYMTAB_FUNC(of_get_nand_ecc_user_config, "", "");
KSYMTAB_FUNC(nand_ecc_is_strong_enough, "", "");
KSYMTAB_FUNC(nand_ecc_init_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_cleanup_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_tweak_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_restore_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_get_sw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_die_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_register_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_unregister_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_put_on_host_hw_engine, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_get_engine, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_get_engine, "", "");

SYMBOL_CRC(nanddev_isbad, 0x336bc9fd, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0x65506021, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0xe011690e, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0x9ea5bea5, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0x8d0d88ca, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x489dae8a, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0x09adc67a, "_gpl");
SYMBOL_CRC(nanddev_init, 0x1192b681, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0xdc64191b, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0xc72b625f, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0x416bd161, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0x93c39531, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0x19a175d1, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0xa2a8191d, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0xa9d24ed0, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0x2bd4f611, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0xbba18de6, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0x19624f40, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0x6e6e6fec, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0xb0c7e531, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0x1cd8b292, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0x2f53f448, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0xc907c721, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0x724a2d64, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0xbb850ba1, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0x1836c6ae, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0x7b6a03ad, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0x427a12ab, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0x073b9858, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0x5e30422d, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0x151a76b2, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0xac08cce2, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0xf9e6245d, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0x6f24cec9, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0xe54cc3bd, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0x9ccde138, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0x3be69b51, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0x28b00a41, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0x6dbf7f45, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0xa31f4762, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0x895bad54, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0xe055603d, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0xda59a166, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1dec734d, "mtd_ooblayout_set_eccbytes" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaecdcdee, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd3e3481, "bch_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd2d1226d, "mtd_ooblayout_count_eccbytes" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x97d01305, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "C8CC18D47CCA8CBC7F50A06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
