#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(liquidio_set_ethtool_ops, "_gpl", "");
KSYMTAB_FUNC(lio_delete_glists, "_gpl", "");
KSYMTAB_FUNC(lio_setup_glists, "_gpl", "");
KSYMTAB_FUNC(liquidio_set_feature, "_gpl", "");
KSYMTAB_FUNC(liquidio_link_ctrl_cmd_completion, "_gpl", "");
KSYMTAB_FUNC(setup_rx_oom_poll_fn, "_gpl", "");
KSYMTAB_FUNC(cleanup_rx_oom_poll_fn, "_gpl", "");
KSYMTAB_FUNC(liquidio_setup_io_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_interrupt, "_gpl", "");
KSYMTAB_FUNC(liquidio_change_mtu, "_gpl", "");
KSYMTAB_FUNC(lio_wait_for_clean_oq, "_gpl", "");
KSYMTAB_FUNC(lio_fetch_stats, "_gpl", "");
KSYMTAB_FUNC(liquidio_get_speed, "_gpl", "");
KSYMTAB_FUNC(liquidio_get_fec, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_instr_queue, "_gpl", "");
KSYMTAB_FUNC(lio_wait_for_instr_fetch, "_gpl", "");
KSYMTAB_FUNC(octeon_ring_doorbell_locked, "_gpl", "");
KSYMTAB_FUNC(octeon_register_reqtype_free_fn, "_gpl", "");
KSYMTAB_FUNC(lio_process_iq_request_list, "_gpl", "");
KSYMTAB_FUNC(octeon_send_command, "_gpl", "");
KSYMTAB_FUNC(octeon_prepare_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_send_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_sc_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_done_list, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_zombie_list, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(octeon_alloc_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_free_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_response_list, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_response_list, "_gpl", "");
KSYMTAB_FUNC(lio_process_ordered_list, "_gpl", "");
KSYMTAB_FUNC(octeon_init_device_list, "_gpl", "");
KSYMTAB_FUNC(lio_get_state_string, "_gpl", "");
KSYMTAB_FUNC(octeon_free_device_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_allocate_device, "_gpl", "");
KSYMTAB_FUNC(octeon_register_device, "_gpl", "");
KSYMTAB_FUNC(octeon_deregister_device, "_gpl", "");
KSYMTAB_FUNC(octeon_allocate_ioq_vector, "_gpl", "");
KSYMTAB_FUNC(octeon_free_ioq_vector, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_instr_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_output_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_set_io_queues_off, "_gpl", "");
KSYMTAB_FUNC(octeon_init_dispatch_list, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_dispatch_list, "_gpl", "");
KSYMTAB_FUNC(octeon_register_dispatch_fn, "_gpl", "");
KSYMTAB_FUNC(octeon_core_drv_init, "_gpl", "");
KSYMTAB_FUNC(octeon_get_tx_qsize, "_gpl", "");
KSYMTAB_FUNC(octeon_get_rx_qsize, "_gpl", "");
KSYMTAB_FUNC(octeon_get_conf, "_gpl", "");
KSYMTAB_FUNC(lio_get_device, "_gpl", "");
KSYMTAB_FUNC(lio_pci_readq, "_gpl", "");
KSYMTAB_FUNC(lio_pci_writeq, "_gpl", "");
KSYMTAB_FUNC(octeon_mem_access_ok, "_gpl", "");
KSYMTAB_FUNC(octeon_wait_for_ddr_init, "_gpl", "");
KSYMTAB_FUNC(lio_enable_irq, "_gpl", "");
KSYMTAB_FUNC(lio_setup_cn66xx_octeon_device, "_gpl", "");
KSYMTAB_FUNC(lio_setup_cn68xx_octeon_device, "_gpl", "");
KSYMTAB_FUNC(setup_cn23xx_octeon_pf_device, "_gpl", "");
KSYMTAB_FUNC(cn23xx_fw_loaded, "_gpl", "");
KSYMTAB_FUNC(cn23xx_tell_vf_its_macaddr_changed, "_gpl", "");
KSYMTAB_FUNC(cn23xx_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(cn23xx_vf_ask_pf_to_do_flr, "_gpl", "");
KSYMTAB_FUNC(cn23xx_octeon_pfvf_handshake, "_gpl", "");
KSYMTAB_FUNC(cn23xx_setup_octeon_vf_device, "_gpl", "");
KSYMTAB_FUNC(octeon_pci_read_core_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_pci_write_core_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_read_device_mem64, "_gpl", "");
KSYMTAB_FUNC(octeon_read_device_mem32, "_gpl", "");
KSYMTAB_FUNC(octeon_write_device_mem32, "_gpl", "");
KSYMTAB_FUNC(octeon_droq_check_hw_for_pkts, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_droq, "_gpl", "");
KSYMTAB_FUNC(octeon_droq_process_packets, "_gpl", "");
KSYMTAB_FUNC(octeon_unregister_droq_ops, "_gpl", "");
KSYMTAB_FUNC(octeon_alloc_soft_command_resp, "_gpl", "");
KSYMTAB_FUNC(octnet_send_nic_data_pkt, "_gpl", "");
KSYMTAB_FUNC(octnet_send_nic_ctrl_pkt, "_gpl", "");

SYMBOL_CRC(liquidio_set_ethtool_ops, 0xa6189ad7, "_gpl");
SYMBOL_CRC(lio_delete_glists, 0x85e14698, "_gpl");
SYMBOL_CRC(lio_setup_glists, 0x186d519c, "_gpl");
SYMBOL_CRC(liquidio_set_feature, 0x5881e495, "_gpl");
SYMBOL_CRC(liquidio_link_ctrl_cmd_completion, 0x19cb4e69, "_gpl");
SYMBOL_CRC(setup_rx_oom_poll_fn, 0x70fd639c, "_gpl");
SYMBOL_CRC(cleanup_rx_oom_poll_fn, 0xb66e050f, "_gpl");
SYMBOL_CRC(liquidio_setup_io_queues, 0xc6996dda, "_gpl");
SYMBOL_CRC(octeon_setup_interrupt, 0x85da064e, "_gpl");
SYMBOL_CRC(liquidio_change_mtu, 0xb8cec5fc, "_gpl");
SYMBOL_CRC(lio_wait_for_clean_oq, 0xda4b6f3d, "_gpl");
SYMBOL_CRC(lio_fetch_stats, 0x241a2a6c, "_gpl");
SYMBOL_CRC(liquidio_get_speed, 0x4b5f4267, "_gpl");
SYMBOL_CRC(liquidio_get_fec, 0xdeb2ba6a, "_gpl");
SYMBOL_CRC(octeon_delete_instr_queue, 0xd81d6729, "_gpl");
SYMBOL_CRC(lio_wait_for_instr_fetch, 0x1ae23df9, "_gpl");
SYMBOL_CRC(octeon_ring_doorbell_locked, 0xeaf447e7, "_gpl");
SYMBOL_CRC(octeon_register_reqtype_free_fn, 0x1a04f505, "_gpl");
SYMBOL_CRC(lio_process_iq_request_list, 0x76e9c45b, "_gpl");
SYMBOL_CRC(octeon_send_command, 0xa2ebe0c0, "_gpl");
SYMBOL_CRC(octeon_prepare_soft_command, 0x2985c4d0, "_gpl");
SYMBOL_CRC(octeon_send_soft_command, 0x3d15a351, "_gpl");
SYMBOL_CRC(octeon_setup_sc_buffer_pool, 0xf867782d, "_gpl");
SYMBOL_CRC(octeon_free_sc_done_list, 0x92143276, "_gpl");
SYMBOL_CRC(octeon_free_sc_zombie_list, 0x503f4b16, "_gpl");
SYMBOL_CRC(octeon_free_sc_buffer_pool, 0x82413e92, "_gpl");
SYMBOL_CRC(octeon_alloc_soft_command, 0xc6c38f6b, "_gpl");
SYMBOL_CRC(octeon_free_soft_command, 0xcd7a2d8d, "_gpl");
SYMBOL_CRC(octeon_setup_response_list, 0x3d612f64, "_gpl");
SYMBOL_CRC(octeon_delete_response_list, 0x8eaeda5a, "_gpl");
SYMBOL_CRC(lio_process_ordered_list, 0x10a1e1d0, "_gpl");
SYMBOL_CRC(octeon_init_device_list, 0x6d0d28ef, "_gpl");
SYMBOL_CRC(lio_get_state_string, 0xec7f00a5, "_gpl");
SYMBOL_CRC(octeon_free_device_mem, 0xcbdcf7b3, "_gpl");
SYMBOL_CRC(octeon_allocate_device, 0xd43b0992, "_gpl");
SYMBOL_CRC(octeon_register_device, 0xc6b7c81b, "_gpl");
SYMBOL_CRC(octeon_deregister_device, 0x6d4cdc4d, "_gpl");
SYMBOL_CRC(octeon_allocate_ioq_vector, 0x3693e3cd, "_gpl");
SYMBOL_CRC(octeon_free_ioq_vector, 0x1fbf79a8, "_gpl");
SYMBOL_CRC(octeon_setup_instr_queues, 0x1e060b60, "_gpl");
SYMBOL_CRC(octeon_setup_output_queues, 0x4090e545, "_gpl");
SYMBOL_CRC(octeon_set_io_queues_off, 0xd49ad26b, "_gpl");
SYMBOL_CRC(octeon_init_dispatch_list, 0xb2aaee84, "_gpl");
SYMBOL_CRC(octeon_delete_dispatch_list, 0xaf686dd5, "_gpl");
SYMBOL_CRC(octeon_register_dispatch_fn, 0x68aa8bc8, "_gpl");
SYMBOL_CRC(octeon_core_drv_init, 0xc6abc5b1, "_gpl");
SYMBOL_CRC(octeon_get_tx_qsize, 0x7a891245, "_gpl");
SYMBOL_CRC(octeon_get_rx_qsize, 0x9c461001, "_gpl");
SYMBOL_CRC(octeon_get_conf, 0xff63fbd8, "_gpl");
SYMBOL_CRC(lio_get_device, 0xb0611df2, "_gpl");
SYMBOL_CRC(lio_pci_readq, 0xd9ffc272, "_gpl");
SYMBOL_CRC(lio_pci_writeq, 0xf8f02157, "_gpl");
SYMBOL_CRC(octeon_mem_access_ok, 0x73d027c0, "_gpl");
SYMBOL_CRC(octeon_wait_for_ddr_init, 0xce885a4d, "_gpl");
SYMBOL_CRC(lio_enable_irq, 0x80063cf2, "_gpl");
SYMBOL_CRC(lio_setup_cn66xx_octeon_device, 0x50a8be95, "_gpl");
SYMBOL_CRC(lio_setup_cn68xx_octeon_device, 0x9d525774, "_gpl");
SYMBOL_CRC(setup_cn23xx_octeon_pf_device, 0x4431d591, "_gpl");
SYMBOL_CRC(cn23xx_fw_loaded, 0x4f4866cd, "_gpl");
SYMBOL_CRC(cn23xx_tell_vf_its_macaddr_changed, 0x39b5e67a, "_gpl");
SYMBOL_CRC(cn23xx_get_vf_stats, 0xd4eb0e26, "_gpl");
SYMBOL_CRC(cn23xx_vf_ask_pf_to_do_flr, 0x1c6b87e7, "_gpl");
SYMBOL_CRC(cn23xx_octeon_pfvf_handshake, 0x96899dd7, "_gpl");
SYMBOL_CRC(cn23xx_setup_octeon_vf_device, 0x8288153c, "_gpl");
SYMBOL_CRC(octeon_pci_read_core_mem, 0xa2553b0a, "_gpl");
SYMBOL_CRC(octeon_pci_write_core_mem, 0x3bdca718, "_gpl");
SYMBOL_CRC(octeon_read_device_mem64, 0x271d8eae, "_gpl");
SYMBOL_CRC(octeon_read_device_mem32, 0x62928950, "_gpl");
SYMBOL_CRC(octeon_write_device_mem32, 0xba22e0a2, "_gpl");
SYMBOL_CRC(octeon_droq_check_hw_for_pkts, 0xeef782e9, "_gpl");
SYMBOL_CRC(octeon_delete_droq, 0xf78a38ea, "_gpl");
SYMBOL_CRC(octeon_droq_process_packets, 0x65a145bc, "_gpl");
SYMBOL_CRC(octeon_unregister_droq_ops, 0x518fc20b, "_gpl");
SYMBOL_CRC(octeon_alloc_soft_command_resp, 0x55e3f5af, "_gpl");
SYMBOL_CRC(octnet_send_nic_data_pkt, 0x82c88b53, "_gpl");
SYMBOL_CRC(octnet_send_nic_ctrl_pkt, 0x34839069, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce260503, "pci_enable_msix_range" },
	{ 0xa6805aba, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x4f55db2f, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x5a7d5766, "napi_gro_receive" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5820b44d, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xbe3dba51, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xbe21b085, "netif_set_real_num_tx_queues" },
	{ 0xb454a486, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xee1bf7fe, "dma_alloc_attrs" },
	{ 0x3c63136a, "pcie_flr" },
	{ 0x9166fada, "strncpy" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x403e9bb5, "ethtool_op_get_link" },
	{ 0x14a7b890, "netif_set_xps_queue" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x79ea7eba, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x778fde0c, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd38d1f7e, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe2ebaa81, "_dev_notice" },
	{ 0x8512700d, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x52494ce9, "call_netdevice_notifiers" },
	{ 0x1fae1a53, "alloc_pages" },
	{ 0xf99f7fa5, "__folio_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x44da89bb, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xfb6516db, "__napi_schedule_irqoff" },
	{ 0xa6257aa, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x60aef364, "dev_kfree_skb_any_reason" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4722b4da, "pci_release_region" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x20521296, "pci_write_config_dword" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x4a1e0b18, "netdev_info" },
	{ 0xa080c5e5, "smp_call_function_single_async" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1e2e046c, "pci_request_region" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x91512561, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x6f1d7cc2, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7f59fe81, "dma_unmap_page_attrs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0x6cad52e5, "skb_add_rx_frag" },
	{ 0x18b53ef0, "pci_disable_msi" },
	{ 0x3d5f5bc0, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xade09d, "pcpu_hot" },
	{ 0x4d099a6e, "__put_devmap_managed_page_refs" },
	{ 0xb175a67b, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3dbb3f63, "dev_addr_mod" },
	{ 0xb06b27d6, "eth_type_trans" },
	{ 0xa3b447a5, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3e8f95f8, "dma_map_page_attrs" },
	{ 0xeee1f47e, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x781435f4, "__napi_schedule" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F361FC316BAA6A2E9F2389");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
