#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x73205bd7, "");
SYMBOL_CRC(vnic_dev_get_res, 0x80023772, "");
SYMBOL_CRC(vnic_dev_unregister, 0xf053aa4f, "");
SYMBOL_CRC(vnic_dev_register, 0xc4e78b28, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0xe01f8224, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0x23c6a09c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f113d76, "dev_driver_string" },
	{ 0x3dbb3f63, "dev_addr_mod" },
	{ 0xb06b27d6, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3e8f95f8, "dma_map_page_attrs" },
	{ 0xeee1f47e, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xce260503, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x6df51839, "__hw_addr_unsync_dev" },
	{ 0x5a7d5766, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xadde1998, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x5820b44d, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x1546e447, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbe21b085, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb454a486, "netif_set_real_num_rx_queues" },
	{ 0x7775278a, "dev_close" },
	{ 0xee1bf7fe, "dma_alloc_attrs" },
	{ 0xaffb4ac3, "pci_read_config_word" },
	{ 0xb3b64509, "napi_enable" },
	{ 0x2aae7d15, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0x95922d3e, "register_netdev" },
	{ 0x35be5c02, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x403e9bb5, "ethtool_op_get_link" },
	{ 0x14a7b890, "netif_set_xps_queue" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x79ea7eba, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0xb934d008, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x3924ab95, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf55080ac, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xd38d1f7e, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x619d013e, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x5f7c3c37, "rps_may_expire_flow" },
	{ 0x8512700d, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa1723e4, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x52494ce9, "call_netdevice_notifiers" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6fcc22cb, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0x9a5f20a, "__hw_addr_sync_dev" },
	{ 0x83ff0e7d, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xbfca37bc, "netif_carrier_on" },
	{ 0x44da89bb, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6155ca4b, "pci_disable_device" },
	{ 0xb2bd4c37, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd41e1ac5, "__skb_flow_dissect" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xfb6516db, "__napi_schedule_irqoff" },
	{ 0xa6257aa, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x95474dfb, "napi_disable" },
	{ 0x60aef364, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x84112dd0, "pci_enable_sriov" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x4a1e0b18, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc77aaf70, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8607da84, "pci_find_ext_capability" },
	{ 0x9029f154, "skb_copy_bits" },
	{ 0x91512561, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x5745a215, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9200fe47, "pci_enable_device_mem" },
	{ 0xf73f08e7, "consume_skb" },
	{ 0xc67b2968, "pci_iomap" },
	{ 0x6f1d7cc2, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x4d63a0a8, "unregister_netdev" },
	{ 0x7f59fe81, "dma_unmap_page_attrs" },
	{ 0x605d825d, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x18b53ef0, "pci_disable_msi" },
	{ 0x5c52bf24, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xade09d, "pcpu_hot" },
	{ 0x51bf7e73, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xa042f1b, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb175a67b, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc07d8ed3, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x252efa0e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "698D0B539A3E0B77BE7ABC4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
