#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x452fb41d, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x47a73e6b, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x4278646b, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xccfd67de, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xcf8c57f7, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x899d419d, "");
SYMBOL_CRC(mlx5_cmd_check, 0xc1eb368d, "");
SYMBOL_CRC(mlx5_cmd_do, 0xde4a7c70, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x31c5309c, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x86830bc7, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x86ba1d2a, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x89c325f3, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xa8872af5, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x284f92ac, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x899b8a6f, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x3106294b, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xb8e43c1f, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xe526db20, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xf0920759, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x76526807, "");
SYMBOL_CRC(mlx5_eq_enable, 0x63f9f25f, "");
SYMBOL_CRC(mlx5_eq_disable, 0x107b3055, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xdc8abe13, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x8320aacc, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x4c62a486, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0xde2fc3ca, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xc5fd9e53, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xd03ca1e1, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x803b73a7, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x99cd837b, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x258b15e0, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x76c5fd65, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xb6649ae6, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xe25235bb, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x52e0e5f3, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x119732cc, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x271aa820, "");
SYMBOL_CRC(mlx5_create_cq, 0x3783e5c4, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x4f95562c, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x33d4cafc, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xbd5f5916, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x938f10a6, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xa079961a, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x13ddbdf5, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x66084197, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x8fcfde25, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xc67f7088, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xdc7f20af, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x6b111237, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x334df2b0, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xa3a736ee, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xf3c5b751, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x4fd5ffeb, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x52de972f, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x17091f4c, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xd4ab9b5b, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x14ef9cc2, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xffcb9584, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x037c57c8, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x0aae63df, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xdfd3d235, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x751d1bf9, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x43c0998f, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x8168ca1b, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x18080937, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xf514b04a, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xda1d7c48, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x5234d4a4, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x6ca13b27, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x9483788d, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xd208ff1a, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x1e74b2d7, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x33c1e6e2, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x01ca82d8, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xf7f50ac6, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0xcc403c08, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x9396f466, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xf6c2a3e6, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xb3f6b1a0, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xbb0ad35f, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xd2fc34b4, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x45a5c564, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x402eb77f, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x95c944ea, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xb2a41ab8, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xe20dacc5, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0xcf152bcb, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xcc8ce76b, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xb110b028, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x60a8b4bd, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x1ead2f5e, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x4e0de4bb, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x8ebce6ff, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x24ab4363, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x37758f69, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x12d707f4, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xd1e6ba1c, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x6e709fe3, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0xc156be25, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x18af991a, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xdcb14486, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0xdcca5f97, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xdccf7da0, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x1e20a410, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x6e96fcac, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x69689158, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x51088e69, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x1e4f8d93, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xfd65f710, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xa928058d, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x29a44011, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xec076502, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x06e8d2c3, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x18d97a1c, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x95820900, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x4b23bab8, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xf80ecf2f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x829987bb, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x7edba3dd, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xc922a63d, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x9c187464, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xa1497c44, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x6c47f280, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xc35d68db, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xeb44461e, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x2f5283f0, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xb95ed61a, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x3c9e5156, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x8ec40fcb, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x0cc4495d, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x3689e13c, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x7b23c104, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xafc29d8e, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0xecd08884, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x2d6f8bc9, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x8d331633, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x96796cef, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xa24b544a, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x0790b1ca, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x2a834ba7, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x8c5a9d8b, "");
SYMBOL_CRC(mlx5_msix_alloc, 0xe7414517, "");
SYMBOL_CRC(mlx5_msix_free, 0xd8e59702, "");
SYMBOL_CRC(mlx5_fc_create, 0x68bb0576, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xa6789aa8, "");
SYMBOL_CRC(mlx5_fc_query, 0x280daa98, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x87e226db, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x983ddb18, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x7e0caab3, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x2aecd1b6, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x1d41bc3c, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x730b94b6, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x530fd928, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x929f0cd5, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x6ea6a73a, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x03f0e7c3, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xe00d2bd2, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xc2a1cacb, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xe721293b, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0xe182c17a, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x55521f25, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xa9c56ca8, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x1e90730f, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x99379538, "");
SYMBOL_CRC(mlx5_notifier_register, 0x4a2c76c8, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xc3b2462d, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xa6cb96ba, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x7eb153c6, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xcc8381eb, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x50df4316, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xe439dc5c, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x6b88e0ad, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0xde8e62e3, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0xe13a8c62, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x779ad520, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x482e3ba1, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0xbf612371, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x80d5cdf0, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x167594b2, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x29c17a33, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xc68076dc, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x2c4ea605, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x5c007184, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x5f7bce18, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xd1fa9269, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xc5fbc940, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xe08ef183, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x9e31c9ec, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x85a4a842, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x555cfa35, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x5ed395f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x3076a3f4, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0xfea05b6a, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x958d98c8, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x6ca9dd2b, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xd578b788, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x3f3b445f, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xbc0cdd4d, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x375dce92, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xb4e3b6c1, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x893be237, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x5aec1574, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x6f68da77, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xb92f3765, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x3de5dbdc, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x0acc1387, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x3f20a0c2, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xf7d4219b, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x3839e4b9, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xe52e7723, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x15b97ed0, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x5376442a, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x2c43223c, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xc5917a1f, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0xfb4ed97b, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xf8fd122b, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x3d991042, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xd3b130d6, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x39aa9c28, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xd4f21785, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xca2558c0, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0xb3fe9da3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x403e9bb5, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x14a7b890, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x20d3e2a8, "__SCK__tp_func_xdp_exception" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x2b823cbb, "pci_restore_state" },
	{ 0x205ea90f, "bpf_trace_run1" },
	{ 0x2ee0ed09, "__inet6_lookup_established" },
	{ 0x79ea7eba, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x491e8270, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb934d008, "dma_sync_single_for_cpu" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x414068e8, "page_pool_create" },
	{ 0x79fe90a9, "skb_checksum" },
	{ 0x908cd8a0, "page_pool_put_defragged_page" },
	{ 0x58c43486, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x7ea8aabd, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0xefdfa0e0, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa84a903f, "devl_resources_unregister" },
	{ 0x2b576815, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x778fde0c, "netif_schedule_queue" },
	{ 0xc2ecfc18, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0x3924ab95, "pci_set_master" },
	{ 0x6e190d81, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd6b23a8b, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5e966181, "flow_rule_match_ipv6_addrs" },
	{ 0x132dedc, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x5f828df1, "devl_params_unregister" },
	{ 0x62606344, "ptp_clock_unregister" },
	{ 0xf55080ac, "__pskb_pull_tail" },
	{ 0x1cc5d13e, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xd38d1f7e, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x4febd89f, "devlink_trap_report" },
	{ 0x178ea0b8, "__neigh_event_send" },
	{ 0xe1c276e8, "flow_block_cb_alloc" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x9452ca98, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xea5bdfc9, "devl_traps_register" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x34f12355, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x5d41960b, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x619d013e, "dma_set_coherent_mask" },
	{ 0x696f8a4e, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x41383367, "pv_ops" },
	{ 0x2c6e7374, "flow_rule_match_enc_control" },
	{ 0x56d3922b, "bpf_trace_run3" },
	{ 0xee5cdceb, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xb1e85034, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xd17d7d7e, "debugfs_create_file" },
	{ 0x5f7c3c37, "rps_may_expire_flow" },
	{ 0x8bc90a01, "metadata_dst_free" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xf61bb163, "xsk_set_tx_need_wakeup" },
	{ 0x547ef8f2, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7f3a3e66, "netdev_reset_tc" },
	{ 0x556f5a9b, "neigh_destroy" },
	{ 0x8512700d, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9b459854, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xa94bba9a, "debugfs_create_x32" },
	{ 0x2ffb5886, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2a5bb653, "flow_rule_match_enc_ports" },
	{ 0x2bdc3002, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa1723e4, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xefb95f2d, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xf416325d, "devl_assert_locked" },
	{ 0x9eeb75b3, "pcie_print_link_status" },
	{ 0x22b019cc, "xp_set_rxq_info" },
	{ 0x6effe583, "flow_rule_match_vlan" },
	{ 0x1fae1a53, "alloc_pages" },
	{ 0xdc9e13f3, "devl_port_unregister" },
	{ 0x2d61e81c, "xdp_rxq_info_unreg" },
	{ 0x669ee81e, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xf960dd87, "devl_param_driverinit_value_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xbab8019a, "napi_build_skb" },
	{ 0x98c443c0, "netdev_master_upper_dev_get_rcu" },
	{ 0x5f068245, "__xdp_rxq_info_reg" },
	{ 0x13f62812, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7708425f, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x247d4520, "bpf_prog_inc" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc979a953, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6fcc22cb, "netif_carrier_off" },
	{ 0xddcad84a, "seq_printf" },
	{ 0xd8d223ab, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xed95080a, "devlink_priv" },
	{ 0xf5719388, "devlink_port_register_with_ops" },
	{ 0x83ff0e7d, "pci_disable_sriov" },
	{ 0x8edbf3a4, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1c3d4315, "dst_release" },
	{ 0xbfca37bc, "netif_carrier_on" },
	{ 0x3b139f94, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xe0e044c2, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd0186bd7, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6155ca4b, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0xdd693ec5, "seq_puts" },
	{ 0xed470431, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xda00b31d, "page_pool_update_nid" },
	{ 0x43ad2be8, "single_release" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0xb2bd4c37, "dma_set_mask" },
	{ 0x22e82f18, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbce44f84, "netif_set_tso_max_size" },
	{ 0x7309f47d, "vlan_dev_vlan_id" },
	{ 0xd41e1ac5, "__skb_flow_dissect" },
	{ 0x9373e512, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x346060e3, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xcfb2a436, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x9e0c2712, "xp_raw_get_data" },
	{ 0x5d2f7dc5, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0xa6257aa, "napi_schedule_prep" },
	{ 0x7cdddfca, "qdisc_reset" },
	{ 0x6670bc02, "napi_consume_skb" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0xae10998f, "xp_alloc_batch" },
	{ 0x8fe9d8f5, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0x95474dfb, "napi_disable" },
	{ 0x60aef364, "dev_kfree_skb_any_reason" },
	{ 0x299ee9e4, "dcb_ieee_delapp" },
	{ 0x56f4ba4e, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x160c99e3, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc809d346, "debugfs_create_u8" },
	{ 0x4250e57, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x94558027, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x5286b54a, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7f3ba5c5, "skb_ext_add" },
	{ 0xbc1e6248, "pcie_bandwidth_available" },
	{ 0xf2f265f3, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xaf2f0b19, "flow_rule_match_control" },
	{ 0xb32b2016, "flow_rule_match_ip" },
	{ 0x84112dd0, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x7d1ff037, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x241c4b30, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xba852b7d, "xsk_tx_release" },
	{ 0x63c3267b, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x707ef6e4, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x20521296, "pci_write_config_dword" },
	{ 0x55af8883, "pci_bus_type" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x4a1e0b18, "netdev_info" },
	{ 0x8658e654, "neigh_lookup" },
	{ 0xfa1e40e6, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd74ce866, "__tracepoint_xdp_exception" },
	{ 0x86899be1, "__inet_lookup_established" },
	{ 0x3ee012b2, "xsk_tx_completed" },
	{ 0xc77aaf70, "alloc_etherdev_mqs" },
	{ 0x74107634, "netdev_lower_get_next" },
	{ 0x4653e592, "secpath_set" },
	{ 0x2ac48b2e, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0x8c7d31f0, "pci_save_state" },
	{ 0xfb2a26bd, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5f7642e3, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x3f761e80, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xeeba3358, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x75b6dfa9, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8695e8fa, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1b05a9fb, "bpf_prog_put" },
	{ 0x8077bb71, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x30fd855a, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xedd2c7f5, "pci_cfg_access_unlock" },
	{ 0xe00e34b3, "xp_dma_map" },
	{ 0x808fd566, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa5123a0e, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x9029f154, "skb_copy_bits" },
	{ 0x1b3a4ca8, "debugfs_attr_write" },
	{ 0xa21dea92, "dma_pool_create" },
	{ 0x39245c96, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x631cec31, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x56489eb8, "pci_enable_device" },
	{ 0x91512561, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x5745a215, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc77c0ae3, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xd8b35ec2, "__napi_alloc_skb" },
	{ 0xd339491c, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x34d07e0d, "register_fib_notifier" },
	{ 0x18142d32, "auxiliary_device_init" },
	{ 0x462a0c39, "ip6_dst_hoplimit" },
	{ 0x5574aac9, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x9178e647, "flow_rule_match_enc_ip" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xdd160c19, "pci_alloc_irq_vectors" },
	{ 0x6f1d7cc2, "netif_napi_add_weight" },
	{ 0x22bbffd7, "pci_enable_atomic_ops_to_root" },
	{ 0x755f1860, "seq_release" },
	{ 0x9e1dccb2, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0x82e88843, "trace_raw_output_prep" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x9971c064, "xsk_clear_tx_need_wakeup" },
	{ 0x48609c8e, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0xf6e3e2fe, "devl_lock" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x4e0f3886, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xac253b75, "ndo_dflt_bridge_getlink" },
	{ 0x4d63a0a8, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x21eb02eb, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc1a7d6ef, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xc8c15a14, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x7943fc29, "register_netdevice_notifier_dev_net" },
	{ 0x7f59fe81, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4b3710ab, "trace_event_printf" },
	{ 0xd32a685a, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x943563ba, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x605d825d, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x499861d9, "dma_sync_single_for_device" },
	{ 0x4682cd65, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xd989ab78, "pci_num_vf" },
	{ 0xbd8d5883, "debugfs_create_atomic_t" },
	{ 0x57cdd9ef, "flow_rule_match_eth_addrs" },
	{ 0x6cad52e5, "skb_add_rx_frag" },
	{ 0x3eb0d66f, "xfrm_state_check_expire" },
	{ 0xb58c770b, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x3d5f5bc0, "ptp_clock_index" },
	{ 0x5c52bf24, "pci_request_regions" },
	{ 0xd6ac7119, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x44eeaf3a, "trace_event_raw_init" },
	{ 0xba67997c, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd910d31a, "xp_can_alloc" },
	{ 0xdb68f3f9, "psample_sample_packet" },
	{ 0x7cedcba9, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x574124d9, "devlink_alloc_ns" },
	{ 0xd43288f, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xf8533591, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe035336c, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xe76bd0a9, "devlink_remote_reload_actions_performed" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0xade09d, "pcpu_hot" },
	{ 0xb9759db, "seq_lseek" },
	{ 0xefae2bf4, "page_pool_destroy" },
	{ 0xa9811963, "xdp_do_redirect" },
	{ 0x549b066f, "devlink_free" },
	{ 0x8f12f8bf, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1c861537, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xa042f1b, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xb5b75e84, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x61ed265a, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x94da833, "pci_irq_vector" },
	{ 0x38d9fd24, "flow_rule_match_ipv4_addrs" },
	{ 0xe91ebb6, "ip_route_output_flow" },
	{ 0xb175a67b, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0x4978c85f, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x19cd46a0, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xc07d8ed3, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x252efa0e, "netdev_err" },
	{ 0xc8ce5e8, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x14a8463f, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x8f113d76, "dev_driver_string" },
	{ 0x6c170449, "netdev_port_same_parent_id" },
	{ 0xa47f4bb3, "trace_event_buffer_commit" },
	{ 0x3dbb3f63, "dev_addr_mod" },
	{ 0x6adfddc7, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x96e77010, "ptp_find_pin" },
	{ 0xb06b27d6, "eth_type_trans" },
	{ 0xa3b447a5, "pci_read_config_dword" },
	{ 0x196ba139, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xd2242dbd, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x87037950, "auxiliary_driver_unregister" },
	{ 0x3e8f95f8, "dma_map_page_attrs" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0xeee1f47e, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x17beea1c, "devlink_port_attrs_pci_vf_set" },
	{ 0xac9c12f6, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x1d358852, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xaecdcdee, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x781435f4, "__napi_schedule" },
	{ 0x73314f54, "devlink_port_health_reporter_create" },
	{ 0x1427b676, "pcie_relaxed_ordering_enabled" },
	{ 0x7a4943b6, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xa6805aba, "kmalloc_node_trace" },
	{ 0x25b92332, "devlink_port_attrs_pci_pf_set" },
	{ 0x73178932, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x58e6e61b, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4f55db2f, "__free_pages" },
	{ 0x3c35578e, "kmem_cache_alloc" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x24cf991a, "skb_vlan_pop" },
	{ 0x5a7d5766, "napi_gro_receive" },
	{ 0x6b2bd73d, "netif_device_attach" },
	{ 0xb8efba96, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xd4151c, "netdev_pick_tx" },
	{ 0x7128677, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf30f66d6, "xp_raw_get_dma" },
	{ 0xacfc70c5, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x43318dc3, "xdp_rxq_info_is_reg" },
	{ 0x46900232, "flow_rule_match_enc_opts" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0xde32ec91, "devlink_net" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0xad4fa657, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x6fc978cd, "devl_health_reporter_create" },
	{ 0xddb702ab, "flow_block_cb_setup_simple" },
	{ 0x47b0f3f, "pci_msix_can_alloc_dyn" },
	{ 0x7222228d, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x289539e1, "unregister_netdevice_notifier_dev_net" },
	{ 0x4498fda9, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x127fbc15, "pci_iov_vf_id" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x62fbb938, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xd52733e1, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x374dc773, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8bf79d6e, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5708f5bd, "__dev_get_by_index" },
	{ 0x85ce46a5, "perf_trace_run_bpf_submit" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xbc27bfa4, "devlink_port_unregister" },
	{ 0x49a9774f, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x96db9c4, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x1546e447, "softnet_data" },
	{ 0x27b177ba, "ipv6_stub" },
	{ 0xf2be9acc, "simple_open" },
	{ 0xbe3dba51, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x599cd012, "bus_find_device" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8d2dd26c, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2edede6, "simple_attr_release" },
	{ 0x91986268, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x150996ce, "xp_dma_sync_for_cpu_slow" },
	{ 0xb51cdd22, "xsk_tx_peek_desc" },
	{ 0x815b09d0, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xbe21b085, "netif_set_real_num_tx_queues" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x6c06814e, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x9473b3de, "irq_get_irq_data" },
	{ 0xebf12d83, "dev_remove_pack" },
	{ 0xb454a486, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0xbcd9f96b, "dev_get_by_index" },
	{ 0xa4fe907c, "bpf_trace_run5" },
	{ 0xd42be327, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd1140b6, "skb_store_bits" },
	{ 0x9f88c69f, "devl_port_register_with_ops" },
	{ 0x9a4847c4, "dev_get_by_index_rcu" },
	{ 0x822d3ff1, "kfree_skb_reason" },
	{ 0x96b80504, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x66f9fd82, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x872d947e, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x3e82f88, "kmem_cache_free" },
	{ 0xee1bf7fe, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x37d08fa8, "debugfs_remove" },
	{ 0xaffb4ac3, "pci_read_config_word" },
	{ 0xb3b64509, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x152332b1, "xsk_clear_rx_need_wakeup" },
	{ 0x526666b, "unregister_netdevice_notifier_net" },
	{ 0xb70c98af, "xsk_uses_need_wakeup" },
	{ 0x95922d3e, "register_netdev" },
	{ 0x1c8499a3, "unregister_fib_notifier" },
	{ 0x632c0cb4, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xdd17cc8a, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xa84d7c88, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x35be5c02, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0xf74e3727, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe9897bd9, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,tls,psample,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "DBE60A609EA44BEA83CEABE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
