#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x499861d9, "dma_sync_single_for_device" },
	{ 0x91512561, "skb_put" },
	{ 0xb06b27d6, "eth_type_trans" },
	{ 0x2aae7d15, "netif_receive_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xeee1f47e, "napi_complete_done" },
	{ 0x252efa0e, "netdev_err" },
	{ 0xee1bf7fe, "dma_alloc_attrs" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x11437e08, "pci_set_power_state" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xb3b64509, "napi_enable" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa6257aa, "napi_schedule_prep" },
	{ 0x781435f4, "__napi_schedule" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbfca37bc, "netif_carrier_on" },
	{ 0x5bfa27e0, "netdev_notice" },
	{ 0x6fcc22cb, "netif_carrier_off" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xec392d2e, "pci_enable_wake" },
	{ 0x2b823cbb, "pci_restore_state" },
	{ 0x6b2bd73d, "netif_device_attach" },
	{ 0xf55080ac, "__pskb_pull_tail" },
	{ 0xce25fb6f, "__skb_pad" },
	{ 0x60aef364, "dev_kfree_skb_any_reason" },
	{ 0x58e6e61b, "netif_device_detach" },
	{ 0x8c7d31f0, "pci_save_state" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x56489eb8, "pci_enable_device" },
	{ 0x5c52bf24, "pci_request_regions" },
	{ 0xc77aaf70, "alloc_etherdev_mqs" },
	{ 0x3924ab95, "pci_set_master" },
	{ 0xde80cd09, "ioremap" },
	{ 0x3dbb3f63, "dev_addr_mod" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6f1d7cc2, "netif_napi_add_weight" },
	{ 0x95922d3e, "register_netdev" },
	{ 0xe2ebaa81, "_dev_notice" },
	{ 0x9d719d70, "eth_mac_addr" },
	{ 0x51bf7e73, "eth_validate_addr" },
	{ 0xeb2eb571, "param_ops_int" },
	{ 0x837057bf, "param_array_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7f59fe81, "dma_unmap_page_attrs" },
	{ 0xf73f08e7, "consume_skb" },
	{ 0x37a0cba, "kfree" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x605d825d, "__pci_register_driver" },
	{ 0xf37895ea, "__platform_driver_register" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xc07d8ed3, "pci_unregister_driver" },
	{ 0x5a2489df, "platform_driver_unregister" },
	{ 0x4d63a0a8, "unregister_netdev" },
	{ 0xb175a67b, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xedc03953, "iounmap" },
	{ 0x35be5c02, "free_netdev" },
	{ 0xa1723e4, "pci_release_regions" },
	{ 0x6155ca4b, "pci_disable_device" },
	{ 0x1533a377, "dev_kfree_skb_irq_reason" },
	{ 0x79ea7eba, "netif_tx_wake_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x96db9c4, "init_net" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8512700d, "dma_free_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x4a1e0b18, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x95474dfb, "napi_disable" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd38d1f7e, "__netdev_alloc_skb" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3e8f95f8, "dma_map_page_attrs" },
	{ 0x8f113d76, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb934d008, "dma_sync_single_for_cpu" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cvia,velocity-vt6110");
MODULE_ALIAS("of:N*T*Cvia,velocity-vt6110C*");
MODULE_ALIAS("pci:v00001106d00003119sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8D53090924691F694CA7383");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
