#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_all_ports_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_fec_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_fibre_port_array, "_gpl", "");
KSYMTAB_DATA(phy_all_ports_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_full_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_config_eee_advert, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0xdb5a05f6, "");
SYMBOL_CRC(phy_get_rate_matching, 0x718466cf, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x96dea5f8, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0xa4018915, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0xce5a49a0, "");
SYMBOL_CRC(phy_mii_ioctl, 0xb8746e93, "");
SYMBOL_CRC(phy_do_ioctl, 0x5524a0f6, "");
SYMBOL_CRC(phy_do_ioctl_running, 0x8e7b4211, "");
SYMBOL_CRC(phy_queue_state_machine, 0x3f4e2d70, "");
SYMBOL_CRC(phy_trigger_machine, 0x8ed728bf, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0x98e4b10e, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0x5d68c3e7, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0xc49e3931, "");
SYMBOL_CRC(phy_start_cable_test, 0x12013ed7, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0x19985d59, "");
SYMBOL_CRC(phy_config_aneg, 0x7ebd6090, "");
SYMBOL_CRC(phy_start_aneg, 0x8a9e817d, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x40d59515, "");
SYMBOL_CRC(phy_speed_down, 0xea54dff7, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x03af79a9, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x329ba703, "_gpl");
SYMBOL_CRC(phy_error, 0x888a8e90, "");
SYMBOL_CRC(phy_request_interrupt, 0x851d8516, "");
SYMBOL_CRC(phy_free_interrupt, 0x81124ce3, "");
SYMBOL_CRC(phy_stop, 0x316b9b82, "");
SYMBOL_CRC(phy_start, 0xbe296fba, "");
SYMBOL_CRC(phy_mac_interrupt, 0xbd9486e1, "");
SYMBOL_CRC(phy_init_eee, 0x7626e64c, "");
SYMBOL_CRC(phy_get_eee_err, 0x19316dba, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0x3a1320fd, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0xf972a98f, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0xfd860142, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0xb67c5337, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x24d435e8, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0xa53eb241, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0x6eb3e751, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0x997afce2, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x3cb54bcc, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0xf21943b8, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0xbb04c4bb, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x3fcfb1e0, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0x5aba02c1, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0x1d30db5d, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0x1ce0a9b3, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x12c63e59, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0x03f0cc82, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0x7ca41250, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0xe80917d5, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0x4dad26bd, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x0c039acc, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0x2f5328e1, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0x79985eae, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0x9fa28fc1, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0x6c7bdb8f, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0xd3c3c4ed, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0xb58b9375, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0x3c48da69, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0x9d298a58, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0x77a352a6, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0xace0ef8c, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0xf50c89ee, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0x6571a935, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0x0393804b, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x9fc3168c, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0x027439c6, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0xfcfaa56d, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0x1567113b, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0x5e08e4ea, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0x907e27e1, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0x5975398b, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0xdce8d4ad, "");
SYMBOL_CRC(phy_read_mmd, 0xeac551d9, "");
SYMBOL_CRC(__phy_write_mmd, 0x8ae64c13, "");
SYMBOL_CRC(phy_write_mmd, 0x30ad7188, "");
SYMBOL_CRC(phy_modify_changed, 0x9dca31d3, "_gpl");
SYMBOL_CRC(__phy_modify, 0x164484f5, "_gpl");
SYMBOL_CRC(phy_modify, 0xfa77a523, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0xd67e0d38, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0xdade6f50, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0x23f16935, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0x2b369826, "_gpl");
SYMBOL_CRC(phy_save_page, 0x72637f8f, "_gpl");
SYMBOL_CRC(phy_select_page, 0xff1be945, "_gpl");
SYMBOL_CRC(phy_restore_page, 0x30410284, "_gpl");
SYMBOL_CRC(phy_read_paged, 0xaedb3df5, "");
SYMBOL_CRC(phy_write_paged, 0x27fea07b, "");
SYMBOL_CRC(phy_modify_paged_changed, 0xd45502fc, "");
SYMBOL_CRC(phy_modify_paged, 0xcb5bb95a, "");
SYMBOL_CRC(phy_basic_features, 0x23c3b778, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xda10e1e2, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x03473884, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x8696808c, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x9b16e4ee, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xd9e61980, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x3542e347, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x3be200ce, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x24235223, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x30110a29, "_gpl");
SYMBOL_CRC(phy_device_free, 0x54136885, "");
SYMBOL_CRC(phy_register_fixup, 0x0f90fec5, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0xc0b3d8e4, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0xca30ca90, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0x800cbe01, "");
SYMBOL_CRC(fwnode_get_phy_id, 0x067c4fe0, "");
SYMBOL_CRC(get_phy_device, 0xcf90a1be, "");
SYMBOL_CRC(phy_device_register, 0x38dabe0e, "");
SYMBOL_CRC(phy_device_remove, 0x2289ce80, "");
SYMBOL_CRC(phy_get_c45_ids, 0x822a1c77, "");
SYMBOL_CRC(phy_find_first, 0xed4609ba, "");
SYMBOL_CRC(phy_connect_direct, 0x806726a7, "");
SYMBOL_CRC(phy_connect, 0xb3bc2297, "");
SYMBOL_CRC(phy_disconnect, 0x81334cd7, "");
SYMBOL_CRC(phy_init_hw, 0x3cb92a1f, "");
SYMBOL_CRC(phy_attached_info, 0x85884f80, "");
SYMBOL_CRC(phy_attached_info_irq, 0xa386ab84, "");
SYMBOL_CRC(phy_attached_print, 0x68189c6f, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0x373a06d6, "");
SYMBOL_CRC(phy_attach_direct, 0x5f5eb021, "");
SYMBOL_CRC(phy_attach, 0xa723a16b, "");
SYMBOL_CRC(phy_driver_is_genphy, 0xdbfc8bc8, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0xfe93c27a, "_gpl");
SYMBOL_CRC(phy_package_join, 0x5a9cda0d, "_gpl");
SYMBOL_CRC(phy_package_leave, 0x12171b22, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0x0ac66735, "_gpl");
SYMBOL_CRC(phy_detach, 0x4885487d, "");
SYMBOL_CRC(phy_suspend, 0x57cec6d0, "");
SYMBOL_CRC(__phy_resume, 0x6d496ac7, "");
SYMBOL_CRC(phy_resume, 0x9e81d024, "");
SYMBOL_CRC(phy_loopback, 0x04332d21, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0xb94656f8, "");
SYMBOL_CRC(genphy_config_eee_advert, 0xaf01aeeb, "");
SYMBOL_CRC(genphy_setup_forced, 0xe4d9b232, "");
SYMBOL_CRC(genphy_read_master_slave, 0x28fe5236, "");
SYMBOL_CRC(genphy_restart_aneg, 0xfca6d35b, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0x974c09f7, "");
SYMBOL_CRC(__genphy_config_aneg, 0xef1cb52a, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0xfa2f7f02, "");
SYMBOL_CRC(genphy_aneg_done, 0x4d84cf42, "");
SYMBOL_CRC(genphy_update_link, 0x649d80b2, "");
SYMBOL_CRC(genphy_read_lpa, 0xcf020eca, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x354aef5c, "");
SYMBOL_CRC(genphy_read_status, 0x3d743ddb, "");
SYMBOL_CRC(genphy_c37_read_status, 0x91716e7a, "");
SYMBOL_CRC(genphy_soft_reset, 0x35e1654a, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0xfd8b17c3, "");
SYMBOL_CRC(genphy_read_abilities, 0x868a795e, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0x171ff2b8, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0xbeb9c0e6, "");
SYMBOL_CRC(genphy_suspend, 0xffcfe6b5, "");
SYMBOL_CRC(genphy_resume, 0xf87ee089, "");
SYMBOL_CRC(genphy_loopback, 0xd88ebd90, "");
SYMBOL_CRC(phy_remove_link_mode, 0xe0d13b79, "");
SYMBOL_CRC(phy_advertise_supported, 0x4da3217b, "");
SYMBOL_CRC(phy_support_sym_pause, 0x223c4658, "");
SYMBOL_CRC(phy_support_asym_pause, 0x81b45692, "");
SYMBOL_CRC(phy_set_sym_pause, 0xe3385cc1, "");
SYMBOL_CRC(phy_set_asym_pause, 0xfe102334, "");
SYMBOL_CRC(phy_validate_pause, 0x099d0eb0, "");
SYMBOL_CRC(phy_get_pause, 0xfaea3a72, "");
SYMBOL_CRC(phy_get_internal_delay, 0xe962fa79, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0xe2ad274e, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x05c2aec8, "");
SYMBOL_CRC(device_phy_find_device, 0x6a5ce8a1, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x37f23a14, "_gpl");
SYMBOL_CRC(phy_driver_register, 0x9f29c0c2, "");
SYMBOL_CRC(phy_drivers_register, 0x44a164cc, "");
SYMBOL_CRC(phy_driver_unregister, 0x28455b16, "");
SYMBOL_CRC(phy_drivers_unregister, 0x741760c4, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0x8395729e, "");
SYMBOL_CRC(mdiobus_unregister_device, 0xea2d4142, "");
SYMBOL_CRC(mdiobus_get_phy, 0xc6274b75, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0x6f6eaae1, "");
SYMBOL_CRC(mdiobus_alloc_size, 0x44247182, "");
SYMBOL_CRC(mdio_find_bus, 0x5654954b, "");
SYMBOL_CRC(mdiobus_scan_c22, 0xe39d5403, "");
SYMBOL_CRC(__mdiobus_register, 0x239d84b2, "");
SYMBOL_CRC(mdiobus_unregister, 0x3ee83ee2, "");
SYMBOL_CRC(mdiobus_free, 0xb48af836, "");
SYMBOL_CRC(__mdiobus_read, 0x38d2ae7b, "");
SYMBOL_CRC(__mdiobus_write, 0xee47f82c, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0xcbc153e2, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0x1611129d, "");
SYMBOL_CRC(__mdiobus_c45_write, 0xac49c7d1, "");
SYMBOL_CRC(mdiobus_read_nested, 0xc429081b, "");
SYMBOL_CRC(mdiobus_read, 0x681fbffd, "");
SYMBOL_CRC(mdiobus_c45_read, 0x84c786b8, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0xc711c1e3, "");
SYMBOL_CRC(mdiobus_write_nested, 0x42f6f3c8, "");
SYMBOL_CRC(mdiobus_write, 0x1783d512, "");
SYMBOL_CRC(mdiobus_c45_write, 0xa6c72669, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0xac5f7e3d, "");
SYMBOL_CRC(__mdiobus_modify, 0xd285aa76, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0x761075a7, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x1e4ac6c2, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0x94f1e86a, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0x385a6797, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0xdd08e72f, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x65f1a0e2, "");
SYMBOL_CRC(mdio_device_create, 0x3bc9ea64, "");
SYMBOL_CRC(mdio_device_register, 0xc1ea1d4d, "");
SYMBOL_CRC(mdio_device_remove, 0xf0ae1abe, "");
SYMBOL_CRC(mdio_device_reset, 0x8384e32d, "");
SYMBOL_CRC(mdio_driver_register, 0xc17494b9, "");
SYMBOL_CRC(mdio_driver_unregister, 0xef079adc, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0x4e474baf, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0x23da5275, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0xa388ed0d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82e88843, "trace_raw_output_prep" },
	{ 0x9e2f8365, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xcfa9d7fa, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0xc1a7d6ef, "__trace_trigger_soft_disabled" },
	{ 0x428f696, "gpiod_set_value_cansleep" },
	{ 0x4b3710ab, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x394376b3, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x44eeaf3a, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xade09d, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x62a08d99, "devm_gpiod_get_optional" },
	{ 0x800a084a, "get_device" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0x37632186, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xa47f4bb3, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xad387e0d, "device_match_fwnode" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xbb79e446, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaecdcdee, "put_device" },
	{ 0x172c960d, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xfc24188, "module_put" },
	{ 0xa2b9b343, "sysfs_create_link" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfb463261, "phylib_stubs" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0x85ce46a5, "perf_trace_run_bpf_submit" },
	{ 0xcfa3073e, "bus_unregister" },
	{ 0xfd666b33, "devm_kfree" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x599cd012, "bus_find_device" },
	{ 0x5794577d, "device_add" },
	{ 0xa7a9791, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x95f6b712, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0x632c0cb4, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x1760c27f, "is_acpi_data_node" },
	{ 0xd3a7371f, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x110680d1, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0xeea75c3d, "class_unregister" },
	{ 0x9d796880, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x574618b5, "device_register" },
	{ 0x491e8270, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x63f925f, "device_bind_driver" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2b35d1bd, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd1545b9e, "netdev_alert" },
	{ 0x65ecc94c, "ethnl_cable_test_alloc" },
	{ 0x8be490bf, "fwnode_find_reference" },
	{ 0x8affd1e2, "fwnode_property_read_string" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9b459854, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56d9c9b9, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x19d7cdb7, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6fcc22cb, "netif_carrier_off" },
	{ 0xe7a00b6f, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa35a9024, "led_trigger_register" },
	{ 0xbfca37bc, "netif_carrier_on" },
	{ 0x18818ca, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfcdbc487, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0x8c6c6e1f, "sysfs_create_link_nowarn" },
	{ 0x9b8043cf, "dev_err_probe" },
	{ 0x242276ce, "ethnl_cable_test_finished" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xc88fb447, "fwnode_handle_put" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0x9e7d34ce, "led_trigger_event" },
	{ 0xbff6921b, "device_release_driver" },
	{ 0x5f495a13, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x706c8818, "gpiod_set_consumer_name" },
	{ 0xcec71809, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd1ecaa3b, "driver_register" },
	{ 0xae410f1f, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x83133703, "__dev_fwnode" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x4a1e0b18, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdbc82372, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0xc1792210, "class_find_device" },
	{ 0x115c9362, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xedfee466, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbc71082b, "is_acpi_device_node" },
	{ 0xf0ef5d70, "gpiod_put" },
	{ 0xa19dbc29, "devm_kmalloc" },
	{ 0x78a81570, "sysfs_create_file_ns" },
	{ 0xa3e26343, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E5CD219E04B59DDFEBA1CB9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
