#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(orinoco_open, "", "");
KSYMTAB_FUNC(orinoco_stop, "", "");
KSYMTAB_FUNC(orinoco_set_multicast_list, "", "");
KSYMTAB_FUNC(orinoco_change_mtu, "", "");
KSYMTAB_FUNC(orinoco_process_xmit_skb, "", "");
KSYMTAB_FUNC(orinoco_tx_timeout, "", "");
KSYMTAB_FUNC(__orinoco_ev_rx, "", "");
KSYMTAB_FUNC(__orinoco_ev_info, "", "");
KSYMTAB_FUNC(orinoco_interrupt, "", "");
KSYMTAB_FUNC(orinoco_init, "", "");
KSYMTAB_FUNC(alloc_orinocodev, "", "");
KSYMTAB_FUNC(orinoco_if_add, "", "");
KSYMTAB_FUNC(orinoco_if_del, "", "");
KSYMTAB_FUNC(free_orinocodev, "", "");
KSYMTAB_FUNC(orinoco_up, "", "");
KSYMTAB_FUNC(orinoco_down, "", "");
KSYMTAB_FUNC(hermes_struct_init, "", "");

SYMBOL_CRC(orinoco_open, 0x94a76ff3, "");
SYMBOL_CRC(orinoco_stop, 0x8e65ed34, "");
SYMBOL_CRC(orinoco_set_multicast_list, 0xd51d4742, "");
SYMBOL_CRC(orinoco_change_mtu, 0xbd0cd272, "");
SYMBOL_CRC(orinoco_process_xmit_skb, 0x5065bebe, "");
SYMBOL_CRC(orinoco_tx_timeout, 0x4f0eddba, "");
SYMBOL_CRC(__orinoco_ev_rx, 0x2926bd33, "");
SYMBOL_CRC(__orinoco_ev_info, 0x81bb70bf, "");
SYMBOL_CRC(orinoco_interrupt, 0xffe27bca, "");
SYMBOL_CRC(orinoco_init, 0xb456216d, "");
SYMBOL_CRC(alloc_orinocodev, 0x365d130e, "");
SYMBOL_CRC(orinoco_if_add, 0x7f01149a, "");
SYMBOL_CRC(orinoco_if_del, 0x32701411, "");
SYMBOL_CRC(free_orinocodev, 0xafef26b4, "");
SYMBOL_CRC(orinoco_up, 0xd5c11dbd, "");
SYMBOL_CRC(orinoco_down, 0x944a176e, "");
SYMBOL_CRC(hermes_struct_init, 0xa74c2dc5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6cbbc89, "capable" },
	{ 0x67ce8f87, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x32c94e6d, "crypto_shash_setkey" },
	{ 0xd94f969b, "cfg80211_wext_giwfrag" },
	{ 0x872d947e, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x54067a30, "wireless_send_event" },
	{ 0x95922d3e, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x35be5c02, "free_netdev" },
	{ 0xc1094e78, "iw_handler_get_spy" },
	{ 0xda22b946, "crypto_shash_update" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x79ea7eba, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x841ebd9, "wireless_spy_update" },
	{ 0x679e98, "netif_rx" },
	{ 0xd38d1f7e, "__netdev_alloc_skb" },
	{ 0xfe1e8f16, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x38157912, "cfg80211_wext_siwmode" },
	{ 0xe2ebaa81, "_dev_notice" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xe49fd805, "crypto_shash_final" },
	{ 0x4d56bab6, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9b7a385c, "cfg80211_wext_giwretry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6fcc22cb, "netif_carrier_off" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x89aa92e3, "cfg80211_wext_siwscan" },
	{ 0xbfca37bc, "netif_carrier_on" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x33a8cd40, "cfg80211_inform_bss_data" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xeb2eb571, "param_ops_int" },
	{ 0x5ae60b8c, "crypto_alloc_shash" },
	{ 0xf914b5aa, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x5e1402c2, "iw_handler_set_thrspy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc77aaf70, "alloc_etherdev_mqs" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9d719d70, "eth_mac_addr" },
	{ 0x91512561, "skb_put" },
	{ 0x3e723e18, "cfg80211_scan_done" },
	{ 0xf73f08e7, "consume_skb" },
	{ 0x6357a4f0, "cfg80211_wext_siwfrag" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4d63a0a8, "unregister_netdev" },
	{ 0x39b9a4a, "cfg80211_wext_giwrts" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x66e2027d, "request_firmware" },
	{ 0xf69b981e, "cfg80211_wext_giwscan" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa010c179, "cfg80211_wext_giwname" },
	{ 0x37a0cba, "kfree" },
	{ 0x8e347c20, "iw_handler_set_spy" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x51bf7e73, "eth_validate_addr" },
	{ 0x1533a377, "dev_kfree_skb_irq_reason" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x820d4b79, "cfg80211_wext_giwmode" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa3143677, "cfg80211_wext_giwrange" },
	{ 0x3dbb3f63, "dev_addr_mod" },
	{ 0xbe946256, "crypto_destroy_tfm" },
	{ 0xb06b27d6, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d822f4f, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x848d372e, "iowrite8" },
	{ 0x89a365e5, "iw_handler_get_thrspy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7d9c6ef2, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x9520a5bc, "cfg80211_put_bss" },
	{ 0x58e6e61b, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x89ae64be, "_dev_info" },
	{ 0xcb9ff4be, "cfg80211_wext_siwrts" },
	{ 0x6b2bd73d, "netif_device_attach" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "B1B647A019CEB604DA8EB41");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
