#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_connac_mcu_start_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_patch_sem_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_start_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_init_download, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_mac_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_vif_ps, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rts_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_beacon_loss_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_nested_tlv, "_gpl", "");
KSYMTAB_FUNC(__mt76_connac_mcu_alloc_sta_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_alloc_wtbl_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_omac_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_uapsd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_hdr_trans_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_generic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_smps_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ht_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_dev, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_wed_update, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_ext, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_he_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_eht_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_set_chctx, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_bss, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_chip_config, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_sta_state_dp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_coredump_event, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_get_nic_capability, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rate_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_arp_filter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_p2p_oppps, "_gpl", "");
KSYMTAB_DATA(mt76_connac_wowlan_support, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_hif_suspend, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_rr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_wr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_key, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_ext_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_pm, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_rdd_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_ram, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_gen_ppe_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_wake, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_power_save_sched, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_free_pending_tx_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_dequeue_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_write_hw_txp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_txp_skb_unmap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_init_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_tx_rate_val, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_txs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_add_txs_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_reverse_frag0_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_rx_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_check_aggr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_he_radiotap, "_gpl", "");

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0x7276a4b1, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0x64e909d5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0x2e58ec01, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0x355b24a2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0x353b6e2a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0xc78da042, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0x88f9c947, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0x9f58c4f9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0x6510c305, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0x6d5720a8, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0x4588ad73, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0x8f9d41b5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0xba1d13cf, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0x4870765a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0x4b29544a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0x5da985d0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0xd7643a7d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0x647eb9a1, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0xfa85c250, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0x1cb64382, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0x5f1aefda, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0x316597f9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0x10e0c6fa, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0xe724bbd3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0x8cfa4d3f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0x10b9fc34, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0x8f5269a7, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0x62d37cde, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0xa60f46c7, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0x7fe94ef0, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0xf20a7c9b, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0x26d2e0f9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0x189925a6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0x72736a41, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0x2ef78342, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0x97f6e79d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0xfad3c716, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0xf272c1b0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0x3147e781, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0x2c28c14e, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0xc3ad496e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0xd821b1ba, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_get_nic_capability, 0x7db16b01, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0xeec04779, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0xb32ac3e9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0x28b51ad3, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0x1ba2e327, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0x5e2f6d4f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0xbf140e97, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0xb4a047f0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0x1038758f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0xaa08acb2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0xe7d3435b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0x0e524d42, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0x87759de0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0x720526d5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0x2cb2ef03, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0x5ee084b7, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0xf4ee84e7, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0x6cd8f874, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0x5edb16b6, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0x7f2ec8a4, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0x362f9cc7, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0xb17119c2, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0x6cc3bad9, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0x2e25bb10, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0x11c69bd8, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0x05eef3bf, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0xb5b4aef5, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0xdab03460, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0x2d2bcdf3, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0x66e93cda, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0xaa694259, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0x40c6ecdc, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0x6f127113, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0x49ead996, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_check_aggr, 0x372d5a04, "_gpl");
SYMBOL_CRC(mt76_connac2_txwi_free, 0x32a78a8e, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_token_put, 0x314fb946, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_he_radiotap, 0x958e4980, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x91512561, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf73f08e7, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xece8ca89, "mt76_tx_status_skb_get" },
	{ 0x9395f3bd, "mt76_tx_status_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7f59fe81, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x66e2027d, "request_firmware" },
	{ 0x8f64dd83, "mt76_get_rate" },
	{ 0x87dcc5ce, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa9512e26, "ieee80211_beacon_loss" },
	{ 0x83fd3fe5, "__mt76_tx_complete_skb" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x59c9ca05, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x21206d51, "wake_up_process" },
	{ 0x86135abb, "ieee80211_find_sta" },
	{ 0xd8cea6e0, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf9f3c886, "mt76_tx" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x3d6693d3, "mt76_init_queue" },
	{ 0xbec97936, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xbe3dba51, "skb_pull" },
	{ 0x270ef7b5, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x872d947e, "skb_push" },
	{ 0x22430a0e, "ieee80211_wake_queues" },
	{ 0xb600f625, "mt76_mcu_send_and_get_msg" },
	{ 0x2eeb8468, "ieee80211_iter_keys_rcu" },
	{ 0x9458f4eb, "__mt76_mcu_msg_alloc" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x7f40b307, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3a214c1c, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x125c9e79, "mt76_get_rate_power_limits" },
	{ 0x520cdc95, "ieee80211_scan_completed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x82479638, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdb43ee42, "mt76_put_txwi" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x60aef364, "dev_kfree_skb_any_reason" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x194be7dd, "mt76_tx_status_unlock" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "2BD716C3FED8A9E3FB66125");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
