#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_stop, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0x35f22641, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0xd5e28ad0, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0xc790b39a, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x101d2cdc, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x03308d15, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x43e9558a, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0xf3f1d1a0, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x785d64f6, "_gpl");
SYMBOL_CRC(__mt7921_start, 0xa2dc2e71, "_gpl");
SYMBOL_CRC(mt7921_stop, 0x96fc97d6, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0xcff818f9, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0xa002d943, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0x337c3e91, "_gpl");
SYMBOL_CRC(mt7921_ops, 0xf62c67b3, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x5fe30397, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0x4db8f257, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x372d5a04, "mt76_connac2_tx_check_aggr" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0x6c3d0b9, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x62fa6082, "pskb_expand_head" },
	{ 0x157d270f, "mt76_wcid_init" },
	{ 0x21206d51, "wake_up_process" },
	{ 0x362f9cc7, "mt76_connac_free_pending_tx_skbs" },
	{ 0x84bd4fc9, "mt792x_sta_statistics" },
	{ 0xf5bf1053, "skb_queue_purge_reason" },
	{ 0x7f2ec8a4, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x788d97c5, "mt792x_conf_tx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcefe1bb0, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x459fb3a9, "mt792x_get_et_sset_count" },
	{ 0xc78da042, "mt76_connac_mcu_set_mac_enable" },
	{ 0x3d5bddba, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x54f349d2, "mt792x_init_acpi_sar_power" },
	{ 0x5075b586, "mt792x_set_wakeup" },
	{ 0xa6c3679c, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x89ae64be, "_dev_info" },
	{ 0xd7d5a5d4, "skb_queue_tail" },
	{ 0x1d1fd5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xad329e46, "mt76_rx" },
	{ 0x30fd0070, "mt792x_load_firmware" },
	{ 0xfad3c716, "mt76_connac_mcu_sched_scan_req" },
	{ 0x21c2125b, "mt792x_get_et_stats" },
	{ 0x32a78a8e, "mt76_connac2_txwi_free" },
	{ 0xa9378fc0, "__tracepoint_lp_event" },
	{ 0x72736a41, "mt76_connac_mcu_uni_add_bss" },
	{ 0xaa694259, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x5eb0a5f4, "wiphy_to_ieee80211_hw" },
	{ 0x62fbb938, "debugfs_attr_read" },
	{ 0x2ef78342, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9f176a95, "ieee80211_queue_delayed_work" },
	{ 0x8cd3df54, "devm_kmemdup" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xbe3dba51, "skb_pull" },
	{ 0x934dba62, "mt76_register_device" },
	{ 0xb26e326d, "mt792x_get_stats" },
	{ 0x270ef7b5, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2edede6, "simple_attr_release" },
	{ 0x9097bfc8, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf7ebca90, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x872d947e, "skb_push" },
	{ 0x45d6565d, "mt76_set_channel" },
	{ 0x22430a0e, "ieee80211_wake_queues" },
	{ 0xb600f625, "mt76_mcu_send_and_get_msg" },
	{ 0xb6022cbb, "ieee80211_beacon_get_template" },
	{ 0x5eee8188, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x49f7d875, "mt76_eeprom_override" },
	{ 0x791c6670, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9458f4eb, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9ace3910, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x71a479e9, "devm_hwmon_device_register_with_groups" },
	{ 0x843e7245, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2e68c30, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf55080ac, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0xba8d8d11, "mt792x_tx" },
	{ 0x9bdaefd8, "mt792x_get_et_strings" },
	{ 0x151d3c34, "mt76_sta_state" },
	{ 0x5e3a646d, "ieee80211_ready_on_channel" },
	{ 0x3a214c1c, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9be832e, "devm_kasprintf" },
	{ 0x2dbb7a15, "cfg80211_reg_can_beacon" },
	{ 0xaed1f229, "mt792x_remove_interface" },
	{ 0xee5cdceb, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7db16b01, "mt76_connac_mcu_get_nic_capability" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x5d0b84e9, "mt792x_queues_read" },
	{ 0x97f6e79d, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xd17d7d7e, "debugfs_create_file" },
	{ 0x70073e74, "mt792x_queues_acq" },
	{ 0x5d89c1d5, "ieee80211_sched_scan_results" },
	{ 0x520cdc95, "ieee80211_scan_completed" },
	{ 0x1d06abf8, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1f04cb70, "mt76_insert_ccmp_hdr" },
	{ 0x10e0c6fa, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4d56bab6, "param_ops_bool" },
	{ 0x6f127113, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0x3d6ed6c, "mt792x_tx_stats_show" },
	{ 0xb9b48d8a, "mt76_rx_aggr_start" },
	{ 0x8cf4562d, "__SCK__tp_func_lp_event" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xddcad84a, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0xd821b1ba, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x874a6ea9, "mt792x_mac_init_band" },
	{ 0x3ab44979, "mt76_skb_adjust_pad" },
	{ 0xbae8a5b4, "mt792x_init_wiphy" },
	{ 0xdd693ec5, "seq_puts" },
	{ 0xc3ad496e, "mt76_connac_sta_state_dp" },
	{ 0xbf140e97, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x43ad2be8, "single_release" },
	{ 0x5d62190d, "mt76_queues_read" },
	{ 0x20078a6e, "mt76_sta_pre_rcu_remove" },
	{ 0x2565b0b7, "mt76_register_debugfs_fops" },
	{ 0xe185e81e, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x2d2bcdf3, "mt76_connac2_mac_write_txwi" },
	{ 0x805f5f3b, "__mt76_set_tx_blocked" },
	{ 0x62d37cde, "mt76_connac_mcu_sta_ba" },
	{ 0x40c6ecdc, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x4c347a57, "ieee80211_queue_work" },
	{ 0x46dfc808, "mt792x_mac_reset_counters" },
	{ 0x6670bc02, "napi_consume_skb" },
	{ 0xa83e0eaa, "__mt76_poll" },
	{ 0xb2fb3a11, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x4250e57, "single_open" },
	{ 0xaa08acb2, "mt76_connac_mcu_add_key" },
	{ 0x575ac7ac, "mt792x_unassign_vif_chanctx" },
	{ 0x4bb70d0e, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0xe66d8297, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1ba2e327, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xeec04779, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x46243f95, "ieee80211_sta_register_airtime" },
	{ 0x5768dda3, "mt792x_init_wcid" },
	{ 0x1b0ea4c0, "mt792x_init_acpi_sar" },
	{ 0xbcc986d3, "mt76_init_sar_power" },
	{ 0xd2a1b860, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x30fd855a, "simple_attr_open" },
	{ 0xa6e6e528, "ieee80211_iterate_interfaces" },
	{ 0x1b3a4ca8, "debugfs_attr_write" },
	{ 0xd7643a7d, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xf272c1b0, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x91512561, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf73f08e7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x189925a6, "mt76_connac_mcu_uni_set_chctx" },
	{ 0xaa3296b, "mt792x_tx_worker" },
	{ 0x5c0e3d95, "mt792x_flush" },
	{ 0x443c0b3f, "mt792x_rx_get_wcid" },
	{ 0xf6c43d9f, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x9f58c4f9, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x353b6e2a, "mt76_connac_mcu_set_channel_domain" },
	{ 0x8cfa4d3f, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xdbed82cc, "mt76_release_buffered_frames" },
	{ 0x66e2027d, "request_firmware" },
	{ 0xba3df537, "mt76_get_txpower" },
	{ 0xc106bc5e, "mt76_tx_status_skb_add" },
	{ 0x5edb16b6, "mt76_connac_pm_wake" },
	{ 0x49ead996, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0x2c28c14e, "mt76_connac_mcu_set_deep_sleep" },
	{ 0x48c040d0, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3147e781, "mt76_connac_mcu_chip_config" },
	{ 0xd0244649, "mt76_get_antenna" },
	{ 0x75c7aa3a, "mt792x_set_coverage_class" },
	{ 0xba46d354, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x83fd3fe5, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xade09d, "pcpu_hot" },
	{ 0xb9759db, "seq_lseek" },
	{ 0xe63d5c24, "mt76_set_stream_caps" },
	{ 0x40d014c3, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x59c9ca05, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0xb32ac3e9, "mt76_connac_mcu_update_arp_filter" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mt792x-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "D4CEA96265480E269DD717A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
