#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0xe38f21c4, "");
SYMBOL_CRC(rtw_pci_probe, 0xa3923953, "");
SYMBOL_CRC(rtw_pci_remove, 0x5f980f4c, "");
SYMBOL_CRC(rtw_pci_shutdown, 0xc02c014e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f00ef6d, "rtw_chip_info_setup" },
	{ 0xf97e4b89, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xaff885b6, "rtw_unregister_hw" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xbe3dba51, "skb_pull" },
	{ 0x87fea3e9, "rtw_tx_fill_tx_desc" },
	{ 0x872d947e, "skb_push" },
	{ 0xee1bf7fe, "dma_alloc_attrs" },
	{ 0xb3b64509, "napi_enable" },
	{ 0x98efeafc, "rtw_core_init" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xff02be66, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x42d00a2f, "pci_iounmap" },
	{ 0xb934d008, "dma_sync_single_for_cpu" },
	{ 0xcd2ef56a, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x3924ab95, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4c3b3b29, "ieee80211_stop_queue" },
	{ 0xd38d1f7e, "__netdev_alloc_skb" },
	{ 0x2819cf45, "rtw_rx_stats" },
	{ 0xed30257f, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd9ba0ad1, "rtw_register_hw" },
	{ 0x8512700d, "dma_free_attrs" },
	{ 0x4d56bab6, "param_ops_bool" },
	{ 0xa1723e4, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5a78e187, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x88ecc56e, "rtw_core_deinit" },
	{ 0xe4ef412f, "rtw_ops" },
	{ 0x6155ca4b, "pci_disable_device" },
	{ 0xa6257aa, "napi_schedule_prep" },
	{ 0x95474dfb, "napi_disable" },
	{ 0x60aef364, "dev_kfree_skb_any_reason" },
	{ 0x73d85f7e, "rtw_power_mode_change" },
	{ 0x313abea, "rtw_tx_write_data_h2c_get" },
	{ 0xf2f265f3, "pci_free_irq_vectors" },
	{ 0xcd5affb9, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf764b324, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x67db58b3, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x48651c91, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x485c1332, "rtw_tx_queue_mapping" },
	{ 0xeeba3358, "pcie_capability_read_word" },
	{ 0xbaf457c7, "devm_request_threaded_irq" },
	{ 0x56489eb8, "pci_enable_device" },
	{ 0x91512561, "skb_put" },
	{ 0xf73f08e7, "consume_skb" },
	{ 0xc67b2968, "pci_iomap" },
	{ 0xdd160c19, "pci_alloc_irq_vectors" },
	{ 0x6f1d7cc2, "netif_napi_add_weight" },
	{ 0xf6c43d9f, "skb_dequeue" },
	{ 0xd8ab79eb, "ieee80211_free_hw" },
	{ 0x7f59fe81, "dma_unmap_page_attrs" },
	{ 0x499861d9, "dma_sync_single_for_device" },
	{ 0x5c52bf24, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x1533a377, "dev_kfree_skb_irq_reason" },
	{ 0x11437e08, "pci_set_power_state" },
	{ 0xb175a67b, "__netif_napi_del" },
	{ 0x212c7f3d, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8f113d76, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3e8f95f8, "dma_map_page_attrs" },
	{ 0xeee1f47e, "napi_complete_done" },
	{ 0xbfcd86a4, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x12a646bc, "devm_free_irq" },
	{ 0x781435f4, "__napi_schedule" },
	{ 0xd7d5a5d4, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "90DC99D9FC974C42492204B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
