#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa042f1b, "netdev_warn" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2027fb2, "xenbus_switch_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4356c9ba, "__module_get" },
	{ 0xb175a67b, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x26e0033a, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x252efa0e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x21206d51, "wake_up_process" },
	{ 0xde9ab8c7, "xenbus_rm" },
	{ 0x3dbb3f63, "dev_addr_mod" },
	{ 0xb06b27d6, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeee1f47e, "napi_complete_done" },
	{ 0x90543b7a, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x781435f4, "__napi_schedule" },
	{ 0x35f39b75, "__alloc_skb" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xd4151c, "netdev_pick_tx" },
	{ 0xfc24188, "module_put" },
	{ 0xd0458ccb, "xenbus_strstate" },
	{ 0x73794584, "skb_checksum_setup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x97860c50, "napi_pp_put_page" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2c21d308, "kthread_stop_put" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbe21b085, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb454a486, "netif_set_real_num_rx_queues" },
	{ 0x822d3ff1, "kfree_skb_reason" },
	{ 0x7444e1a3, "gnttab_batch_copy" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0x37d08fa8, "debugfs_remove" },
	{ 0xb3b64509, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xea5cbce, "xen_irq_lateeoi" },
	{ 0x2aae7d15, "netif_receive_skb" },
	{ 0x95922d3e, "register_netdev" },
	{ 0x8e53438e, "xenbus_unregister_driver" },
	{ 0x35be5c02, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3918240d, "xenbus_watch_pathfmt" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x207755df, "kthread_stop" },
	{ 0x403e9bb5, "ethtool_op_get_link" },
	{ 0x926c53a6, "bind_interdomain_evtchn_to_irqhandler_lateeoi" },
	{ 0xad14de45, "__xenbus_register_backend" },
	{ 0xeafecd55, "gnttab_free_pages" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xacf31d99, "netif_tx_stop_all_queues" },
	{ 0x79ea7eba, "netif_tx_wake_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0x5d41960b, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x57ed2c2a, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xee5cdceb, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xeb4d0eaa, "xenbus_unmap_ring_vfree" },
	{ 0x3a7d80f9, "xen_max_p2m_pfn" },
	{ 0xd17d7d7e, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4d56bab6, "param_ops_bool" },
	{ 0x1fae1a53, "alloc_pages" },
	{ 0xf99f7fa5, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6fcc22cb, "netif_carrier_off" },
	{ 0xddcad84a, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xbfca37bc, "netif_carrier_on" },
	{ 0x2f80fd6b, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4b931968, "xen_features" },
	{ 0xe7d33f66, "gnttab_unmap_refs" },
	{ 0xdd693ec5, "seq_puts" },
	{ 0x43ad2be8, "single_release" },
	{ 0xcd8e6b34, "gnttab_alloc_pages" },
	{ 0xfe727411, "get_phys_to_machine" },
	{ 0xdcee1154, "xenbus_dev_is_online" },
	{ 0xd41e1ac5, "__skb_flow_dissect" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xa6257aa, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x95474dfb, "napi_disable" },
	{ 0x60aef364, "dev_kfree_skb_any_reason" },
	{ 0xbb0b25d2, "register_xenbus_watch" },
	{ 0x4250e57, "single_open" },
	{ 0xc1000204, "gnttab_map_refs" },
	{ 0x5286b54a, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1cd99263, "xenbus_map_ring_valloc" },
	{ 0x5cab9945, "unregister_xenbus_watch" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x4a1e0b18, "netdev_info" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x25f02c87, "xen_p2m_addr" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0x50df83bd, "dev_set_mtu" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbe1f7db7, "bind_interdomain_evtchn_to_irq_lateeoi" },
	{ 0x1cb9a1c8, "xenbus_gather" },
	{ 0x9029f154, "skb_copy_bits" },
	{ 0x39245c96, "param_ops_uint" },
	{ 0x9d719d70, "eth_mac_addr" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5574aac9, "netdev_update_features" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x6f1d7cc2, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4d63a0a8, "unregister_netdev" },
	{ 0xb67b5aba, "device_unregister" },
	{ 0x3362b03c, "xen_p2m_size" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe6d244db, "xenbus_dev_fatal" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xecd8f23d, "xenbus_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xade09d, "pcpu_hot" },
	{ 0xb9759db, "seq_lseek" },
	{ 0x4d099a6e, "__put_devmap_managed_page_refs" },
	{ 0x51bf7e73, "eth_validate_addr" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AF73FAB712629639DFB9E26");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
