#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pn533_rx_frame_is_ack, "_gpl", "");
KSYMTAB_FUNC(pn533_rx_frame_is_cmd_response, "_gpl", "");
KSYMTAB_FUNC(pn533_recv_frame, "", "");
KSYMTAB_FUNC(pn533_finalize_setup, "_gpl", "");
KSYMTAB_FUNC(pn53x_common_init, "_gpl", "");
KSYMTAB_FUNC(pn53x_common_clean, "_gpl", "");
KSYMTAB_FUNC(pn532_i2c_nfc_alloc, "_gpl", "");
KSYMTAB_FUNC(pn53x_register_nfc, "_gpl", "");
KSYMTAB_FUNC(pn53x_unregister_nfc, "_gpl", "");

SYMBOL_CRC(pn533_rx_frame_is_ack, 0xdecfd339, "_gpl");
SYMBOL_CRC(pn533_rx_frame_is_cmd_response, 0x80fd6cbc, "_gpl");
SYMBOL_CRC(pn533_recv_frame, 0x5b302d2c, "");
SYMBOL_CRC(pn533_finalize_setup, 0x07a0428e, "_gpl");
SYMBOL_CRC(pn53x_common_init, 0x061bc5a0, "_gpl");
SYMBOL_CRC(pn53x_common_clean, 0x067b62c9, "_gpl");
SYMBOL_CRC(pn532_i2c_nfc_alloc, 0x9330782e, "_gpl");
SYMBOL_CRC(pn53x_register_nfc, 0x9acba1ed, "_gpl");
SYMBOL_CRC(pn53x_unregister_nfc, 0xfae28730, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2c2820de, "nfc_register_device" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x138672d3, "nfc_get_local_general_bytes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x35f39b75, "__alloc_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf73f08e7, "consume_skb" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcf359daa, "nfc_targets_found" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xa63d4677, "nfc_tm_activated" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbcd17dba, "nfc_set_remote_general_bytes" },
	{ 0x65fd61fb, "nfc_dep_link_is_up" },
	{ 0x7f020c7c, "nfc_tm_deactivated" },
	{ 0x91512561, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5bf1053, "skb_queue_purge_reason" },
	{ 0xf6c43d9f, "skb_dequeue" },
	{ 0xbe3dba51, "skb_pull" },
	{ 0xd7d5a5d4, "skb_queue_tail" },
	{ 0x5e16cfee, "nfc_tm_data_received" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8b699c35, "nfc_allocate_device" },
	{ 0xfad18304, "nfc_unregister_device" },
	{ 0xaecdcdee, "put_device" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfe1e8f16, "skb_trim" },
	{ 0x872d947e, "skb_push" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "43EF578A67154D58B6EDF23");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
