#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae33132b, "scsi_dma_map" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6cd26c4c, "scmd_printk" },
	{ 0x8f113d76, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5b143686, "pci_ioremap_bar" },
	{ 0xaffb4ac3, "pci_read_config_word" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xee1bf7fe, "dma_alloc_attrs" },
	{ 0xa21dea92, "dma_pool_create" },
	{ 0x9db915b3, "scsi_add_host_with_dma" },
	{ 0xedabe862, "scsi_scan_host" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x56489eb8, "pci_enable_device" },
	{ 0x5c52bf24, "pci_request_regions" },
	{ 0x3924ab95, "pci_set_master" },
	{ 0xa8b1e3d5, "pci_read_config_byte" },
	{ 0x3706f7c1, "scsi_host_alloc" },
	{ 0x7412a2a6, "pci_write_config_byte" },
	{ 0x85bd1608, "__request_region" },
	{ 0x1f2a94f5, "scsi_change_queue_depth" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x788641ae, "isa_register_driver" },
	{ 0x605d825d, "__pci_register_driver" },
	{ 0xeffd904e, "isa_unregister_driver" },
	{ 0x8512700d, "dma_free_attrs" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x258be7f9, "_dev_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc07d8ed3, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x71731df3, "scsi_remove_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7f59fe81, "dma_unmap_page_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7738e81, "scsi_host_put" },
	{ 0xedc03953, "iounmap" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xa1723e4, "pci_release_regions" },
	{ 0x6155ca4b, "pci_disable_device" },
	{ 0xddcad84a, "seq_printf" },
	{ 0xdd693ec5, "seq_puts" },
	{ 0x1799501a, "seq_putc" },
	{ 0x438ad178, "scsi_host_busy" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8583819d, "scsi_dma_unmap" },
	{ 0xba55dc3c, "scsi_done" },
	{ 0x66e2027d, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3e8f95f8, "dma_map_page_attrs" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");

MODULE_ALIAS("pci:v000010CDd00001100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010CDd00001200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010CDd00001300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010CDd00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010CDd00002500sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010CDd00002700sv*sd*bc*sc*i*");
MODULE_ALIAS("eisa:sABP7401*");
MODULE_ALIAS("eisa:sABP7501*");

MODULE_INFO(srcversion, "ADFEABA7D9284D863230121");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
