#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xb74b21ad, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x5ed4a8cd, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x39b3f684, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0xaa74d042, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xfa5aae82, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x31c05126, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x4d78b945, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x9987575d, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x8e546c6d, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x4b1b00da, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x85935505, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x15b6ea15, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x152dc802, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0xe3ffae77, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0xdedd90a0, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x71dc3305, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x183d1ebd, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x46d6c242, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x697a3463, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xb80f6c4d, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x390076ca, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x6046bf92, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xe9fb2919, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x2f3e1fb0, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xa751f7c3, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0xe07fe0af, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0xabd104b4, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0xa46288bb, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0xaebc401f, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x7f9478eb, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x7ed3b5b7, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x0638a9c7, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x82ef776c, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0xfc5b3711, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x187ed908, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0xf54e4356, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x6958de58, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x7ac01866, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0xa8959e9e, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x1e48ff5f, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0xe778a464, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x8d3c3a8d, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xed0fdf8e, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0xe1ec3241, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x374dc773, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb35bb129, "iscsi_host_remove" },
	{ 0xe28942c9, "pci_dev_put" },
	{ 0x39d306ad, "iscsi_host_free" },
	{ 0x6d322073, "pci_dev_get" },
	{ 0xbfa09589, "iscsi_host_add" },
	{ 0x665ae29f, "iscsi_host_alloc" },
	{ 0xa7738e81, "scsi_host_put" },
	{ 0x822d3ff1, "kfree_skb_reason" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5b1867f7, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x866f4e6, "iscsi_conn_queue_xmit" },
	{ 0xd6d2e503, "__kfree_skb" },
	{ 0x359278cf, "iscsi_tcp_cleanup_task" },
	{ 0x47befba3, "cxgbi_ppm_ppod_release" },
	{ 0x5a6f522f, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xfd014280, "iscsi_tcp_conn_setup" },
	{ 0x9e8f0ca4, "iscsi_session_setup" },
	{ 0x7b7c140c, "iscsi_tcp_r2tpool_alloc" },
	{ 0xa6d8895d, "iscsi_session_teardown" },
	{ 0xc729f96e, "iscsi_tcp_r2tpool_free" },
	{ 0x6e30c5, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0x258be7f9, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x20f0233, "iscsi_host_get_param" },
	{ 0xcfc804e5, "iscsi_unregister_transport" },
	{ 0x1fae1a53, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xe5ffd6fc, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x9aee401, "iscsi_register_transport" },
	{ 0x96db9c4, "init_net" },
	{ 0x121b62ef, "ip6_route_output_flags" },
	{ 0x54ca46e5, "iscsi_tcp_set_max_r2t" },
	{ 0x60769562, "iscsi_set_param" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7f27e7a6, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x838db8f8, "iscsi_tcp_recv_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x611a4792, "iscsi_lookup_endpoint" },
	{ 0x8c9e1aa3, "iscsi_conn_bind" },
	{ 0x31214756, "iscsi_put_endpoint" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xfbf031f7, "iscsi_tcp_hdr_recv_prep" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb3e69a1a, "iscsi_itt_to_ctask" },
	{ 0x1c3d4315, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd1b6e3af, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4d099a6e, "__put_devmap_managed_page_refs" },
	{ 0xf99f7fa5, "__folio_put" },
	{ 0xfc24188, "module_put" },
	{ 0xa4680a80, "iscsi_destroy_endpoint" },
	{ 0x35f39b75, "__alloc_skb" },
	{ 0x26260770, "cxgbi_ppm_ppods_reserve" },
	{ 0x403a38a6, "dma_map_sg_attrs" },
	{ 0xca9dab7d, "cxgbi_ppm_make_ppod_hdr" },
	{ 0xb06fe5da, "ipv6_dev_get_saddr" },
	{ 0x299df9d5, "make_kuid" },
	{ 0xe91ebb6, "ip_route_output_flow" },
	{ 0x556f5a9b, "neigh_destroy" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe102b6dc, "iscsi_create_endpoint" },
	{ 0x2f523414, "__ip_dev_find" },
	{ 0x91512561, "skb_put" },
	{ 0xade09d, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x39245c96, "param_ops_uint" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
