#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0x35789e0c, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x04f99626, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0xedeee86a, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0xb02522b9, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0xcb34b4d8, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x3d34dc7e, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x3f0b44ef, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0x1afdb926, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0xcd3023e0, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x87d1f94f, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x5e1d4f3a, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x960a1dc5, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x44b216cd, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x656ab1ed, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0xda66ad9c, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x7ca9057a, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x4c686074, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x85c3639a, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x3ed51a4f, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x80aed533, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x72a1e01c, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x5d525979, "");
SYMBOL_CRC(fcoe_transport_detach, 0xa36c9a4d, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x1fa6d792, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0xf4680052, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x81c3e88c, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0xa767bba7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x872d947e, "skb_push" },
	{ 0x9166fada, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x61aac07e, "fc_lport_set_local_id" },
	{ 0xa1d1d805, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7302c4a3, "__ethtool_get_link_ksettings" },
	{ 0x574618b5, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3de7d520, "fc_vport_id_lookup" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7379a174, "fc_elsct_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3e00cddb, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf55080ac, "__pskb_pull_tail" },
	{ 0xe719243e, "fc_fcp_init" },
	{ 0xd38d1f7e, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfe1e8f16, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x547ef8f2, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1fae1a53, "alloc_pages" },
	{ 0xf99f7fa5, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf1f294e7, "dev_get_by_name" },
	{ 0x2690bf1e, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf74c31c7, "fc_seq_els_rsp_send" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0xeb2eb571, "param_ops_int" },
	{ 0x831d49fd, "fc_rport_create" },
	{ 0x258be7f9, "_dev_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0xf60cf8c8, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xdbc82372, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd7fa4e30, "fc_linkup" },
	{ 0xa5e6024c, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf9d9c8b, "dev_get_stats" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x39245c96, "param_ops_uint" },
	{ 0x91512561, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa3e26343, "dev_set_name" },
	{ 0xf73f08e7, "consume_skb" },
	{ 0xb5ee9e79, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb67b5aba, "device_unregister" },
	{ 0xf6c43d9f, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e36440b, "fc_rport_logoff" },
	{ 0xade09d, "pcpu_hot" },
	{ 0x4d099a6e, "__put_devmap_managed_page_refs" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4343ca07, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf1ab93ba, "fc_rport_login" },
	{ 0xf5bf1053, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6d3c46c1, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xaecdcdee, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7d5a5d4, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x35c4e342, "fc_lport_reset" },
	{ 0xcfa3073e, "bus_unregister" },
	{ 0x96db9c4, "init_net" },
	{ 0xbe3dba51, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x822d3ff1, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "A483AEBD89FF2F24E96890B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
