#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0x403761ab, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0x4e66375c, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0xe44b13a3, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0x4450e36c, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0xd8c47caf, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0x537cbea1, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0xf92eb078, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0x1c496c76, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0xf447395c, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0xf5587b5f, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0x91b963a7, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0xb2e4dead, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0x7a109881, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0x8500a066, "_gpl");
SYMBOL_CRC(gether_suspend, 0x3b2b0fb5, "_gpl");
SYMBOL_CRC(gether_resume, 0x55a66d78, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0xdc628a75, "_gpl");
SYMBOL_CRC(gether_disconnect, 0x66594b3a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x754d539c, "strlen" },
	{ 0x3dbb3f63, "dev_addr_mod" },
	{ 0x95922d3e, "register_netdev" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x6fcc22cb, "netif_carrier_off" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x349cba85, "strchr" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x9166fada, "strncpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2af38e5f, "usb_ep_free_request" },
	{ 0x3ea59b5d, "usb_ep_alloc_request" },
	{ 0x4d63a0a8, "unregister_netdev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x35be5c02, "free_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x149bed9b, "_dev_err" },
	{ 0xd38d1f7e, "__netdev_alloc_skb" },
	{ 0xac5667d9, "usb_ep_queue" },
	{ 0x60aef364, "dev_kfree_skb_any_reason" },
	{ 0x79ea7eba, "netif_tx_wake_queue" },
	{ 0x784d9a58, "usb_ep_enable" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbfca37bc, "netif_carrier_on" },
	{ 0x2c53cadb, "usb_ep_disable" },
	{ 0x91512561, "skb_put" },
	{ 0xf6c43d9f, "skb_dequeue" },
	{ 0xd7d5a5d4, "skb_queue_tail" },
	{ 0xb06b27d6, "eth_type_trans" },
	{ 0x679e98, "netif_rx" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc77aaf70, "alloc_etherdev_mqs" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x520c4d71, "usb_func_wakeup" },
	{ 0xc439f9fb, "usb_gadget_wakeup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9d719d70, "eth_mac_addr" },
	{ 0x51bf7e73, "eth_validate_addr" },
	{ 0x403e9bb5, "ethtool_op_get_link" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "libcomposite");


MODULE_INFO(srcversion, "4EA8C2D081ACC09E25E43E8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
