#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0xce310853, "");
SYMBOL_CRC(__vdpa_alloc_device, 0xe0f08333, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x7984b56f, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0xe3073d89, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x25d73863, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0x192a2798, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0xb234c50e, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0xf0adadab, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0xcb327c58, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0xec21a725, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0x2499de65, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0xea6c622f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5794577d, "device_add" },
	{ 0xaecdcdee, "put_device" },
	{ 0xb67b5aba, "device_unregister" },
	{ 0xd1ecaa3b, "driver_register" },
	{ 0xd3a7371f, "driver_unregister" },
	{ 0xe221155c, "bus_for_each_dev" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe02d7e99, "genl_unregister_family" },
	{ 0xcfa3073e, "bus_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xdbc82372, "bus_register" },
	{ 0xee936d90, "genl_register_family" },
	{ 0xb2bd4c37, "dma_set_mask" },
	{ 0x619d013e, "dma_set_coherent_mask" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa3e26343, "dev_set_name" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x394376b3, "device_initialize" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe8cabc64, "netlink_capable" },
	{ 0x35f39b75, "__alloc_skb" },
	{ 0x906fb3b, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0xd5a43273, "nla_put" },
	{ 0x822d3ff1, "kfree_skb_reason" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x598634a5, "netlink_unicast" },
	{ 0xfe1e8f16, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa20bb37, "driver_set_override" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x599cd012, "bus_find_device" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6E1ABFDEECC213CA239F01");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
