#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x443d62dc, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x402953cb, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xa6d73873, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x3cc0183e, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x02fcc440, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xaff6ed99, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x6097c69f, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x6876a05d, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x72d85f7a, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xd5de7f71, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x29b97ff6, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x763978f5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x1d7a8dd7, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3b0a97df, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x1dc25adb, "gro_cells_init" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x96db9c4, "init_net" },
	{ 0x90543b7a, "alloc_netdev_mqs" },
	{ 0x95922d3e, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x35be5c02, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x9029f154, "skb_copy_bits" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xf55080ac, "__pskb_pull_tail" },
	{ 0x79c0a578, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x7bdbd2df, "netdev_state_change" },
	{ 0x19661d52, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x299df9d5, "make_kuid" },
	{ 0xf235caaf, "ip6_redirect" },
	{ 0xa8c875bf, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x121b62ef, "ip6_route_output_flags" },
	{ 0x64d82989, "xfrm_lookup" },
	{ 0xca111855, "ip6_mtu" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x333e8f9e, "skb_scrub_packet" },
	{ 0x5c836eaf, "skb_realloc_headroom" },
	{ 0xa2bd1103, "skb_set_owner_w" },
	{ 0xf73f08e7, "consume_skb" },
	{ 0x2de07c24, "ipv6_push_frag_opts" },
	{ 0x872d947e, "skb_push" },
	{ 0x66ec2ef, "ip6_local_out" },
	{ 0x6e1d5abb, "dst_cache_get" },
	{ 0xfd7cb421, "dst_cache_set_ip6" },
	{ 0xb06fe5da, "ipv6_dev_get_saddr" },
	{ 0x462a0c39, "ip6_dst_hoplimit" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xade09d, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x377307fb, "ipv4_mtu" },
	{ 0x556f5a9b, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7c050f36, "iptunnel_handle_offloads" },
	{ 0xa892e0a1, "icmpv6_ndo_send" },
	{ 0x822d3ff1, "kfree_skb_reason" },
	{ 0xff45c1c3, "icmp_ndo_send" },
	{ 0x2690bf1e, "skb_clone" },
	{ 0xbe3dba51, "skb_pull" },
	{ 0x49aa4445, "icmp6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x306b4fe3, "gro_cells_receive" },
	{ 0xb06b27d6, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf576a948, "__iptunnel_pull_header" },
	{ 0x8edbf3a4, "metadata_dst_alloc" },
	{ 0x2e41bf2, "__xfrm_policy_check" },
	{ 0xe91ebb6, "ip_route_output_flow" },
	{ 0x6d34b3fc, "ip_route_input_noref" },
	{ 0xedb81911, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xe59c0e13, "dev_get_tstats64" },
	{ 0x4d56bab6, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x42a96704, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x5efced4b, "ipv6_chk_addr_and_flags" },
	{ 0x9a4847c4, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x1e8f1868, "register_pernet_device" },
	{ 0x1a68077a, "xfrm6_tunnel_register" },
	{ 0x2fff92b1, "rtnl_link_register" },
	{ 0x80606b42, "unregister_pernet_device" },
	{ 0xcab6aead, "xfrm6_tunnel_deregister" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2487fc96, "unregister_netdevice_queue" },
	{ 0x3dbb3f63, "dev_addr_mod" },
	{ 0x2110c07a, "rt6_lookup" },
	{ 0x1c3d4315, "dst_release" },
	{ 0x5708f5bd, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5630649C52513E317EF003F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
