#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0xa848f17a, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x24444a89, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x3b09a6ee, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0x253a63db, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0xac4e7b19, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0xce023aa6, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0x57bbd428, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9874c872, "nf_ct_remove_expect" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x84ada483, "__nf_ct_expect_find" },
	{ 0x9ca955b5, "nf_ct_expect_alloc" },
	{ 0xf849e6d, "nf_ct_expect_init" },
	{ 0x8088ba94, "nf_ct_expect_related_report" },
	{ 0x4659e41f, "nf_ct_expect_put" },
	{ 0xdb93cf51, "__nf_ip6_route" },
	{ 0x1c3d4315, "dst_release" },
	{ 0x950709ab, "nf_ip_route" },
	{ 0x3019ed56, "nf_ct_unexpect_related" },
	{ 0x75914980, "nf_ct_helper_log" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xf0fc3c3f, "__nf_ct_refresh_acct" },
	{ 0xf55080ac, "__pskb_pull_tail" },
	{ 0x9029f154, "skb_copy_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xeb2eb571, "param_ops_int" },
	{ 0x39245c96, "param_ops_uint" },
	{ 0x837057bf, "param_array_ops" },
	{ 0xb10f79bf, "param_ops_ushort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbfc510f6, "nf_ct_helper_init" },
	{ 0xae950358, "nf_conntrack_helpers_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x621a4e38, "nf_conntrack_helpers_unregister" },
	{ 0x9adb7399, "nf_conntrack_expect_lock" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "D2B1285AD1A9242A13705C6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
