#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0xadce8de5, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x9c717bfd, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0xe7aaff9b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xb016f9ea, "snd_ctl_remove" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b188a8d, "__pm_runtime_set_status" },
	{ 0x9a04fd9d, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6bb6bbae, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x7e3167ae, "device_property_read_u32_array" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x982c86e7, "cs35l56_init_cs_dsp" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x85306df5, "cs_dsp_halo_init" },
	{ 0xb4dbb627, "cs_dsp_power_down" },
	{ 0x37d08fa8, "debugfs_remove" },
	{ 0xbfa6f6bc, "hda_cs_dsp_add_controls" },
	{ 0xdf17b9f5, "cs35l56_runtime_suspend_common" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b7f85ff, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe85362fd, "cs35l56_mbox_send" },
	{ 0xaed41bca, "cs35l56_hw_init" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6f3d561, "cs_dsp_power_up" },
	{ 0xf7b2c85d, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7015ccb6, "cs35l56_wait_for_firmware_boot" },
	{ 0xf9be832e, "devm_kasprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x8c00c2a4, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x8880c47b, "cs35l56_is_fw_reload_needed" },
	{ 0xaf5f401d, "regmap_read" },
	{ 0xcdde0a85, "cs_dsp_run" },
	{ 0xdc6f792f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x106a98af, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe246a85b, "cs35l56_runtime_resume_common" },
	{ 0xa46db472, "regmap_update_bits_base" },
	{ 0x9b8043cf, "dev_err_probe" },
	{ 0xfe873dd6, "regmap_multi_reg_write" },
	{ 0x8c18344, "__pm_runtime_suspend" },
	{ 0xc0c3407a, "component_add" },
	{ 0xd29cb743, "set_primary_fwnode" },
	{ 0x3a6d48ff, "__pm_runtime_use_autosuspend" },
	{ 0x4ecca158, "devm_gpiod_get_index_optional" },
	{ 0x6360c523, "__pm_runtime_disable" },
	{ 0x5286b54a, "debugfs_create_dir" },
	{ 0x4ab16267, "cs35l56_firmware_shutdown" },
	{ 0x4455eef7, "pm_runtime_force_suspend" },
	{ 0x4d8bba0c, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9cc615ca, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf6c01a96, "regcache_cache_only" },
	{ 0xbc71082b, "is_acpi_device_node" },
	{ 0xccec87cf, "regcache_sync" },
	{ 0xb9723f27, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x5bcf7a07, "firmware_request_nowarn" },
	{ 0x4c981d17, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x286995f9, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9ab926c7, "cs_dsp_stop" },
	{ 0x2041de2, "pm_runtime_set_autosuspend_delay" },
	{ 0x428f696, "gpiod_set_value_cansleep" },
	{ 0xffb8afcd, "hda_cs_dsp_control_remove" },
	{ 0xd336129e, "component_del" },
	{ 0x60a9c718, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7d1bc039, "sound_debugfs_root" },
	{ 0xe1c56c0d, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec48bac2, "cs_dsp_init_debugfs" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-soc-cs35l56-shared,cs_dsp,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "7682595C61FE3996E500AC2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
