#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_down, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0x30b7294f, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0x766a4543, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0xca5aaae8, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x00e81359, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0xeeca6dfe, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0x7ea9d7f7, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0xd8c5d6de, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0xa9eeb084, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0xdd422e3c, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0x9b9f4230, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0x955cdd95, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0x1c61dd61, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0x4543b14b, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0xaf3a973d, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0xbbb3aeab, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0x63e82bbb, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0x054cc6b4, "_gpl");
SYMBOL_CRC(wm_halo_init, 0xcae6ce6b, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x289e40aa, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x4d0dd281, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0xdfc42934, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0x95581a51, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0xd8c851d8, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0x837023ac, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0x3418ee7e, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0x7dd20658, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0x31ac7a24, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x6a119da8, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xec48bac2, "cs_dsp_init_debugfs" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3a3608b6, "cs_dsp_halo_bus_error" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfb64740b, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbe2b6bd, "cs_dsp_find_alg_region" },
	{ 0xe7f5efe, "cs_dsp_coeff_write_acked_control" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xb0a4a8b4, "cs_dsp_get_ctl" },
	{ 0x89ae64be, "_dev_info" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x85306df5, "cs_dsp_halo_init" },
	{ 0xb4dbb627, "cs_dsp_power_down" },
	{ 0xa3700c75, "cs_dsp_adsp2_init" },
	{ 0xc1cc6bb0, "snd_soc_add_component_controls" },
	{ 0x5b7f85ff, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0x44d44bcc, "cs_dsp_set_dspclk" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6f3d561, "cs_dsp_power_up" },
	{ 0x9392db75, "snd_soc_component_notify_control" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0xcdde0a85, "cs_dsp_run" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa89c12b2, "cs_dsp_write_data_word" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb416e57c, "cs_dsp_halo_wdt_expire" },
	{ 0xcc97c44, "snd_soc_component_disable_pin" },
	{ 0xcdef0536, "snd_soc_bytes_tlv_callback" },
	{ 0x4d1f32db, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xd4ebbc01, "cs_dsp_read_raw_data_block" },
	{ 0xe06f95bc, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xd2926161, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf682fd5, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x190e5386, "snd_soc_component_force_enable_pin" },
	{ 0x5bcf7a07, "firmware_request_nowarn" },
	{ 0x286995f9, "cs_dsp_cleanup_debugfs" },
	{ 0x852f0eb6, "cs_dsp_coeff_read_ctrl" },
	{ 0x748729f1, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9ab926c7, "cs_dsp_stop" },
	{ 0x2a61b0b, "cs_dsp_adsp1_power_up" },
	{ 0xa07d777e, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0xb629f38d, "cs_dsp_adsp1_init" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd-soc-core,snd-compress");


MODULE_INFO(srcversion, "F30B2FAFA245C41784B38F7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
