#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(acp_sof_quirk_table, "_gpl", "");
KSYMTAB_FUNC(amd_sof_acp_suspend, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_resume, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_probe, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_remove, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_get_bar_index, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_pre_fw_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_dsp_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_load_signed_firmware, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_send_msg, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_irq_thread, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_msg_data, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_set_stream_data_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_mailbox_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_window_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_hw_params, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_open, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_close, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_pointer, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_get, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_put, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_release, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_DATA(sof_acp_common_ops, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_register, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_unregister, "", "SND_SOC_SOF_AMD_COMMON");

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0x5743dbae, "");
SYMBOL_CRC(amd_sof_acp_resume, 0x94d090c4, "");
SYMBOL_CRC(amd_sof_acp_probe, 0x5a26a22b, "");
SYMBOL_CRC(amd_sof_acp_remove, 0x00c7c410, "");
SYMBOL_CRC(acp_dsp_block_read, 0xa00325ba, "");
SYMBOL_CRC(acp_dsp_block_write, 0xc22e5fd0, "");
SYMBOL_CRC(acp_get_bar_index, 0xae9ac6e5, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0x5a880b82, "");
SYMBOL_CRC(acp_sof_dsp_run, 0xe810f65d, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0xe9a5e3bb, "");
SYMBOL_CRC(acp_mailbox_write, 0x9da05f90, "");
SYMBOL_CRC(acp_mailbox_read, 0x42475a60, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0x3c026903, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0xe6b64247, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0x0be12c07, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0xeebcaf6d, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0xf10c10cf, "");
SYMBOL_CRC(acp_pcm_hw_params, 0x89fe3c75, "");
SYMBOL_CRC(acp_pcm_open, 0xa0769c69, "");
SYMBOL_CRC(acp_pcm_close, 0x59914197, "");
SYMBOL_CRC(acp_pcm_pointer, 0x859b39c4, "");
SYMBOL_CRC(acp_dsp_stream_get, 0x8b4607f2, "");
SYMBOL_CRC(acp_dsp_stream_put, 0xf6dfdf5e, "");
SYMBOL_CRC(acp_dsp_stream_init, 0x3bbf8263, "");
SYMBOL_CRC(acp_sof_trace_release, 0x40d40453, "");
SYMBOL_CRC(acp_sof_trace_init, 0xaef95173, "");
SYMBOL_CRC(sof_acp_common_ops, 0x6f794c6c, "");
SYMBOL_CRC(acp_probes_register, 0x29924bed, "");
SYMBOL_CRC(acp_probes_unregister, 0x8851dd40, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d9d78fa, "devm_ioremap" },
	{ 0x4efb5d3, "sof_xtensa_arch_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x46d736e0, "snd_sgbuf_get_addr" },
	{ 0x7a9950d2, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa3b447a5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x149bed9b, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x72d874fa, "platform_device_unregister" },
	{ 0xee1bf7fe, "dma_alloc_attrs" },
	{ 0x317ce871, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x6c3a944e, "sof_print_oops_and_stack" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x878e3e43, "snd_sof_dsp_update_bits" },
	{ 0xa7780c16, "_dev_warn" },
	{ 0x3924ab95, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x739e6764, "sof_io_read" },
	{ 0xf9be832e, "devm_kasprintf" },
	{ 0x86a6807f, "snd_sof_ipc_reply" },
	{ 0x3ba55f2f, "platform_device_register_full" },
	{ 0x8512700d, "dma_free_attrs" },
	{ 0x4d56bab6, "param_ops_bool" },
	{ 0xa28d11ba, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x44c820a8, "snd_sof_dsp_panic" },
	{ 0x628f7006, "sof_client_dev_unregister" },
	{ 0x6f9687bf, "snd_sof_load_firmware_memcpy" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x20521296, "pci_write_config_dword" },
	{ 0x49ddab52, "sof_io_write" },
	{ 0xfb4326f5, "sof_machine_register" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7ec9135f, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xa19dbc29, "devm_kmalloc" },
	{ 0xe28942c9, "pci_dev_put" },
	{ 0x48f57431, "pci_get_device" },
	{ 0x66e2027d, "request_firmware" },
	{ 0x4bc66cb6, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-xtensa-dsp,snd-pcm,snd-sof,snd-soc-acpi");


MODULE_INFO(srcversion, "73701276AB76B022CE8B6B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
